2016-03-31
	* Howard Butler <howard@hobu.co> tindex kernel needs to registerDrivers (09:33:56)

2016-03-30
	* Andrew Bell <andrew.bell.ia@gmail.com> Change GDAL error handling to global. (09:04:36)

2016-03-29
	* Andrew Bell <andrew.bell.ia@gmail.com> Add library dependency as well as symbol export for libpdal_util library   with respect to libpdalcpp library. Close #1202 (10:11:04)

2016-03-28
	* Howard Butler <howard@hobu.co> Merge branch 'geoserror' (23:20:34)
	* Howard Butler <howard@hobu.co> turn on CPD in my example config (23:20:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add PDAL_DLL to register/unregisterDrivers(). (16:52:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add header. (16:00:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add header. (15:58:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into geoserror (15:45:52)
	* Andrew Bell <andrew.bell.ia@gmail.com> Rest of previous commit. (15:45:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove GlobalEnvironment. Simplify GEOS error handling. (15:43:40)
	* Howard Butler <howard@hobu.co> Merge pull request #1200 from rakuco/wait-macros-header (11:37:02)
	* Howard Butler <howard@hobu.co> Merge pull request #1199 from rakuco/portable_endian-bsd-names (11:36:45)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (11:04:48)
	* Howard Butler <howard@hobu.co> Fix #1201 -- info on pipeline segfault (11:04:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix typos. (08:37:11)
	* Raphael Kubo da Costa <rakuco@FreeBSD.org> utils: Include sys/wait.h for the WIFEXITED and WEXITSTATUS macros. (08:07:22)
	* Raphael Kubo da Costa <rakuco@FreeBSD.org> portable_endian: Remove wrong byte-order macro definitions for the BSDs. (07:55:29)

2016-03-26
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:36:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Update release notes. (09:36:11)

2016-03-25
	* chambbj <brad.chambers@gmail.com> Update readers.geowave.rst (23:42:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge changes to GDAL error handling. (14:54:28)
	* Connor Manning <connor@hobu.co> Add lock for StageFactory::destroyStage. (12:24:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1196 from rakuco/nanoflann-malloc (11:51:23)
	* Raphael Kubo da Costa <rakuco@FreeBSD.org> nanoflann: Include <cstdlib> for ::malloc(). (11:48:33)
	* Howard Butler <howard@hobu.co> both WKT and GeoTIFF VLRs is now a debug message instead of Error (11:33:12)
	* Howard Butler <howard@hobu.co> no more dolls (dammit). note aboute JSON being preferred over XML (09:39:25)
	* Howard Butler <howard@hobu.co> better handle Multi* geometry in Polygon::bounds() computation (09:30:25)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (09:06:06)
	* Howard Butler <howard@hobu.co> codger up a UTM-based density computation if the SRS is geographic (09:06:01)
	* Howard Butler <howard@hobu.co> use GEOS' envelope for computing Polygon::bounds (09:05:31)

2016-03-24
	* Howard Butler <howard@hobu.co> Merge pull request #1195 from rakuco/cmake-dl (18:43:00)
	* Raphael Kubo da Costa <rakuco@FreeBSD.org> Link against ${CMAKE_DL_LIBS} instead of libdl. (18:21:04)
	* Howard Butler <howard@hobu.co> typo (13:19:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (13:03:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix typo. (13:03:13)
	* Howard Butler <howard@hobu.co> XML->JSON for all stage documentation (12:18:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:11:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make sure old error handlers are destroyed before new ones are created. (10:09:43)

2016-03-23
	* Pete Gadomski <pete.gadomski@gmail.com> Remove cpd/fgt build dirs from pdal/dependencies (21:17:01)
	* Pete Gadomski <pete.gadomski@gmail.com> s/cpd/csd/ for Optech reader (14:14:23)
	* Pete Gadomski <pete.gadomski@gmail.com> Shared libs in cpd and fgt docker dependencies (16:25:24)
	* Howard Butler <howard@hobu.co> add StageFactory to website API docs (16:30:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move doxy to header. (16:26:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add a function to allow specific stage destruction. (16:24:00)
	* Howard Butler <howard@hobu.co> Merge pull request #1193 from gadomski/cpd (13:46:38)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (11:46:12)
	* Howard Butler <howard@hobu.co> doc updates (11:46:08)
	* Howard Butler <howard@hobu.co> quit talking about dolls (11:45:58)
	* Pete Gadomski <pete.gadomski@gmail.com> Update clone-build-install for fgt and cpd (11:24:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:14:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Simplify GDAL error handling. (10:14:04)

2016-03-04
	* Pete Gadomski <pete.gadomski@gmail.com> Rewrite cpd plugin for v0.3 (17:41:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Doc updates. (16:30:34)
	* Pete Gadomski <pete.gadomski@gmail.com> Add dockerfile for RiVLib (12:56:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1175 from PDAL/gcc5-cleanup (16:07:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle return code from RasterIO. (15:03:00)
	* Pete Gadomski <pete.gadomski@gmail.com> Include <climits> when using CHAR_BITS (14:10:56)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove set but unused variables (14:10:32)
	* Pete Gadomski <pete.gadomski@gmail.com> -Wno-deprecated-declarations (14:09:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove some dead code and rearrange a little. (13:43:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1173 from gadomski/no-geotiff (12:56:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (12:21:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle "json" metadata. Close #1109 (12:20:35)
	* Howard Butler <howard@hobu.co> boost/version.hpp no longer always available, don't include in pdal_internal.hpp (09:06:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Doc updates. (07:50:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (07:13:33)

2016-03-22
	* Howard Butler <howard@hobu.co> increment version to 1.2.0 in preparation for release (16:33:52)
	* Howard Butler <howard@hobu.co> Merge pull request #1192 from PDAL/gdal-error-split (15:50:23)
	* Howard Butler <howard@hobu.co> further split GDAL error handler binding from GDAl wake up (13:20:00)
	* Howard Butler <howard@hobu.co> do the GDAL/GEOS error handler binding stuff right away when GlobalEnvironment wakes up. Don't do the heavy GDAL startup stuff until asked. (11:28:36)
	* Connor Manning <connor@hobu.co> Simplify a constructor. (10:49:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Explicitly set PDAL_PYTHON_LIBRARY in python.cmake Close #1174 (10:02:00)
	* Howard Butler <howard@hobu.co> Merge pull request #1189 from sebastic/kfreebsd2 (07:59:33)

2016-03-21
	* chambbj <brad.chambers@gmail.com> Merge pull request #1190 from PDAL/doc-cleanup (22:44:13)
	* Bradley J Chambers <brad.chambers@gmail.com> fix dartsample references (22:43:34)
	* Bas Couwenberg <sebastic@xs4all.nl> Add support for kFreeBSD to PluginManager & SQLiteCommon. (16:10:51)

2016-03-20
	* Howard Butler <howard@hobu.co> Merge pull request #1187 from sebastic/kfreebsd (15:19:02)
	* Howard Butler <howard@hobu.co> Merge pull request #1186 from sebastic/skip-tests-missing-data (15:18:52)
	* Howard Butler <howard@hobu.co> Merge pull request #1185 from sebastic/clean-setup (15:18:43)
	* Howard Butler <howard@hobu.co> Merge pull request #1183 from sebastic/mod-spatialite (15:17:59)
	* Howard Butler <howard@hobu.co> Merge pull request #1184 from sebastic/jsoncpp (15:17:43)
	* Bas Couwenberg <sebastic@xs4all.nl> Add support for kFreeBSD architectures. (14:54:10)

2016-03-19
	* Bas Couwenberg <sebastic@xs4all.nl> Skip Python extension tests when test data is missing. (18:07:31)
	* Bas Couwenberg <sebastic@xs4all.nl> Reduce requirements for clean target. (17:50:35)
	* Bas Couwenberg <sebastic@xs4all.nl> Use mod_spatialite for SpatiaLite >= 4.2.0. (15:31:41)
	* Bas Couwenberg <sebastic@xs4all.nl> Add support for libjsoncpp-dev Debian package to FindJSONCPP.cmake. (13:29:30)
	* Bas Couwenberg <sebastic@xs4all.nl> Load mod_spatialite.so on Linux too. (13:20:39)

2016-03-18
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1182 from sebastic/hardening (19:47:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1181 from sebastic/spelling-errors (19:46:32)
	* Bas Couwenberg <sebastic@xs4all.nl> Use FLAGS set in the environment. (18:52:43)
	* Bas Couwenberg <sebastic@xs4all.nl> Fix various spelling errors. (18:46:51)

2016-03-15
	* Howard Butler <howard@hobu.co> typo (11:34:56)

2016-03-14
	* Howard Butler <howard@hobu.co> remove debugging lint (15:20:35)
	* Howard Butler <howard@hobu.co> CPD doesn't build at the moment (07:16:47)
	* Howard Butler <howard@hobu.co> Merge pull request #1179 from PDAL/density-kernel (00:05:47)

2016-03-13
	* Howard Butler <howard@hobu.co> add 'pdal density' command to generate OGR hexbin surfaces of point clouds (23:12:48)
	* Howard Butler <howard@hobu.co> s/XML/JSON (17:47:20)
	* Howard Butler <howard@hobu.co> slightly improve error message when a plugin doesn't load (17:46:27)
	* Howard Butler <howard@hobu.co> add density kernel (in the wrong place) (13:50:43)

2016-03-12
	* Howard Butler <howard@hobu.co> Merge pull request #1178 from mloskot/ml/travis-build-examples (07:12:07)
	* Mateusz Łoskot <mateusz@loskot.net> Add Gitter webhook (01:53:01)

2016-03-11
	* Mateusz Łoskot <mateusz@loskot.net> Build examples on Travis CI. (15:57:34)
	* Howard Butler <howard@hobu.co> tindex option can't be optional (20:15:06)
	* Howard Butler <howard@hobu.co> toc listing too deep (16:29:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> More Windows warnings elimination. (14:53:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1176 from marops/nitf_updates (12:31:32)
	* Todd Murphy <murphyrt@leidos.com> Updated defaults for IDATIM and AIMIDB.ACQUISITION_DATE Updated doc (11:57:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:29:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Better feedback on argument order issue. (10:28:43)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (08:56:20)
	* Howard Butler <howard@hobu.co> update docker image location (08:56:17)

2016-03-10
	* Andrew Bell <andrew.bell.ia@gmail.com> More Windows clean-up. (14:37:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Refine export of symbols from IStream. (14:14:29)
	* Todd Murphy <murphyrt@leidos.com> Change m_fileTitle defaut to equal the filename.ext not the full pathname (12:59:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Export some more symbols. (12:38:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Quiet windows compiler. (12:03:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove getName() from no GEOTIFF branch. (08:35:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1177 from PDAL/lasvlr (08:22:42)
	* Bradley J Chambers <brad.chambers@gmail.com> Add PipelineReaderJSON (06:28:07)

2016-03-09
	* Andrew Bell <andrew.bell.ia@gmail.com> Move reader VLR handling to LasHeader. (16:13:39)
	* Todd Murphy <murphyrt@leidos.com> ACFTB and AIMIDB defaults added (15:40:49)

2016-03-07
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:29:07)

2016-03-06
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (13:53:51)
	* Howard Butler <howard@hobu.co> Fix #1151 -- pdal.pc not installing in correct location (13:53:45)

2016-03-03
	* Pete Gadomski <pete.gadomski@gmail.com> Minor include fixups to rxp reader (17:29:27)
	* Pete Gadomski <pete.gadomski@gmail.com> Add two include guards for libgeotiff (17:08:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1172 from PDAL/issue/1169-nitf-tests (14:26:04)
	* chambbj <brad.chambers@gmail.com> Merge pull request #1171 from PDAL/attributes-no-longer-a-plugin (11:43:29)
	* Bradley J Chambers <brad.chambers@gmail.com> BUILD_PLUGIN_ATTRIBUTE is no longer relevant (10:54:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix population of AIMIDB and ACFTB fields in NITF writer. Fix various options in pipeline files. Improve error message on failed option conversions. (10:33:46)
	* Bradley J Chambers <brad.chambers@gmail.com> With GDAL and GEOS being hard dependencies for PDAL, move the attribute filter out of the "plugins" category (10:06:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into nitf (09:29:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (07:20:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle dimension names names flexibly in colorization filter. Provide better error message for bad dimension info. (07:17:12)

2016-03-02
	* Howard Butler <howard@hobu.co> checkout LASzip to a known sha now that master is being refactored (19:03:07)

2016-03-01
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (15:13:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Have python stream flush actually do something. Make python log test more robust. (15:12:57)
	* chambbj <brad.chambers@gmail.com> Merge pull request #1170 from PDAL/enable-testing-before-adding-plugins (15:12:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Delete StageFactory (and hence stage) to force log output to be written. (14:38:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix compilation issues. (13:51:37)
	* Bradley J Chambers <brad.chambers@gmail.com> Only enable testing before adding plugins (12:43:25)
	* Bradley J Chambers <brad.chambers@gmail.com> Enable testing prior to adding plugins directory (which includes tests) (12:19:01)
	* Bradley J Chambers <brad.chambers@gmail.com> Update XML to match some options parsing changes in master (08:59:00)

2016-02-29
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (16:04:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Doc commit from code sprint. (16:03:52)
	* Howard Butler <howard@hobu.co> Merge pull request #1168 from mloskot/ml/gitter (12:10:21)
	* Mateusz Łoskot <mateusz@loskot.net> Add Gitter info to pdal.io/community.html (11:55:09)
	* Howard Butler <howard@hobu.co> Merge pull request #1167 from gitter-badger/gitter-badge (08:35:32)
	* The Gitter Badger <badger@gitter.im> Add Gitter badge (07:18:56)

2016-02-26
	* Mateusz Łoskot <mateusz@loskot.net> Fix OSGeo4W location in config.cmd (18:30:49)
	* Mateusz Łoskot <mateusz@loskot.net> Re-enable QUITE Python lookup (17:24:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1163 from mloskot/ml/boost-headers-cleanup (15:55:57)
	* Mateusz Łoskot <mateusz@loskot.net> Enable non-QUIET Python lookup (13:33:30)
	* Mateusz Łoskot <mateusz@loskot.net> Remove unused vector of readers (12:13:58)
	* Mateusz Łoskot <mateusz@loskot.net> Remove unused #include <boost/...> (09:38:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1162 from mloskot/ml/plugin-headers-cleanup (08:41:27)
	* Mateusz Łoskot <mateusz@loskot.net> Re-enable job for PDAL_OPTIONAL_COMPONENTS:OFF (08:02:38)
	* Mateusz Łoskot <mateusz@loskot.net> Temporarily, enable AppVeyor RDP session (07:15:22)
	* Mateusz Łoskot <mateusz@loskot.net> Temporarily, disable AppVeyor job PDAL_OPTIONAL_COMPONENTS:OFF (06:19:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1161 from mloskot/ml/stage-ownership (06:12:20)

2016-02-25
	* Mateusz Łoskot <mateusz@loskot.net> Clean up inclusion of plugin headers. (16:43:04)
	* Mateusz Łoskot <mateusz@loskot.net> Make StageFactory a sole owner of any created stages. (07:54:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1158 from mloskot/ml/fix-proj4-output-test (10:24:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:23:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add doxygen for Writer, Utils. Remove dead code. (09:23:03)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into appveyor-webhook (08:06:56)
	* Howard Butler <howard@hobu.co> typo'd incoming_webhook defn (07:53:55)
	* Howard Butler <howard@hobu.co> one more PDAL_LIB_INSTALL_DIR fix (07:35:09)
	* Howard Butler <howard@hobu.co> try using webhook instead of app for slack notifications (07:32:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1159 from mloskot/ml/ptree-includes-cleanup (07:17:00)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (07:06:43)
	* Howard Butler <howard@hobu.co> use PDAL_LIB_INSTALL_DIR instead of CMAKE_INSTALL_LIBDIR (07:06:39)
	* Howard Butler <howard@hobu.co> address #1157 -- invalid JSON output due to \r\n (07:06:22)
	* Mateusz Łoskot <mateusz@loskot.net> Move boost/property_tree/ptree.hpp where it is actually needed. (07:03:53)
	* Mateusz Łoskot <mateusz@loskot.net> Expect one of multiple possible PROJ.4 outputs (04:38:55)
	* Mateusz Łoskot <mateusz@loskot.net> Enable shallow clones on AppVeyor (04:46:48)
	* Howard Butler <howard@hobu.co> more CMAKE_INSTALL_LIBDIR tweaks (03:45:13)
	* Howard Butler <howard@hobu.co> install pdal.pc pkgconfig in CMAKE_INSTALL_LIBDIR (03:34:25)

2016-02-24
	* Mateusz Łoskot <mateusz@loskot.net> Remove on_finish enabling RDP connectivity (17:33:13)
	* Mateusz Łoskot <mateusz@loskot.net> Remove (some) OSGeo4W hacks as no longer required on AppVeyor. (17:25:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1156 from mloskot/ml/plugin-manager-test (12:35:33)
	* Mateusz Łoskot <mateusz@loskot.net> Nudge AppVeyor (11:55:52)
	* Mateusz Łoskot <mateusz@loskot.net> Add test for PluginManager. (11:39:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:56:20)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove KernelSupport. Fix InfoKernel reader initialization. (10:55:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1155 from mloskot/ml/srstest-use-expect-eq (10:49:45)
	* Mateusz Łoskot <mateusz@loskot.net> Replace EXPECT_TRUE with EXPECT_EQ (09:30:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:17:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Create structure to manage LAS file interface. (09:16:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Doxygen. (09:13:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:01:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Detect gross error in GeoTiff record. (09:01:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Switch AppVeyor to Visual Studio 2015 (08:48:52)
	* Howard Butler <howard@hobu.co> Merge pull request #1152 from PDAL/pkgconfig-updates (08:15:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1153 from mloskot/ml/plugininfo-to-pdal (08:05:51)
	* Mateusz Łoskot <mateusz@loskot.net> Move PluginInfo out of anonymous namespace. (07:44:44)
	* Howard Butler <howard@hobu.co> install pkgconfig script into CMAKE_INSTALL_LIBDIR #1151 (05:27:51)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (03:46:26)
	* Howard Butler <howard@hobu.co> remove -Werror for now (03:46:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Set options on stages in info kernel in a more controlled way. Close #1088 (03:16:08)
	* Howard Butler <howard@hobu.co> Merge pull request #1145 from PDAL/plugin-versioning (02:40:53)
	* Howard Butler <howard@hobu.co> Merge pull request #1148 from PDAL/hobu/1101-pgpointcloud-seq (02:40:31)

2016-02-23
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1150 from PDAL/fix-m_lastId (16:56:15)
	* Bradley J Chambers <brad.chambers@gmail.com> Extern not needed, but refs to m_lastId must be in the source, not header (13:18:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add windows extern qualifier. (10:39:24)
	* Howard Butler <howard@hobu.co> Sequence query for writers.pgpointcloud incorrect #1101 (09:40:41)
	* chambbj <brad.chambers@gmail.com> Merge pull request #1143 from PDAL/merge-issues-with-tests (09:27:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:24:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' into merge-issues-with-tests (09:05:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add Stage documentation. (08:50:50)
	* Howard Butler <howard@hobu.co> Merge pull request #1147 from mloskot/ml/fix-bpf-bundle-eol (08:42:23)
	* Mateusz Łoskot <mateusz@loskot.net> Declare BPF bundle files as always having LF (08:20:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove heartbeat support. (08:05:15)
	* Howard Butler <howard@hobu.co> set SOVERSION for plugins too #1119 (08:05:01)
	* Howard Butler <howard@hobu.co> update slack notification channel as described by https://www.appveyor.com/updates/2016/01/31 (05:55:17)
	* Howard Butler <howard@hobu.co> make windows 2012 happy (05:27:53)
	* Howard Butler <howard@hobu.co> Merge pull request #1144 from PDAL/hobu-docs-rollup (05:23:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/merge-issues-with-tests' into merge-issues-with-tests (04:32:20)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't use multiple statics to create IDs for PointViews. (04:29:31)

2016-02-22
	* Bradley J Chambers <brad.chambers@gmail.com> Correct some expectations (19:27:35)
	* Bradley J Chambers <brad.chambers@gmail.com> Adding a handful of tests with two filters being merged various ways (11:36:30)
	* Bradley J Chambers <brad.chambers@gmail.com> Fix the writer input tests (09:50:37)
	* Bradley J Chambers <brad.chambers@gmail.com> Add unit test to demonstrate merge issues (09:39:22)

2016-02-19
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into hobu-docs-rollup (11:26:45)
	* Howard Butler <howard@hobu.co> a bunch of documentation tweaks related to getting rst2pdf output working -- not quite done yet (11:26:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't use initializer list for map. (09:16:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1139 from mloskot/ml/win-portable-path-sep (07:56:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1141 from PDAL/derivative-multi (07:55:59)

2016-02-18
	* Andrew Bell <andrew.bell.ia@gmail.com> Suppress ridiculous warning. (20:50:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow derivative writer to produce output for multiple primitive types in one command. (20:35:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Open bundle files in binary mode. (11:33:45)
	* Mateusz Łoskot <mateusz@loskot.net> Make getFilename aware of portable path separator on Windows. (10:04:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Limit compiler option to appropriate compiler. (07:45:14)

2016-02-17
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1136 from mloskot/ml/fix-test-pc2pc (19:07:44)
	* Mateusz Łoskot <mateusz@loskot.net> Catch up with changes in pdal output. (18:13:50)
	* Howard Butler <howard@hobu.co> doc tweaks to make PDF generation happier (16:36:28)
	* Howard Butler <howard@hobu.co> Roll up of a bunch of windows build improvements related to boost removal. (14:56:32)
	* Howard Butler <howard@hobu.co> Merge pull request #1135 from PDAL/fixgdal (14:17:23)
	* Howard Butler <howard@hobu.co> Merge pull request #1134 from PDAL/polycontext (14:17:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use standard error handling for stream failure of Polygon. Remove unnecessary indirection for GEOS context. (12:16:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1133 from mloskot/ml/fix-uuid-buffer-overrun (12:14:26)
	* Mateusz Łoskot <mateusz@loskot.net> Fix too small sprintf buffer in Uuid::unparse (11:49:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1132 from mloskot/ml/fix-cmp-files-eol (11:24:04)
	* Mateusz Łoskot <mateusz@loskot.net> Open output file in binary mode to avoid EOL translation. (11:18:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1130 from mloskot/ml/fix-trim (10:46:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1129 from mloskot/ml/fix-utils-split2-ub (10:43:51)
	* Mateusz Łoskot <mateusz@loskot.net> Fix out of range access bug in trimTrailing (10:38:52)
	* Mateusz Łoskot <mateusz@loskot.net> Fix UB caused by incrementing pass-the-end iterator (10:02:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix GDAL reader so that tests pass :) Test tif files from from GDAL autotest.  data.xyz file was generated from float32.tif with gdal_translate. (09:21:56)
	* Howard Butler <howard@hobu.co> Merge pull request #1127 from mloskot/ml/msvc-fix-gtest-linking (08:43:14)
	* Howard Butler <howard@hobu.co> Merge pull request #1126 from mloskot/ml/msvc-disable-boost-autolink (08:43:03)
	* Mateusz Łoskot <mateusz@loskot.net> Define gtest_force_shared_crt for MSVC (06:59:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1125 from mloskot/ml/ilvis2-fix-vla (07:21:16)
	* Mateusz Łoskot <mateusz@loskot.net> Defined BOOST_ALL_NO_LIB to disable auto-linking (05:51:12)
	* Mateusz Łoskot <mateusz@loskot.net> Remove variable-length array use from ILVIS2 reader (05:19:39)

2016-02-16
	* Howard Butler <howard@hobu.co> Merge pull request #1123 from mloskot/ml/geos-optional (16:37:15)
	* Howard Butler <howard@hobu.co> Merge pull request #1124 from mloskot/ml/include-algorithm (16:37:02)
	* Mateusz Łoskot <mateusz@loskot.net> Add missing #include <algorithm> (16:29:57)
	* Mateusz Łoskot <mateusz@loskot.net> GEOS is no longer optional (15:53:02)
	* Howard Butler <howard@hobu.co> include cstdint for Utils.hpp (15:35:04)
	* Howard Butler <howard@hobu.co> remove win32 boost stuff now that boost is gone (15:26:56)
	* Howard Butler <howard@hobu.co> don't use ARG for Dockerfile (15:03:21)
	* Howard Butler <howard@hobu.co> docker hub has no ARG support (11:02:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:45:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Wrong arguments made positional. Close #1122 (10:44:28)
	* Howard Butler <howard@hobu.co> attempting to trigger auto dockerhub build (10:43:19)

2016-02-15
	* Howard Butler <howard@hobu.co> sequence selection typo #1101 (17:05:30)
	* Howard Butler <howard@hobu.co> fgt, armadillo, and cpd dependencies (17:03:59)
	* Howard Butler <howard@hobu.co> fgt, armadillo, and cpd dependencies (17:01:34)
	* Howard Butler <howard@hobu.co> Merge pull request #1116 from PDAL/optional-bash-completion (11:25:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (11:02:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add missing debug dir. (11:01:43)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into optional-bash-completion (10:56:01)
	* Howard Butler <howard@hobu.co> Merge pull request #1117 from PDAL/libdir-install-prefix (10:53:21)
	* Howard Butler <howard@hobu.co> default to installing library output to lib/ if no CMAKE_INSTALL_LIBDIR is set (10:25:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove user-supplied boost requirements. Add some boost as pdalboost to satisfy some requirements. (10:04:05)
	* Howard Butler <howard@hobu.co> install lib/ output to CMAKE_INSTALL_LIBDIR (09:53:05)
	* Howard Butler <howard@hobu.co> Add Python 3 tp_finalizer struct member to Python extension definition (09:37:41)
	* Howard Butler <howard@hobu.co> Only install bash_completion if asked #1115 (09:36:34)

2016-02-14
	* Connor Manning <connor@hobu.co> Don't cast away qualifiers. (08:42:50)
	* Connor Manning <connor@hobu.co> Indentation consistency. (08:30:49)

2016-02-12
	* Howard Butler <howard@hobu.co> Merge pull request #1114 from PDAL/issues/1113 (17:33:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Suppress warning for PCL. (16:42:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make filter an optional positional argument in the translate kernel. (15:01:16)
	* Bradley J Chambers <brad.chambers@gmail.com> Remove unused PDAL_HAVE's (13:29:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove duplicate call to GDALReadBlock. Turn warning into errors on Linux. (12:41:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle ioctl failure. Make ProgramArgs enum a class enum. (12:05:11)

2016-02-11
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (20:34:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix logic for reading raster bands. (20:33:28)
	* Howard Butler <howard@hobu.co> Merge pull request #1110 from PDAL/boundary-no-hexbin (14:01:39)
	* Howard Butler <howard@hobu.co> Merge pull request #1111 from PDAL/bad-index-derivative-writer (13:53:32)
	* Bradley J Chambers <brad.chambers@gmail.com> We must stop one short of the number of rows (y) (13:26:54)
	* Howard Butler <howard@hobu.co> Merge pull request #1108 from PDAL/height-filter-use-heightaboveground-dim (11:54:06)
	* Howard Butler <howard@hobu.co> provide the bbox 'boundary' entry to the filters.stats when no hexbin is linked #920 (11:53:29)
	* Howard Butler <howard@hobu.co> have filters.height use HeightAboveGround dimension #1077 (10:32:48)
	* Howard Butler <howard@hobu.co> Merge pull request #1107 from PDAL/pgpointcloud-formats-sequence (00:15:31)
	* Howard Butler <howard@hobu.co> Use a pointcloud_formats_pcid_seq if it is available for schema id generation #1101 (00:13:45)

2016-02-10
	* Howard Butler <howard@hobu.co> Merge pull request #1105 from PDAL/icebridge-small-features (14:44:36)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into icebridge-small-features (14:42:22)
	* Howard Butler <howard@hobu.co> Feature improvements for HDF5-based IceBridge Reader (14:08:47)
	* Howard Butler <howard@hobu.co> Merge pull request #1100 from PDAL/textreader (10:38:15)
	* Howard Butler <howard@hobu.co> add ProgramArgs docs to Sphinx generation (08:57:10)

2016-02-09
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into textreader (17:37:09)
	* Howard Butler <howard@hobu.co> Merge pull request #1103 from PDAL/lat-lon-metadata (17:36:38)
	* Howard Butler <howard@hobu.co> PipelineReader is gone (17:34:03)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into textreader (17:19:39)
	* Howard Butler <howard@hobu.co> remove BOX3D(BOX2D) constructor (17:09:26)
	* Howard Butler <howard@hobu.co> PipelineReader is gone (16:14:46)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into lat-lon-metadata (16:08:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make PipelineReader private. (15:58:44)
	* Howard Butler <howard@hobu.co> output Z dimension for WKT when requested, use that for filter.stats box reprojection (13:16:54)

2016-02-08
	* Howard Butler <howard@hobu.co> support fetching horizontal and vertical units for convenience #1089 (15:54:12)
	* Howard Butler <howard@hobu.co> move toMetadata to Utils for SpatialReference, make sure to PDAL_DLL inferType (15:31:10)
	* Howard Butler <howard@hobu.co> export PDAL_DLL for setValue(SpatialReference&) (14:19:38)
	* Howard Butler <howard@hobu.co> Add bbox output to filter.stats, which adds a lat/lon bbox convenience too #1080 (14:06:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix types in GDAL raster handling. Fix size of vector for non-char types in GDAL raster handling. (13:31:33)
	* Howard Butler <howard@hobu.co> remove debug lint (12:43:33)
	* Howard Butler <howard@hobu.co> 'Polygon' : ambiguous symbol thanks to 'Windows Kits\8.0\Include\um\wingdi.h(4972) : BOOL Polygon(HDC,const POINT *,int)' (11:37:54)
	* Howard Butler <howard@hobu.co> add 'srs' metadata node (11:26:20)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix dimension order in gdal doc. (09:13:00)
	* Howard Butler <howard@hobu.co> need to export MetadataNodeImpl now that we're implementing setValue(SpatialReference) elsewhere (09:02:56)

2016-02-07
	* Howard Butler <howard@hobu.co> Construct a Polygon from a BOX2D. Test using it to reproject BOX2D (00:30:35)

2016-02-05
	* Howard Butler <howard@hobu.co> pull SpatialReference include out of Metadata header so we can have SpatialReference::getAsMetadata() method (23:28:36)
	* Howard Butler <howard@hobu.co> add toGeoJSON to BOX2D (23:27:51)
	* Howard Butler <howard@hobu.co> add docker to tutorial listing (15:32:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add doxygen. (15:06:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> TextReader with doc and test. (14:51:51)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/appveyor-artifacts-to-s3' (14:38:29)
	* Howard Butler <howard@hobu.co> Merge pull request #1099 from PDAL/pgpointcloud-quote-delete (14:35:50)
	* Howard Butler <howard@hobu.co> make test table name start with a number to simulate #1098 (14:09:22)
	* Howard Butler <howard@hobu.co> Quote delete statement for pgpointcloud #1098 (13:10:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add missing function hidden(). (11:02:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Doxy for enum. (10:50:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Doxygen for ProgramArgs. (10:43:59)

2016-02-04
	* Andrew Bell <andrew.bell.ia@gmail.com> ProgramArgs with tests. (19:18:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (19:17:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code. (18:10:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Initial TextReader. (13:58:10)

2016-02-03
	* Andrew Bell <andrew.bell.ia@gmail.com> Make sure we're providing libraries that are exported targets in PDALConfig (17:48:40)
	* Howard Butler <howard@hobu.co> Python extension fixes #1096 (22:57:38)
	* Howard Butler <howard@hobu.co> update RB logo location (22:53:24)

2016-01-30
	* Howard Butler <howard@hobu.co> Merge pull request #1095 from PDAL/help-link (09:00:33)

2016-01-29
	* Howard Butler <howard@hobu.co> Output help link in help print outs #1094 (15:56:12)
	* Howard Butler <howard@hobu.co> Refactor GEOS stuff into a pdal::Polygon class #1092 (15:05:31)
	* chambbj <brad.chambers@gmail.com> Merge pull request #1093 from PDAL/catch-overly-aggressive-outlier-parameters (14:50:51)
	* Bradley J Chambers <brad.chambers@gmail.com> If the radius or statistical outlier filters would remove all points, log it, and return the input cloud (13:07:44)

2016-01-26
	* Howard Butler <howard@hobu.co> Refactor GEOS environment stuff to behave like GDAL's (12:27:46)

2016-01-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (12:47:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove gtest headers from public headers. (12:47:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove ptree from options. (11:02:15)

2016-01-19
	* Andrew Bell <andrew.bell.ia@gmail.com> Change name of ilvis metadata test (13:56:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Pipeline output as JSON. (12:58:12)

2016-01-15
	* Howard Butler <howard@hobu.co> declare PDAL_DLL for writePipeline and friends (22:49:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make PipelineWriter a namespace. (07:07:22)

2016-01-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (13:52:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove getOptions() as a public interface. (13:51:29)
	* Howard Butler <howard@hobu.co> default to only 4326 for ILVIS (08:33:51)

2016-01-13
	* Howard Butler <howard@hobu.co> use pdal::FileUtils::fileExists for cross-platform file checking (22:11:19)
	* Howard Butler <howard@hobu.co> Support ILVIS2 metadata (Scott Lewis NSDIC). See #1079 for full detail as this is a squash merge. (22:00:28)
	* Howard Butler <howard@hobu.co> PDALConfig.cmake for PRC plugin was incorrectly set (14:27:04)
	* Howard Butler <howard@hobu.co> add PRC plugin to PDAL docker build (14:20:38)

2016-01-12
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'damnms' (14:39:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace printError() with log(). (14:38:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add stdint. (13:59:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't use constexpr. (13:38:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace byte-ordering code. (13:10:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove errant std:: from memcpy. (12:29:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Need def for size_t on MSVC. (12:13:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace boost::uuid with pdal::Uuid. Make libpdal_util build without reference to files in pdal. (12:02:39)
	* Howard Butler <howard@hobu.co> libgeos++-dev needs to be installed now that we don't use GEOS from package (10:08:45)
	* Howard Butler <howard@hobu.co> try opening txt files with ilvis2 for now (10:08:14)

2016-01-11
	* Howard Butler <howard@hobu.co> GeoTIFF fixups (15:48:36)
	* Howard Butler <howard@hobu.co> docker config to install Python extension too (09:55:04)

2016-01-10
	* Howard Butler <howard@hobu.co> no sudo in Travis (19:22:56)
	* Howard Butler <howard@hobu.co> add ninja-build package, make sure to remove dead stuff in Dependencies docker build (17:14:25)
	* Howard Butler <howard@hobu.co> add UoH link (17:13:37)
	* Howard Butler <howard@hobu.co> add missing NSF logo (17:01:20)
	* Howard Butler <howard@hobu.co> missing ninja in dependencies docker build (16:50:05)
	* Howard Butler <howard@hobu.co> update contributors doc (16:49:39)
	* Howard Butler <howard@hobu.co> update Docker config to use libgeotiff and Ubuntu 15.04 (15:28:21)
	* Howard Butler <howard@hobu.co> doc updates (15:27:22)

2016-01-09
	* Howard Butler <howard@hobu.co> an attempt to simplify header include complexity of GeoTiffSupport.hpp (20:10:27)
	* Howard Butler <howard@hobu.co> put back 833c96e4b09a10d4883219cbc519470acf74539f for windows (19:31:26)
	* Howard Butler <howard@hobu.co> iuse GTIFGetOGISDefn and GTIFSetFromOGISDefn from GDAL. Don't define any TIFF/GeoTIFF objects if we don't have them because newer versions of GDAL might be totally renaming them. (19:23:19)

2016-01-08
	* Howard Butler <howard@hobu.co> add output image to docker tutorial (12:19:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (11:12:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move some testing stuff in build file. (11:12:08)
	* Howard Butler <howard@hobu.co> more docker tutorial updates (10:22:20)
	* Howard Butler <howard@hobu.co> fetch is not a docker command, but pull is (10:06:04)
	* Howard Butler <howard@hobu.co> reference typo in docker tutorial (09:44:38)
	* Howard Butler <howard@hobu.co> add missing tutorial images (09:29:33)
	* Howard Butler <howard@hobu.co> docker tutorial (09:15:59)

2016-01-07
	* Howard Butler <howard@hobu.co> start on docker tutorial (11:23:41)

2016-01-06
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix PluginManager teardown. (15:58:06)

2016-01-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug and broken test. (16:34:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Eliminate deadlock when a kernel creates a filter in its initialialization code. (16:26:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix logic bug in type-matching of plugins. Make sure plugins are loaded before listing options. Close #1085 (13:14:01)

2016-01-04
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't allow digits as first character of stage name. Test for kernel option parsing. (17:22:41)

2015-12-31
	* chambbj <brad.chambers@gmail.com> Merge pull request #1083 from PDAL/lowercase-or-digit (08:59:09)
	* chambbj <brad.chambers@gmail.com> Merge pull request #1082 from PDAL/p2g-lowercase-options (08:58:40)
	* Bradley J Chambers <brad.chambers@gmail.com> Stage names can contain digits too (08:35:10)
	* Bradley J Chambers <brad.chambers@gmail.com> Options are now expected to be lowercase (08:34:14)

2015-12-29
	* Howard Butler <howard@hobu.co> use RSGIS instead of just USACE (12:13:08)
	* Howard Butler <howard@hobu.co> add contributors page (11:30:22)

2015-12-28
	* Howard Butler <howard@hobu.co> catch up to latest master changes for PluginManager (20:36:22)
	* Howard Butler <howard@hobu.co> Merge pull request #1059 from PDAL/python-extension-fixups (20:04:05)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin' into python-extension-fixups (16:39:26)
	* Howard Butler <howard@hobu.co> Merge pull request #1075 from PDAL/gdal-20-support (16:38:44)
	* Howard Butler <howard@hobu.co> remove debug lint (12:51:41)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL into gdal-20-support (11:55:42)
	* Howard Butler <howard@hobu.co> Support GDAL 2.0+, improve GDAL configuration detection (11:55:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add documentation for the merge kernel. Close #1035 (11:00:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add mutex header. (10:53:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Provide thread-safety for PluginManger, KernelManager, StageManager Close #1048 (10:37:40)
	* Howard Butler <howard@hobu.co> Merge pull request #1073 from lucadelu/python_installation (08:48:21)
	* Luca Delucchi <lucadeluge@gmail.com> added documentation about PDAL python installation (08:42:27)

2015-12-22
	* Connor Manning <connor@hobu.co> Install BufferReader header explicitly since there are no compiled files. (20:07:35)
	* Connor Manning <connor@hobu.co> Install BufferReader header. (19:54:03)
	* Connor Manning <connor@hobu.co> Fix a typo and register the divider filter. (19:42:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix directory location of BufferReader. Fix bug in non-initialized m_resample variable in ilvis2 reader. (14:02:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add forgotten file. (12:44:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move BufferReader to io directory. Close #1070 (12:19:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make sure files at the end of the prepare() step. NOTE: Note done for greyhound and MrSid. Close #1017 (10:35:54)
	* Andrew Bell <andrew.bell.ia@gmail.com> Multiple file opening for tindex. (09:30:28)

2015-12-21
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/stream' into reopen (17:13:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into reopen (16:46:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into reopen (15:39:03)
	* Howard Butler <howard@hobu.co> clean up Docker-built stuff when making dependencies image (09:48:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for stage-specific options on random kernel. Close #1072 (09:32:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into reopen (07:56:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (07:22:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix default minor version of LAS file in documentation. (07:21:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into stream (07:20:13)
	* Howard Butler <howard@hobu.co> catch up Docker config for CPD (00:35:00)

2015-12-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Streaming support for ILVIS2. (16:02:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Close BFP files between prepare/ready. Open/close GDAL files on ready/done. Add GDALReader test. Handle setting of spatial reference from empty string. (10:00:52)

2015-12-18
	* Andrew Bell <andrew.bell.ia@gmail.com> MS still doesn't do initialization lists in ctors. (17:17:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow error return from Raster without necessarily throwing an exception. (15:48:23)
	* Howard Butler <howard@hobu.co> add CPD, FGT, and armadillo6 to dependencies Dockerfile (12:02:34)

2015-12-16
	* Andrew Bell <andrew.bell.ia@gmail.com> Streaming support. (11:19:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Return 'true' from processOne(). (10:58:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:40:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Update crop filter documentation. (10:36:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Streaming support for TransformationFilter. (10:34:52)

2015-12-15
	* Andrew Bell <andrew.bell.ia@gmail.com> Support multi-source streaming. (20:23:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Streaming for StatsFilter. (16:36:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Streaming test for ReprojectionFilter. Fix streaming for ReprojectionFilter. (12:58:44)

2015-12-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Add stream test for RangeFilter. (16:12:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add streaming to FerryFilter. (15:10:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Support streaming on the decimation filter. (14:39:46)
	* Bradley J Chambers <brad.chambers@gmail.com> Perhaps the bucket and folder need quotes? (14:15:49)
	* Bradley J Chambers <brad.chambers@gmail.com> Artifact must be relative to repository root, this may pick up tests too (11:36:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into stream (10:29:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/stream' into stream (10:29:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Streaming for crop filter. (10:28:41)
	* Bradley J Chambers <brad.chambers@gmail.com> Try installing to local directory, which we will zip as an artifact (10:10:34)
	* Bradley J Chambers <brad.chambers@gmail.com> Mis-copied the key when encrypting, try again (09:28:47)
	* Bradley J Chambers <brad.chambers@gmail.com> Create zip file of the bin directory and deploy to S3 for osgeo4w (08:58:49)

2015-12-12
	* Connor Manning <connor@hobu.co> Initialize primitives. (17:21:02)

2015-12-11
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #1069 from PDAL/stream-ref (16:50:05)
	* Connor Manning <connor@hobu.co> Use references instead of pointers when possible. (14:09:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add StreamCallbackFilter. Add tests for streaming colorization. (12:38:19)
	* Connor Manning <connor@hobu.co> Merge branch 'stream' of github.com:PDAL/PDAL into stream (11:07:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1068 from scott-lewis-nsidc/ilvis2-reader-update (07:44:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into stream (07:32:52)

2015-12-10
	* Scott Lewis <scott.lewis@nsidc.org> Changing ILVIS proprietary dims to regular dims (18:13:08)
	* Scott Lewis <scott.lewis@nsidc.org> Using an enum for mapping, allowing lowercase (17:35:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't crash when creating OStreamMarker on unopen stream. (17:31:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Support streaming with colorization. (17:30:57)
	* Scott Lewis <scott.lewis@nsidc.org> Merge branch 'master' of https://github.com/PDAL/PDAL into ilvis2-reader-update (15:40:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use old method of point count for density for now. (14:12:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch '1.1-maintenance' (13:11:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use densePointCount() to calculate density. (13:09:17)
	* Connor Manning <connor@hobu.co> Merge branch 'stream' of github.com:PDAL/PDAL into stream (08:10:37)

2015-12-09
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (15:51:28)
	* Howard Butler <howard@hobu.co> manually install current geotiff after package has installed for pdal/dependencies Dockerfile (15:33:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix path for pdal in test. (09:24:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (07:05:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (07:04:37)

2015-12-08
	* Andrew Bell <andrew.bell.ia@gmail.com> PointLayout as argument to PointTable. (16:44:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (16:03:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Compilation fixes for Ubuntu 14.04. (16:03:14)
	* Howard Butler <howard@hobu.co> remove ENTRYPOINT (15:25:14)
	* Howard Butler <howard@hobu.co> remove ENTRYPOINT (15:24:46)
	* Howard Butler <howard@hobu.co> Dockerfile cleanup and ENTRYPOINT (15:00:22)
	* Howard Butler <howard@hobu.co> Dockerfile cleanup and ENTRYPOINT (14:59:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Tests for some 1063, 1064 and 1065. (12:59:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch '1.1-maintenance' (10:03:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/1.1-maintenance' into 1.1-maintenance (10:01:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Put bundled files in a subnode from a node called "bundled_file". Close #1066 (10:00:19)

2015-12-07
	* Howard Butler <howard@hobu.co> make branch a Dockerfile ARG (23:04:59)
	* Howard Butler <howard@hobu.co> make branch a Dockerfile ARG (22:50:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle metadata forwards to get version number before we fill the header so version number info can be used correctly, etc. Close #1065 (18:29:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Format. (18:15:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle LAS 1.4 classification flags as bitfield. Close #1063 (18:14:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Valid global_encoding values can go up to 31. Close #1064 (17:57:38)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #1062 from PDAL/reprojection-srs-creation (13:22:43)
	* Connor Manning <connor@hobu.co> Describe the purpose behind creating the transform during initialize. (13:22:30)
	* Connor Manning <connor@hobu.co> Remove null view check and nullptr keyword usage, add braces. (13:01:56)
	* Connor Manning <connor@hobu.co> If we're not inferring the input SRS to the reprojection filter, create the transform during initialize, allowing usage of the FilterWrapper. (11:54:43)

2015-12-06
	* Connor Manning <connor@hobu.co> Add streaming capability to reprojection filter. (08:20:57)

2015-12-04
	* Andrew Bell <andrew.bell.ia@gmail.com> Use function to get layout. (13:00:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Streaming for BPF reading. (09:57:08)

2015-12-03
	* Howard Butler <howard@hobu.co> Merge branch 'master' into 1.1-maintenance (20:13:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow a streaming point table to be subclassed. (16:11:28)
	* Scott Lewis <scott.lewis@nsidc.org> Updated ILVIS Reader and test (16:04:54)
	* Howard Butler <howard@hobu.co> add Dockerfile for 1.1 (15:44:47)
	* Howard Butler <howard@hobu.co> Merge branch '1.1-maintenance' (15:32:42)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (15:26:48)
	* Howard Butler <howard@hobu.co> force usage of clang for PDAL compilation in docker build (15:26:32)
	* pdal-docs <pdal@hobu.net> Merge pull request #1061 from PDAL/specify-python-path-appveyor (13:21:38)
	* Bradley J Chambers <brad.chambers@gmail.com> Set 64-bit python on path ahead of 32-bit for CMake to grab the correct one (12:33:05)
	* Bradley J Chambers <brad.chambers@gmail.com> Try to force the 64-bit version of python (11:32:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Only allocate a single buffer for writing LAS data in streaming mode. Consolidate LAS writer code for streaming and non-streaming modes. (11:23:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make LAS writer work with streaming. (10:19:46)

2015-12-02
	* Howard Butler <howard@hobu.co> apply a default hole cull tolerance (22:41:53)
	* Howard Butler <howard@hobu.co> be more careful about checking geometry fetches (22:41:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into stream (16:38:46)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (15:56:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make sure we set a stage's spatial reference in the prepare() step. (15:56:06)
	* Howard Butler <howard@hobu.co> Docker-based Travis build. Docker is now used to provide Travis dependencies. See https://hub.docker.com/r/pdal/dependencies/ for the dependencies image. The Dockerfile to rebuild the configuration is at ./scripts/docker/dependencies (15:21:10)
	* Howard Butler <howard@hobu.co> more python fixups for PyPI (10:41:21)
	* Howard Butler <howard@hobu.co> version bump (10:16:11)
	* Howard Butler <howard@hobu.co> Python 1.1.0 extension fixups (10:14:22)

2015-12-01
	* Howard Butler <howard@hobu.co> no need for smooth boundary option on tindex kernel anymore (09:47:33)
	* Howard Butler <howard@hobu.co> only output hex'ified boundary when requested -- otherwise default to simplified boundary (08:57:56)
	* Howard Butler <howard@hobu.co> fetch correct ring count when smoothing polygon (08:43:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Ifdef laszip/lazperf on tests. (07:40:28)

2015-11-30
	* Andrew Bell <andrew.bell.ia@gmail.com> Add streaming support for LasReader. (16:40:40)
	* Howard Butler <howard@hobu.co> cull interior rings that are less than 6*tolerance*tolerance for simplified geometry (16:38:04)
	* Howard Butler <howard@hobu.co> use smoothed_boundary metadata, and flip the option so it can be correctly set (16:37:15)

2015-11-29
	* Howard Butler <howard@hobu.co> output computed estimated_edge in addition to the edge_length that was set (14:07:39)
	* Howard Butler <howard@hobu.co> fetch edge_size and density from HexGrid (13:36:01)
	* Howard Butler <howard@hobu.co> Add the ability to set output WKT precision on the smoothed geometry using GEOSWKTWriter_setRoundingPrecision_r. It is only available in GEOS 3.3+. (09:38:37)

2015-11-28
	* Howard Butler <howard@hobu.co> point to release notes in download page (09:31:30)

2015-11-25
	* Andrew Bell <andrew.bell.ia@gmail.com> Add links to release notes. (17:03:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add 1.1.0 release notes. (16:35:38)
	* Howard Butler <howard@hobu.co> update to 1.1.0 release (12:45:33)
	* Howard Butler <howard@hobu.co> increment version to 1.1.0 in preparation for release (10:45:09)

2015-11-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove errant semicolon. (11:17:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/stream' into stream (10:52:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into stream (10:51:18)

2015-11-23
	* Andrew Bell <andrew.bell.ia@gmail.com> Set output view SRS on merge filter. Close #1049 (12:24:30)
	* Howard Butler <howard@hobu.co> Implement readers.tindex #1052 (11:29:06)

2015-11-22
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (17:49:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make VLR reading/writing more closely match LAS spec. (17:48:38)
	* Howard Butler <howard@hobu.co> Merge pull request #1047 from scott-lewis-nsidc/update-tutorial-writing-writer (08:39:53)
	* Howard Butler <howard@hobu.co> Merge pull request #1051 from redheli/pgreader_pcid (08:39:31)
	* Max <zhiyong.weng@gmail.com> use pg_class.oid ,pg_attribute.attrelid to get correct pcid (04:25:29)

2015-11-20
	* Howard Butler <howard@hobu.co> doc updates (17:11:12)

2015-11-19
	* Scott Lewis <scott.lewis@nsidc.org> Fixed the filename for the input. (16:00:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Squashed commit of the following: (12:29:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Debug for testing. (07:36:35)

2015-11-18
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix code for windows. (19:21:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (17:52:47)
	* Scott Lewis <scott.lewis@nsidc.org> Minor addition to the tutorial documentation (17:17:50)
	* Scott Lewis <scott.lewis@nsidc.org> Updating Writing a Writer tutorial. (17:15:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add missed comment. (11:20:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Explicitly load symbols from libpython when libplang gets loaded. Close #1010. (10:59:05)
	* chambbj <brad.chambers@gmail.com> Dart sample radius should be a double (12:17:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix typo. (09:31:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:27:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Update LAS reader doc. Close #1044 (09:27:19)

2015-11-17
	* Howard Butler <howard@hobu.co> more doc tweaks (22:07:27)
	* Howard Butler <howard@hobu.co> predicate doc tweak (21:48:29)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (15:13:50)
	* Howard Butler <howard@hobu.co> computing nominal point density for tessellated polygon in filters.hexbin (15:12:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Better comment on path elimination logic. Move init/finish to unnamed namespace in Geometry. (11:47:37)
	* Connor Manning <connor@hobu.co> Merge branch 'master' into stream (11:20:23)

2015-11-16
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't include hexbin node twice. (19:38:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (17:07:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Smooth hexbin-generated boundaries. (17:07:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1039 from gadomski/point-view-bounds-checking (15:24:22)
	* Pete Gadomski <pete.gadomski@gmail.com> Check point view size in `getFieldAs` (07:38:55)
	* Howard Butler <howard@hobu.co> Merge pull request #1041 from PDAL/pcl-dartsample-filter (11:05:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1032 from PDAL/bpf-auto-xyz-offsets (07:35:11)

2015-11-12
	* Bradley J Chambers <brad.chambers@gmail.com> Add PCL DartSample filter, and a PDAL filter to wrap it (07:49:59)
	* chambbj <brad.chambers@gmail.com> Fix italics in tutorial (21:23:01)
	* chambbj <brad.chambers@gmail.com> Link the correct tutorial image (15:22:36)
	* Howard Butler <howard@hobu.co> Merge pull request #1033 from scott-lewis-nsidc/update-write-kernel-tutorial (14:12:32)
	* Scott Lewis <scott.lewis@nsidc.org> Changed library filename to be inline (13:36:58)
	* Scott Lewis <scott.lewis@nsidc.org> Updating Kernel tutorial to work with new code. (13:33:58)
	* Bradley J Chambers <brad.chambers@gmail.com> Add doc note for BPF offset=auto (12:39:53)
	* Bradley J Chambers <brad.chambers@gmail.com> Make XYZ auto offset by default in BPF writer (11:27:16)
	* Howard Butler <howard@hobu.co> Merge pull request #1027 from PDAL/pdal-docs-docker (08:26:09)
	* Howard Butler <howard@hobu.co> Merge pull request #1030 from PDAL/height-filter (08:25:58)

2015-11-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1037 from gadomski/rivlib-cleanup (12:24:26)
	* Pete Gadomski <pete.gadomski@gmail.com> Set default value for boolean in RxpReader (11:50:27)

2015-11-13
	* Howard Butler <howard@hobu.co> Merge pull request #1036 from scott-lewis-nsidc/update-writing-reader-tutorial (19:13:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix reporting check for nameValid(). (18:28:00)
	* Scott Lewis <scott.lewis@nsidc.org> Updating reader tutorial. (17:27:03)

2015-11-11
	* chambbj <brad.chambers@gmail.com> Fix small typo in filter tutorial (19:13:02)
	* chambbj <brad.chambers@gmail.com> Add labels for filter tutorial update (19:12:08)
	* Bradley J Chambers <brad.chambers@gmail.com> Add note about ASPRS/LAS point classifications (14:19:29)
	* Bradley J Chambers <brad.chambers@gmail.com> getDefaultOptions is unused, check for Classification dim when preparing filter (14:06:08)
	* Bradley J Chambers <brad.chambers@gmail.com> Add some error checking, examples, and finalize the tutorial (13:29:16)
	* Bradley J Chambers <brad.chambers@gmail.com> Initial commit of PCL-based normalized height filter (12:44:07)
	* Bradley J Chambers <brad.chambers@gmail.com> Update the filter writing tutorial (08:14:13)

2015-11-10
	* Andrew Bell <andrew.bell.ia@gmail.com> gcc doesn't take declaration in argument, apparently. (17:52:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (17:39:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix option names in ground kernel. Add debug information in the case that a bad option name is found. Add a simple test for invalid option names. Close #1029 (17:38:16)
	* chambbj <brad.chambers@gmail.com> Remove extra apostrophe in apps.rst (14:08:28)

2015-11-09
	* Howard Butler <howard@hobu.co> a note about using other dimensions besides classification (19:06:45)
	* Howard Butler <howard@hobu.co> clipping doc tweaks (19:03:09)
	* Howard Butler <howard@hobu.co> don't include fnctl if _WIN32 (18:51:02)
	* Howard Butler <howard@hobu.co> clean up extra paragraph in tutorial (17:07:34)
	* Howard Butler <howard@hobu.co> add a tutorial to describe clipping with shapefiles (16:59:23)
	* Howard Butler <howard@hobu.co> fcntl.h no impliclitly included in later libc++ (15:55:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Print warning if we can't read GeoTiff VLR when one exists. Close #128 (12:44:05)

2015-11-07
	* Connor Manning <connor@hobu.co> Avoid possibly uninitialized value warning. (10:30:21)

2015-11-06
	* Howard Butler <howard@hobu.co> add Dockerfile that builds pdal.io (22:57:27)
	* Howard Butler <howard@hobu.co> capitalization tweak from #1026 (10:16:47)
	* Howard Butler <howard@hobu.co> Merge pull request #1026 from scott-lewis-nsidc/update-writing-tutorial (10:13:41)

2015-11-05
	* Scott Lewis <scott.lewis@nsidc.org> Updated Writing tutorial. (13:09:17)

2015-11-03
	* Howard Butler <howard@hobu.co> more doc tweaks (10:55:19)

2015-11-02
	* Howard Butler <howard@hobu.co> introductory material for stages (15:10:12)
	* Howard Butler <howard@hobu.co> add PDAL logo back (15:00:30)
	* Howard Butler <howard@hobu.co> point to OSGeo4W and Vagrant in windows compilation doc (11:50:20)
	* Howard Butler <howard@hobu.co> point to vagrant in compilation doc (11:44:33)

2015-11-01
	* Howard Butler <howard@hobu.co> more doc tweaks (23:35:55)
	* Howard Butler <howard@hobu.co> typos (23:03:13)
	* Howard Butler <howard@hobu.co> document GDAL_CACHEMAX sensitivity in filters.colorization (22:58:51)
	* Howard Butler <howard@hobu.co> output the PDAL plugin search path to stderr when PDAL_DEBUG environment variable is set (22:58:33)
	* Howard Butler <howard@hobu.co> Merge pull request #1018 from PDAL/issues/997-plugin-debug (20:36:32)

2015-10-30
	* Howard Butler <howard@hobu.co> update my example cmake to catch up to elcapitan (22:15:38)
	* Howard Butler <howard@hobu.co> output docs to build directory (22:15:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Pass PointRef as reference. (Need a better name). (13:53:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move LAS metadata extraction to initialize(). (12:47:05)

2015-10-29
	* Howard Butler <howard@hobu.co> Merge pull request #1023 from PDAL/srs-prepare (16:38:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> Test changes for SRS setting in prepare(). (15:12:06)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #1021 from PDAL/reprojection-filtering (14:31:24)
	* Connor Manning <connor@hobu.co> Merge branch 'master' into reprojection-filtering (10:22:47)
	* Connor Manning <connor@hobu.co> Oops, throw the error, not the string. (10:18:32)
	* Connor Manning <connor@hobu.co> Correct reprojection culling by reverting to the original behavior.  Keep the reintroduced filter call. (10:15:04)
	* Howard Butler <howard@hobu.co> Merge pull request #1020 from PDAL/reprojection-filtering (08:37:41)

2015-10-28
	* Connor Manning <connor@hobu.co> Reintroduce ReprojectionFilter::filter, used by FilterWrapper for standalone Views.  Some performance tweaks. (22:45:37)
	* Howard Butler <howard@hobu.co> lard up PluginManager with debugging lint for when PDAL_DEBUG enviro variable is set #997 (16:12:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Filtered streaming works. Update RangeFilter to streaming. Update FauxReader to streaming. Add real streaming test. (15:30:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into stream (14:10:25)
	* Howard Butler <howard@hobu.co> update the doc-building doc (13:28:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix range doc. (11:53:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Have range filter support multiple ranges for each dimension. Use simple and consistent logical arrangement of ranges. Close #1014 (11:19:46)
	* Howard Butler <howard@hobu.co> cull top links for shorter heading on website (08:42:44)

2015-10-27
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (15:35:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't divide by zero. Close #1015 (15:35:20)
	* Howard Butler <howard@hobu.co> Documentation work. New theme and some organization. (15:13:48)

2015-10-26
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (16:33:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Divider filter. (16:32:37)
	* Connor Manning <connor@hobu.co> Add all dimensions for LAS QuickInfo. (11:35:31)

2015-10-23
	* Andrew Bell <andrew.bell.ia@gmail.com> New rply version. (14:33:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Look for FauxReader in the right place. (13:41:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Randomize filter. (12:51:21)

2015-10-22
	* Andrew Bell <andrew.bell.ia@gmail.com> More missed files. (12:13:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Missed test file. (12:10:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Missed new file. (12:05:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> First working simple streaming with test. (12:01:46)

2015-10-21
	* Andrew Bell <andrew.bell.ia@gmail.com> First cut at stream execution.  Doesn't handle filtering. (16:16:51)
	* Howard Butler <howard@hobu.co> Merge pull request #1011 from PDAL/issues/1009-cull-bad-reprojection (15:05:22)
	* Howard Butler <howard@hobu.co> make transform() call simpler when we want to cull bad points (13:41:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Create a fixed point table. (13:10:36)

2015-10-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Change range negation character to '!' from '~'. (20:31:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow negation of ranges. Close #1001 (20:27:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> LasWriter doc update. (20:09:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> First cut at streaming. (15:53:46)
	* Howard Butler <howard@hobu.co> add capability to cull bad reprojection (11:24:58)

2015-10-19
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/masterupdates' into stream (16:37:20)

2015-10-16
	* Andrew Bell <andrew.bell.ia@gmail.com> Use Dimension::Id as long as possible. Use std::copy instead of memcpy. (15:33:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Rename PointRef to PointIdxRef. (11:31:44)

2015-10-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove reference to dead inplacereprojection filter. (11:54:07)

2015-10-13
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow digits in option names. (15:53:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix stuff for options changes caught in debug mode. (13:23:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Option names only lowercase and underscore. (11:33:50)

2015-10-12
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for 'all' 'extra-dims' in LasWriter. (13:35:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix pipeline tests to work with new options. (10:47:47)

2015-10-09
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't allow sub-options. (16:14:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> commit dc48725c1f54cb30649eea93691d8c5e0711c9c4 Author: Andrew Bell <andrew.bell.ia@gmail.com> Date:   Wed Oct 7 11:47:40 2015 -0500 (15:25:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (13:51:13)
	* Howard Butler <howard@hobu.co> compare correct thing in readers.gdal (11:18:13)

2015-10-07
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't use fixed format for doubles.  Use default format with significant precision. (11:30:25)

2015-10-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Flat options for colorization. (10:01:19)

2015-10-02
	* Andrew Bell <andrew.bell.ia@gmail.com> Be more accepting of spaces in range specification. (09:50:32)

2015-10-01
	* Andrew Bell <andrew.bell.ia@gmail.com> Error feedback on parsing limits option. Handle various constant double formats. (20:40:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into range-options (15:56:54)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add extract(). (15:56:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Support output_dims options for BPF. (14:33:12)

2015-09-30
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'linkop' (14:26:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'lasperf' (14:14:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Somewhat improved kernel option parsing. (12:19:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Eliminate nested option in ferry filter. (11:59:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code. (09:58:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #1007 from rouault/fix_pdal_filters_stats_test (07:39:15)
	* Even Rouault <even.rouault@spatialys.com> StatsFilterTest: Use EXPECT_DOUBLE_EQ (05:40:33)

2015-09-29
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix stats test to handle metadata more flexibly. (15:35:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (15:23:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Used fixed format for string output. (15:22:35)
	* Howard Butler <howard@hobu.co> Merge pull request #1005 from PDAL/ilvis2-reader (11:18:58)
	* Howard Butler <howard@hobu.co> add ILVIS2 reader test (10:48:11)

2015-09-28
	* Howard Butler <howard@hobu.co> provide untested implementation of ILVIS2 ASCII reader #1004 (14:37:10)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (11:12:08)

2015-09-25
	* Howard Butler <howard@hobu.co> Merge pull request #1003 from jwomeara/geowave-update (14:30:49)
	* Whitney O'Meara <womeara@radiantblue.com> Updated GeoWave install script to use the latest version of GeoWave (12:54:47)
	* Bradley J Chambers <brad.chambers@gmail.com> First cut at a revised set of options for RangeFilter (12:01:02)

2015-05-28
	* Whitney O'Meara <womeara@radiantblue.com> Updated GeoWave CMake config (08:43:30)
	* Connor Manning <connor@hobu.co> Destruct temporary layout. (19:12:08)
	* Connor Manning <connor@hobu.co> Add some logging to BPF dimension parsing code. (14:07:53)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #929 from PDAL/close-streams (12:51:52)

2015-05-15
	* Whitney O'Meara <womeara@radiantblue.com> Updated linux-install-scripts to use precompiled geowave binaries (09:33:34)
	* Howard Butler <howard@hobu.co> Merge pull request #918 from PDAL/p2g-zero-points (11:45:38)
	* Howard Butler <howard@hobu.co> forward the PointTable SpatialReference() down to the raster output #917 (10:49:06)
	* Howard Butler <howard@hobu.co> Handle P2G with zero points #914 and support collecting XYZ from all PointViews, not just the first one (10:27:55)
	* Howard Butler <howard@hobu.co> Merge pull request #916 from PDAL/kernel-label-option (09:18:37)
	* Howard Butler <howard@hobu.co> add option --label to kernel default arguments to allow people to tag processes (09:02:01)

2015-05-06
	* Whitney O'Meara <womeara@radiantblue.com> GeoWave package name updates (15:51:12)
	* Michael P. Gerlek <mpg@flaxen.com> fix for #895 (15:07:09)
	* Michael P. Gerlek <mpg@flaxen.com> temp outputs (15:06:53)

2015-09-24
	* Howard Butler <howard@hobu.co> CMAKE_SOURCE_DIR typo (12:44:04)
	* Howard Butler <howard@hobu.co> Provide a Height Above Ground example as processed with `pdal ground` APMF filter and `filters.programmable` (12:19:26)

2015-09-23
	* Andrew Bell <andrew.bell.ia@gmail.com> Support LazPerf for compression/decompression. (18:41:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (17:26:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> LazPerf test depends on LasZip. (17:25:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into lasperf (17:20:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Testing (17:01:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Testing (16:04:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Testing (15:52:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Testing (15:20:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Test install of laszip (14:50:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Set correct initial offset for proper chunk size. Remove debug. (13:54:57)
	* chambbj <brad.chambers@gmail.com> Merge pull request #999 from PDAL/remove-options (10:15:57)
	* Bradley J Chambers <brad.chambers@gmail.com> Remove by key to remove all matching elements (10:13:51)
	* Bradley J Chambers <brad.chambers@gmail.com> Implement Options::remove and Stage::removeOptions (08:18:42)
	* Bradley J Chambers <brad.chambers@gmail.com> Add screenshots for outlier removal (10:06:28)
	* Bradley J Chambers <brad.chambers@gmail.com> Change statistical outlier defaults (09:57:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Testing. (08:03:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Testing. (07:37:53)

2015-09-22
	* Andrew Bell <andrew.bell.ia@gmail.com> Formatting and comment fix. (15:39:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix compilation warning. (15:39:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into lasperf (14:53:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (14:29:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove references to dead --xml option. Close #998 (14:21:11)
	* Howard Butler <howard@hobu.co> no longer refer to XML output #998 (12:29:08)

2015-09-18
	* Howard Butler <howard@hobu.co> style tweaks (10:19:30)
	* Howard Butler <howard@hobu.co> Merge pull request #992 from rouault/avoid_failures_on_pgpointcloudtest (10:17:56)
	* Howard Butler <howard@hobu.co> readers.gdal reader for reading in raster data as point clouds #996 (10:13:46)

2015-09-17
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix chunking of LazPerf writer. Add LazPerf writer test. Add documentation regarding compressor/decompressor selection. (08:15:45)

2015-09-16
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into lasperf (10:27:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> First-cut at LAZperf compression. (10:27:04)

2015-09-15
	* Howard Butler <howard@hobu.co> clean up a bunch of sphinx doc warnings (10:18:50)

2015-09-14
	* chambbj <brad.chambers@gmail.com> Merge pull request #995 from PDAL/pcl-stuff-as-filters (20:45:10)

2015-09-03
	* Bradley J Chambers <brad.chambers@gmail.com> Make some PCL functions accessible as filters (12:44:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for VLR forwarding. (17:18:16)

2015-09-11
	* Howard Butler <howard@hobu.co> Merge pull request #993 from rouault/fix_tutorial (16:32:02)
	* Even Rouault <even.rouault@spatialys.com> Tutorial mentions rst and xml output (16:28:32)
	* Even Rouault <even.rouault@spatialys.com> Fix failure on PgpointcloudWriterTest (15:50:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> No longer need cast. (15:27:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace raw pointer with unique_ptr. (15:24:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #990 from rouault/fix_kernel_memleaks (14:38:19)
	* Even Rouault <even.rouault@spatialys.com> Add destructor to Kernel class to fix memleaks (14:34:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #989 from rouault/fix_pdal_info_help (14:22:23)
	* Even Rouault <even.rouault@spatialys.com> Fix 'pdal info --help' regarding --all option (14:20:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Test for reading with LAZperf. Allow programmatic selection of LAZperf or LASzip. (12:16:20)
	* Howard Butler <howard@hobu.co> point to 1.0.1 release (11:12:12)
	* Howard Butler <howard@hobu.co> incrememnt version to 1.0.1 for release (11:09:41)
	* Howard Butler <howard@hobu.co> add HOWTORELEASE doc (11:09:03)
	* Howard Butler <howard@hobu.co> clean up usage() for pdal-config (11:05:48)
	* Howard Butler <howard@hobu.co> make sure to 'make dist' in package.sh (10:45:52)
	* Howard Butler <howard@hobu.co> add package.sh for release generation, use pdal-config for fetching version for packaging (10:44:02)
	* Bradley J Chambers <brad.chambers@gmail.com> Fix main CMakeLists (08:25:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix #ifdefs. (08:14:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Decompress with LAZperf and v. 2 VLR item types. (06:47:56)

2015-09-10
	* Howard Butler <howard@hobu.co> point to 1.0.0 release (16:27:21)
	* Howard Butler <howard@hobu.co> increment versions and add SOVERSION for 1.0.0 release (13:53:26)
	* Howard Butler <howard@hobu.co> Merge pull request #986 from PDAL/issues-961-xml-schema-version (13:12:41)
	* Howard Butler <howard@hobu.co> Merge pull request #988 from PDAL/issue/987-pc2pc (13:08:38)
	* Bradley J Chambers <brad.chambers@gmail.com> Be sure to set the compression flag when inferring LAZ (12:09:03)
	* Howard Butler <howard@hobu.co> link to BPF specification in docs (10:24:51)
	* Howard Butler <howard@hobu.co> add -std=c++11 to --cxxflags output for pdal-config #984 (09:59:30)

2015-09-09
	* Howard Butler <howard@hobu.co> python setup.py fixups (23:21:06)
	* Howard Butler <howard@hobu.co> add --plugin-dir to pdal-config output (22:51:31)
	* Howard Butler <howard@hobu.co> Add optional version number to XMLSchema output #961 (22:20:22)
	* Howard Butler <howard@hobu.co> XSD/XML Schema version tweaking (15:59:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (14:58:52)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't overload add() with default arguments. Close #985 (14:57:35)
	* Howard Butler <howard@hobu.co> Add version number to XMLSchema output #961 (14:53:20)
	* Howard Butler <howard@hobu.co> fix up pkg-config and pdal-config scripts #984 (14:18:10)
	* Howard Butler <howard@hobu.co> Python 2 compatible string handling (10:43:42)
	* Howard Butler <howard@hobu.co> python3-compatible unicode handling (10:37:03)
	* Howard Butler <howard@hobu.co> init plang environment in Invocation constructor (10:36:41)

2015-09-08
	* chambbj <brad.chambers@gmail.com> Merge pull request #980 from PDAL/omni-kernel-pipeline-manager (09:26:03)

2015-08-17
	* Bradley J Chambers <brad.chambers@gmail.com> Update the translate kernel (14:26:54)
	* Andrew Bell <andrew.bell.ia@gmail.com> Change BOX3D to BOX2D in translate bounds option. (14:49:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Correct invalid SRS option. Don't explictly set scale -- allow writer to set. Close #971 (13:07:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Quiet compiler. (08:45:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead "register" hint. (08:32:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (08:19:24)
	* chambbj <brad.chambers@gmail.com> Merge pull request #974 from PDAL/derivative-writer (08:04:25)
	* chambbj <brad.chambers@gmail.com> Merge pull request #973 from PDAL/issue/972-ground-kernel-approx (07:40:33)
	* Bradley J Chambers <brad.chambers@gmail.com> Add approximate option, pass along debug and verbose options too (07:14:21)

2015-09-05
	* Howard Butler <howard@hobu.co> Merge pull request #983 from wenzeslaus/liblas-to-pdal-transition (07:38:25)

2015-09-04
	* Vaclav Petras <wenzeslaus@gmail.com> Improve transition guide heading and fix label (11:49:52)
	* Vaclav Petras <wenzeslaus@gmail.com> Add error handling and mention other formats (11:43:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Metadata for python filters. (11:28:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove Utils::saturation_cast. (09:51:41)

2015-09-02
	* Vaclav Petras <wenzeslaus@gmail.com> Complete 3 libLAS related questions (14:09:42)
	* Vaclav Petras <wenzeslaus@gmail.com> Text for from libLAS transition and toc entry (14:04:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use linker script to avoid linking two libraries. Linker scripts don't work on OSX :(  Use --reexport_library instead. Actually use custom PointTable in test. Close #977 (09:39:41)

2015-09-01
	* Vaclav Petras <wenzeslaus@gmail.com> Add questions about libLAS (20:51:25)
	* Vaclav Petras <wenzeslaus@gmail.com> Main code samples for libLASC API to PDAL transition (20:50:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> reexport_library for libpdal_util (16:37:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Diagnostic fixes for old GCC. (12:39:54)

2015-08-31
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (14:48:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> New forwarding syntax. (14:48:10)

2015-08-25
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't run SRS tests without Geotiff. (13:44:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Set and use m_srs variable in LasWriter. Add tests for set SRS. Close #981 (12:48:15)
	* Howard Butler <howard@hobu.co> Update MrSID reader up to date with current PDAL (09:43:07)

2015-08-24
	* Howard Butler <howard@hobu.co> catch up CPD plugin to current PDAL master (09:06:53)

2015-08-21
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for lost --polygon option in translate kernel. (12:06:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (12:01:54)

2015-08-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:20:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make translate kernel more straightforward. (10:20:00)

2015-08-19
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (16:15:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (16:15:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Change BOX3D to BOX3D for tindex. (16:14:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Eliminates/suppress warnings. (12:41:48)
	* Connor Manning <connor@hobu.co> Get rid of a couple GCC warnings. (11:46:48)

2015-08-18
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace ...contains... with ...covers... Close #976 (08:49:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix doc for pdal translate. (08:48:36)

2014-07-03
	* Bradley J Chambers <brad.chambers@gmail.com> Add DerivativeWriter (10:53:57)

2015-08-12
	* Howard Butler <howard@hobu.co> Merge pull request #970 from PDAL/release-gitdir-mode (20:40:47)
	* Howard Butler <howard@hobu.co> DLL export transformWkt call (20:12:07)
	* Howard Butler <howard@hobu.co> git/release version setting (19:56:14)

2015-08-11
	* Andrew Bell <andrew.bell.ia@gmail.com> Doc for a_srs option on tindex kernel. (19:12:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle file with missing SRS and --a_srs option. Close #969 (17:20:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge of lots of little changes. Support transformation of crop input geometry. (13:55:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (10:37:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Change import_array() call to deal with python 3. (10:27:59)

2015-08-09
	* Howard Butler <howard@hobu.co> update AUTHORS (23:21:01)

2015-08-07
	* Howard Butler <howard@hobu.co> sort test output from python dict for stability (11:03:44)
	* Howard Butler <howard@hobu.co> set host to localhost, not test for pgpointcloud test in my example config (10:43:59)
	* Howard Butler <howard@hobu.co> add PGPOINTCLOUD_TEST_DB_HOST to my example config (10:29:18)
	* Howard Butler <howard@hobu.co> add my OCI config for testing to my example file (10:21:29)
	* Howard Butler <howard@hobu.co> libplang.so needs to do PDAL_ADD_LIBRARY for @rpath and such (08:45:05)

2015-08-06
	* Howard Butler <howard@hobu.co> Merge pull request #963 from PDAL/add-reclassification-example (13:53:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (13:49:47)
	* Howard Butler <howard@hobu.co> update my example cmake configuration (13:48:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/python' into python (13:42:45)
	* Howard Butler <howard@hobu.co> add tutorial links to main docs page (13:42:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Lost...? (13:42:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> More MSVC fixes. (12:51:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fixes for MSVC. (09:48:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Explict cast in numericCast(). (08:02:41)

2015-08-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/python' into python (21:48:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into python (21:33:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix link issues that allow python to be embedded in a dll with gcc. (20:13:55)

2015-08-04
	* Howard Butler <howard@hobu.co> add filters.programmable example that does classification reassignment (13:07:17)

2015-07-31
	* Howard Butler <howard@hobu.co> fix up greyhound compilation failure (15:15:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> More tests for ColorizationFilter. (13:54:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Have colorization filter add the dimensions it's going to write. (13:08:47)

2015-07-29
	* Andrew Bell <andrew.bell.ia@gmail.com> Add bundle test files. (17:32:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support to write bundled files in BPF3. (17:10:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (16:49:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add getFilename() for FileUtils. (16:49:22)

2015-07-27
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into python (16:40:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix output for non-GEOS case. (13:18:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Update crop filter doc. (12:48:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (12:35:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Have CropFilter take 2D bounds instead of 3D to be consistent with polygon. Use both bounds and polygons if both are specified. (12:34:58)

2015-07-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Make location scaling (auto conversion to/from scaled int) more generic to handle data that may have been written as scaled floats, etc. (21:53:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Explicitly link libdl.  Not sure why. (16:47:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (16:30:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Scale X,Y and Z, even if we're not doing ints. (16:29:55)

2015-07-23
	* Howard Butler <howard@hobu.co> tweak missing calculateBounds call (22:33:46)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't double-prepare a pipeline. (18:01:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't build HeightAboveGroundKernel for now. (17:53:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add Utils::hexDump(). (17:43:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Roll back change to library install location for now. (17:31:44)

2015-07-22
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (17:10:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make BOX2D and adjust code and tests. Close #897 (16:53:10)
	* Howard Butler <howard@hobu.co> Merge branch 'issues/871-CMAKE_INSTALL_LIBDIR-usage' (00:36:18)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into initial-hag-kernel (00:33:54)
	* Howard Butler <howard@hobu.co> Add Brad's API reader/writer/filter usage tutorials. (00:03:38)

2015-07-21
	* Howard Butler <howard@hobu.co> Salvage #928 and keep SQLite error handling additions that were in that PR (23:59:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix to global_encoding bit. (13:58:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (13:57:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Have crop filter create an output PointView for each box/poly set as an arg. Add Options::getValues(). (13:55:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Revert accidental commit. (13:36:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use our numericCast to get rid of boost::numeric_cast -- for now. (11:33:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Call done() on LazPerfCompressor if there's an exception. (10:19:37)

2015-07-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Better debug for out-of-range data for packed DB ints. (18:18:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add comment. (10:27:20)

2015-07-17
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:13:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> ifdef unix-only stuff. (09:13:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #959 from oscarmartinezrubiorg/master (08:56:28)
	* “oscar.martinez.rubi” <omrubi@gmail.com> Add options for x and y origins and change data type of m_length option. Also include origin attributes when passing options to the Splitter filter (05:22:12)
	* “oscar.martinez.rubi” <omrubi@gmail.com> Change m_lenght to double (as required by the Splitter filter) and add attributes for the x and y origins (also doubles) (05:20:38)
	* “oscar.martinez.rubi” <omrubi@gmail.com> Make default value a double (1000.) (05:18:51)

2015-07-16
	* Howard Butler <howard@hobu.co> Merge pull request #957 from PDAL/revert-943-pcl-travis (16:43:16)
	* Howard Butler <howard@hobu.co> Merge pull request #958 from PDAL/inline-pdal-error (16:43:06)
	* Howard Butler <howard@hobu.co> inline a few more exceptions (16:07:49)
	* Howard Butler <howard@hobu.co> inline the definition of pdal_error in an attempt to shut up MSVC about exports (15:42:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add progress reporting for pipelines. (14:46:27)
	* Howard Butler <howard@hobu.co> Revert "Turn PCL on in Travis as an optional component" (10:10:51)

2015-07-15
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code. (16:14:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Put all utilities in the same namespace. (15:57:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move Utils.XX to util subdir. (14:16:18)

2015-07-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Update CompressionTest for new schema. (19:18:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix 1.4 scan angle. (18:05:41)

2015-07-13
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix writing of point formats 6-10 to match spec. (15:03:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow info kernel to take extra command-line options. (13:34:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add "count" option to stats filter. Close #955 (13:08:32)

2015-07-10
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code. (11:11:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix repro filter test now that GEOTIFF macro is fixed. (11:11:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix GEOTIFF include directive. (10:40:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix comment typo. (10:39:40)

2015-07-08
	* Andrew Bell <andrew.bell.ia@gmail.com> Update NitfWriter documentation. Remove dead code. (11:54:52)

2015-07-07
	* Andrew Bell <andrew.bell.ia@gmail.com> Add tests for NitfWriter as FlexWriter. (16:35:08)

2015-07-06
	* Andrew Bell <andrew.bell.ia@gmail.com> Add documentation for LasWriter as FlexWriter. (19:56:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make LasWriter a FlexWriter. (18:58:55)

2015-07-05
	* Howard Butler <howard@hobu.co> Merge pull request #943 from PDAL/pcl-travis (15:17:35)

2015-07-03
	* Howard Butler <howard@hobu.co> bring forward inferred options from the writer (for compression) for tindex (14:50:22)
	* Howard Butler <howard@hobu.co> trap for when we can't make the filters.hexbin stage in tindex (14:11:01)
	* Howard Butler <howard@hobu.co> make sure to set filename when fetching file info in tindex (13:35:24)
	* Howard Butler <howard@hobu.co> PclVisualizer typo (13:15:55)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into grid-1.4.0 (13:11:02)

2015-07-02
	* Andrew Bell <andrew.bell.ia@gmail.com> Make BpfWriter a FlexWriter. (14:59:12)

2015-07-01
	* Andrew Bell <andrew.bell.ia@gmail.com> Add back ctors. (11:05:05)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into grid-1.4.0 (09:36:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Minor clean-up. (08:20:47)

2015-06-30
	* Andrew Bell <andrew.bell.ia@gmail.com> BPF writer header_data option doc. (17:02:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for writing extra BPF header data. (16:57:27)

2015-06-26
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove pdal_error. (19:35:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Simplify exception hierarchy. Close #12 (18:35:44)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #949 from gadomski/issues/907-matlab-writer (16:44:32)
	* Connor Manning <connor@hobu.co> Remove extraneous quotation mark. (11:56:25)

2015-05-20
	* Pete Gadomski <pete.gadomski@gmail.com> Add a matlab writer (09:30:22)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove outfile check in the hexbin test (09:36:28)
	* Pete Gadomski <pete.gadomski@gmail.com> Enable hexbin tests on travis (09:35:08)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into grid-1.4.0 (15:16:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add --write_absolute_path option to tindex kernel. (15:13:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add dump() function for BPF Mueller matrix. (14:52:12)

2015-06-25
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #948 from gadomski/hexboundary-on-travis (18:42:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow a count to be provided as part of `pdal info --query`. Close #922 (17:25:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove unimplemented function definition. Close #946 (16:03:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fixup pdal options. (15:53:21)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into grid-1.4.0 (14:17:48)

2015-06-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Better fix for ply reader error. (15:12:54)
	* Andrew Bell <andrew.bell.ia@gmail.com> Have kdtree_distance actually work. Use radius properly. Check for valid dimensions in KDIndex. (14:18:08)

2015-06-23
	* Andrew Bell <andrew.bell.ia@gmail.com> Set dimensionality of KDIndex at compile time. (17:33:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> More hardening of nanoflann/KDIndex. (13:49:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Cast user-data in callback to proper type to avoid test failures. (11:23:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (11:22:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Eliminte data corruption in KDIndex. Part of Issue 922. (08:49:29)

2015-06-22
	* chambbj <brad.chambers@gmail.com> Merge pull request #945 from PDAL/issue/944-ground-classify-broken (13:30:02)
	* Bradley J Chambers <brad.chambers@gmail.com> Fix scope of ground filtered indices (13:29:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add test for KDIndex. (10:25:56)

2015-06-20
	* Howard Butler <howard@hobu.co> Merge branch 'master' into grid-1.4.0 (14:14:38)

2015-06-19
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (15:52:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow delta kernel to evaluate all dimensions. Close #640 (15:50:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Set default build type to RelWithDebInfo. (08:52:49)

2015-06-18
	* Bradley J Chambers <brad.chambers@gmail.com> Turn PCL on in Travis as an optional component (12:41:42)
	* Howard Butler <howard@hobu.co> don't throw an error when we see options we can't split for --reader.whatever (08:45:34)

2015-06-17
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for conditional options on stages. Support extra stage options for tindex. (14:30:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Pass bounds box to crop filter if it exists. (11:17:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow bounding box specified as X,Y,Z as well as WKT for geometry filter. (10:31:54)

2015-06-16
	* Andrew Bell <andrew.bell.ia@gmail.com> Rework a bit of the info kernel to simplify and avoid multiple calls to prepare().  Allow multiple options to be specified in many cases. (16:42:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't use info kernel for tindex kernel. (15:49:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (09:22:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move portable_endian to util. (09:22:09)

2015-06-15
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (20:26:30)
	* Howard Butler <howard@hobu.co> public method to do --summary from code (20:26:26)
	* Howard Butler <howard@hobu.co> --fast-boundary implementation based on --summary info (20:26:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Initialize pointers and check values on destruction. (16:55:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> More doc fixes and updates for consistency. (11:56:46)

2015-06-11
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:15:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Doc updates. (09:15:15)

2015-06-10
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into grid-1.4.0 (20:53:32)
	* Howard Butler <howard@hobu.co> protect initialization of LasReader stream from destruction (NITF driver interaction (20:25:25)
	* Howard Butler <howard@hobu.co> don't use fancy deleter for OGRCT and OGRSpatialReferenceH (19:55:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://www.github.com/PDAL/PDAL (14:54:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix tests to go with correct GEOTIFF tag. Close #937 (14:49:05)
	* Howard Butler <howard@hobu.co> doc typo (14:23:28)
	* Howard Butler <howard@hobu.co> tweak mike's bash example (14:22:05)
	* Howard Butler <howard@hobu.co> add mike's bash example to docs (14:20:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Correct record ID for GEOTIFF doubles records. (12:04:09)

2015-06-07
	* Howard Butler <howard@hobu.co> Merge pull request #936 from PDAL/fast-boundary-tindex (16:48:30)
	* Howard Butler <howard@hobu.co> provide --fast-boundary method for pdal tindex to just use the bbox of the file instead of hexbin boundary (16:48:08)
	* Howard Butler <howard@hobu.co> Merge pull request #935 from PDAL/GDALUtils-spatialref-empty (16:47:15)
	* Howard Butler <howard@hobu.co> add empty() method to check if a GDAL srs doesn't have anything (16:46:50)
	* Howard Butler <howard@hobu.co> Merge pull request #934 from PDAL/no-default-hexbin (16:45:46)
	* Howard Butler <howard@hobu.co> only do filters.hexbin boundary for pdal info if --boundary is given as an argument (16:41:37)
	* Howard Butler <howard@hobu.co> a note about lidar2dems (10:53:12)
	* Howard Butler <howard@hobu.co> Merge pull request #933 from PDAL/rialto-removal (10:24:05)

2015-06-05
	* Michael P. Gerlek <mpg@flaxen.com> removal of (old) Rialto from PDAL repo (14:33:20)
	* Howard Butler <howard@hobu.co> check if we have already indexed a particular file and don't do it if we have (12:54:24)
	* Howard Butler <howard@hobu.co> mark us as not initialized if we destroyStream (12:36:54)

2015-06-04
	* Howard Butler <howard@hobu.co> protect against multiple initialize() calls leaking streams (19:51:34)
	* Howard Butler <howard@hobu.co> some tindex docs (09:55:35)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into grid-1.4.0 (09:31:02)
	* Howard Butler <howard@hobu.co> Merge pull request #932 from PDAL/stdin-pdal-tindex-930 (09:30:23)
	* Howard Butler <howard@hobu.co> support stdin as read mechanism for file list for  #930 (09:25:55)

2015-05-29
	* Connor Manning <connor@hobu.co> Attempted stopgap fix for BPF V1 header parsing. (09:59:56)

2015-05-27
	* Connor Manning <connor@hobu.co> Clean up streams. (17:01:40)
	* Michael P. Gerlek <mpg@flaxen.com> pretty up the error strings (07:38:22)

2015-05-26
	* Andrew Bell <andrew.bell.ia@gmail.com> Set valid flag on QuickInfo. (14:27:48)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into grid-1.4.0 (13:17:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Initialize data to 0. (09:51:01)
	* Michael P. Gerlek <mpg@flaxen.com> explicitly scope the database read & write (09:41:30)
	* Michael P. Gerlek <mpg@flaxen.com> better error handling, as per #927 (09:38:49)

2015-05-21
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into grid-1.4.0 (14:52:58)
	* Howard Butler <howard@hobu.co> Merge pull request #925 from PDAL/explicit-plugin-load (14:52:41)
	* Howard Butler <howard@hobu.co> explicit plugin loading via option #924 (14:42:12)
	* Howard Butler <howard@hobu.co> explicit loadPlugin function for filter Options specified in pipelines #924 (14:12:10)

2015-05-19
	* Andrew Bell <andrew.bell.ia@gmail.com> Use feature instead of SRS for field string. (20:04:21)
	* Howard Butler <howard@hobu.co> OGR_F_SetFieldString needs hFeature, not gdal::SpatialRef as first argument (16:26:59)

2015-05-18
	* Andrew Bell <andrew.bell.ia@gmail.com> Windows work. (14:47:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Always register X, Y and Z for BPF as doubles. (14:05:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add missed call to fileTimes(). (12:20:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use _stat instead of stat for windows. (11:53:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix file time stuff for windows. (11:39:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix for Windows. (10:45:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge of tindex. (10:32:25)

2015-05-13
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #913 from PDAL/stage-ownership (11:39:39)

2015-05-12
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for owning stages in the StageFactory. (19:11:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #910 from PDAL/bbox_precisionloss (17:30:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #911 from PDAL/sqlite_improvements (17:29:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #912 from PDAL/lasreadertest-lint (17:28:52)
	* Michael P. Gerlek <mpg@flaxen.com> lint (16:24:56)
	* Michael P. Gerlek <mpg@flaxen.com> boost removals (16:18:21)
	* Michael P. Gerlek <mpg@flaxen.com> cleaner LogPtr (16:17:43)
	* Michael P. Gerlek <mpg@flaxen.com> misc refactoring and cleanups (15:05:16)
	* Michael P. Gerlek <mpg@flaxen.com> Fix for bbox precision loss (#909) (14:29:33)
	* Howard Butler <howard@hobu.co> Merge pull request #903 from PDAL/approximate-pdal-ground (11:30:36)
	* Howard Butler <howard@hobu.co> Merge pull request #904 from PDAL/detect-bad-las-files (11:29:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use a != a instead of isnan(). (09:46:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add cmath. (09:37:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (09:25:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix nan comparison. (09:25:06)

2015-05-09
	* Howard Butler <howard@hobu.co> clean up extra tabs in gitignore (15:26:17)
	* Howard Butler <howard@hobu.co> Don't blindly read LAS files that don't have the first four magic 'LASF' bytes (14:38:55)

2015-05-08
	* Howard Butler <howard@hobu.co> Add --approximate option to 'pdal ground' for much faster computation #883 (14:52:46)
	* Howard Butler <howard@hobu.co> Merge pull request #901 from PDAL/issue-897 (12:54:05)
	* Howard Butler <howard@hobu.co> Merge pull request #902 from PDAL/las-header-incorrect-pointcount (12:53:54)
	* Michael P. Gerlek <mpg@flaxen.com> Merge pull request #896 from PDAL/issue-895 (12:08:18)
	* Howard Butler <howard@hobu.co> Attempt to support mis-labeled LAS headers in the case where the header's size is larger than the actual number of bytes in the file would otherwise suggest. This supercedes #893. (11:20:29)
	* Howard Butler <howard@hobu.co> Merge branch 'gadomski-las-header-incorrect-pointcount' into las-header-incorrect-pointcount (10:54:16)
	* Howard Butler <howard@hobu.co> Merge pull request #887 from PDAL/pm-consistency (10:43:04)
	* Michael P. Gerlek <mpg@flaxen.com> committing again, this time without gratuitous actor fix (10:42:41)
	* Michael P. Gerlek <mpg@flaxen.com> (fails on MSVC, see #897 and #900) (10:28:28)
	* Howard Butler <howard@hobu.co> loadByPath should load DynamicLibrary if they're not already loaded (09:41:31)
	* Howard Butler <howard@hobu.co> Merge pull request #899 from strk/pointcloud-docs (08:17:23)
	* Howard Butler <howard@hobu.co> Merge pull request #898 from strk/patch-2 (08:17:16)
	* Michael P. Gerlek <mpg@flaxen.com> added note and test case for #897 (07:20:56)
	* Sandro Santilli <strk@keybit.net> Document "pcid" option of PgPointcloud writer plugin (03:16:27)
	* Sandro Santilli <strk@keybit.net> Add website link to README file (03:01:49)

2015-05-07
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (13:02:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add origin support for SplitterFilter. (13:01:51)
	* Connor Manning <connor@hobu.co> Remove extraneous semicolons. (11:09:53)

2015-05-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove boost from Log code. Remove dead code from GDALUtils. (21:10:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add doc for BPF reader/writer. Add description of "auto" scaling. (15:04:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (12:18:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix extra options for PCL kernels. (12:18:02)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #894 from gadomski/issues/878-ply-writer (07:29:59)

2015-05-04
	* Pete Gadomski <pete.gadomski@gmail.com> Add a ply writer (09:48:48)
	* Pete Gadomski <pete.gadomski@gmail.com> Failing test for invalid pointcount in las header (16:00:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #892 from gadomski/issues/878-ply-reader (13:34:21)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #891 from gadomski/fix-merge-test (10:25:55)
	* Pete Gadomski <pete.gadomski@gmail.com> Add space between filename and output redirection (09:59:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge kernel. (09:18:23)

2015-05-01
	* Pete Gadomski <pete.gadomski@gmail.com> Add a ply reader (19:37:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into python (15:41:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add auto-scaling. (11:17:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #889 from PDAL/casting (10:17:24)

2015-04-30
	* Connor Manning <connor@hobu.co> Remove boost::numeric_cast. (15:51:45)

2015-04-29
	* Andrew <andrew@abell-vb2.(none)> Fixes for g++/Ubuntu compilation. (10:34:50)
	* Andrew <andrew@abell-vb2.(none)> Fixes for g++/Ubuntu compilation. (10:34:50)

2015-04-28
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into python (10:53:47)

2015-04-27
	* Andrew Bell <andrew.bell.ia@gmail.com> Const applies to type, in this case a reference, which makes no sense, so introduce a const type. (20:01:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Redo zone calculation based on several sources found elsewhere.  Eliminate bad abs() call and resulting confusion. (20:00:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> Changes in python based on changes in master. (19:55:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into python (19:54:03)

2015-04-26
	* Connor Manning <connor@hobu.co> Merge remote-tracking branch 'gadomski/missing-plugin-cleanup' into pm-consistency (10:20:14)
	* Connor Manning <connor@hobu.co> Plugin manager tweaks.  Avoid integer return codes and simplify a couple things. (10:19:34)

2015-04-25
	* Pete Gadomski <pete.gadomski@gmail.com> Load only one plugin when guessing plugin names (10:53:15)

2015-04-24
	* Pete Gadomski <pete.gadomski@gmail.com> Merge branch 'enable-sqlite-on-travis' (08:00:52)

2015-04-23
	* Pete Gadomski <pete.gadomski@gmail.com> Enable sqlite on travis (15:31:52)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge branch 'enable-points2grid-on-travis' (15:17:02)
	* Pete Gadomski <pete.gadomski@gmail.com> Enable points2grid testing on Travis (13:26:54)

2015-04-22
	* Pete Gadomski <pete.gadomski@gmail.com> Merge branch 'icebridge-on-travis' (16:49:29)
	* Pete Gadomski <pete.gadomski@gmail.com> Enable icebridge plugin on Travis (16:31:06)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #882 from PDAL/constify-stage-factory (11:31:08)
	* Connor Manning <connor@hobu.co> Constify StageFactory functions. (10:49:49)

2015-04-21
	* Howard Butler <howard@hobu.co> support STDOUT or STOUT as spelling for stdout (10:23:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:08:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add doc for pdal split. (10:08:12)
	* Howard Butler <howard@hobu.co> STDOUT output for --pointcloudschema hidden option #863 (09:56:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add split kernel. (09:37:59)

2015-04-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code. (09:27:39)

2015-04-18
	* Pete Gadomski <pete.gadomski@gmail.com> Fix up rxp reader and tests for new regime (16:32:09)

2015-04-15
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for enumeration of statistics values. (13:06:37)

2015-04-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Add test for non-standard dimension names. (14:41:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make schema hold XMLdims so that names get output for non-standard dimensions. (14:13:04)

2015-04-11
	* Howard Butler <howard@hobu.co> Merge pull request #877 from jwomeara/geowave-vagrant-fix (09:24:04)

2015-04-10
	* Whitney O'Meara <womeara@radiantblue.com> Fixed documentation URL and line endings for geowave service script (19:19:35)
	* Howard Butler <howard@hobu.co> use CMAKE_INSTALL_LIBDIR to catch lib64 on certain platforms for lib/ installation location #871 (15:36:28)
	* Howard Butler <howard@hobu.co> Merge pull request #876 from PDAL/PointCloudSchema-update (15:26:45)
	* Howard Butler <howard@hobu.co> increment version of PointCloudSchema XSD to 1.3 to include <metadata> for every dimension #872 (15:14:19)
	* Howard Butler <howard@hobu.co> Merge pull request #875 from jwomeara/docs-update (15:00:37)
	* Whitney O'Meara <womeara@radiantblue.com> Updated GeoWave plugin config URL (14:51:24)
	* Howard Butler <howard@hobu.co> Merge pull request #874 from jwomeara/geowave-update (11:46:42)
	* Whitney O'Meara <womeara@radiantblue.com> Updated vagrant provisioning to use common GeoWave jace bindings (09:25:05)

2015-04-09
	* Howard Butler <howard@hobu.co> make sure to add base options to 'pdal info' in addition to hidden ones described in #863 (15:49:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Ensure sufficient precision for offset and scale in XMLSchema. (15:13:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove some dead code. Make call_once use consistent. (11:58:20)
	* Howard Butler <howard@hobu.co> Merge pull request #863 from PDAL/sdo_pc (10:17:27)
	* Howard Butler <howard@hobu.co> Refactor and cleanup of gdal::Debug => gdal::ErrorHandler #870 (10:12:13)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge branch 'more-optional-deps-from-ppa' (08:59:28)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into sdo_pc (08:35:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Change LazPerfCompressor warning from exception to error output. (07:12:31)

2015-04-06
	* Pete Gadomski <pete.gadomski@gmail.com> Install laz-perf from our PPA (09:05:16)
	* Connor Manning <connor@hobu.co> Remove unnecessary typedef declarations. (13:40:20)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #868 from PDAL/layout-ownership (12:28:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add compression to OCI. Add a simple buffer implementation to the Compression header. Make sure done() only gets called once for the LazPerf compressor. Have compression tests use new compression buffer. (12:19:26)
	* Connor Manning <connor@hobu.co> Make the PointTable's Layout not be a shared pointer. (11:23:40)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #866 from gadomski/travis-cleanup (08:48:06)

2015-04-08
	* Andrew Bell <andrew.bell.ia@gmail.com> Duh. (14:10:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (13:10:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use custom comparator for PointViewSet. Test comparator for PointViewSet. (12:52:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (09:06:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add OCI test code. (09:06:27)

2015-04-07
	* Andrew Bell <andrew.bell.ia@gmail.com> Formatting. (14:39:29)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #869 from PDAL/filter-reference (13:40:36)
	* Connor Manning <connor@hobu.co> Take PointView reference instead of shared_ptr in filter(). (13:03:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/nitf-writer-igeolo-precision' (09:56:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'issues-854' (09:52:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix typo. (09:50:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Change plugin.h to plugin.hpp. Modify the plugin structure to use std::string. (09:10:28)

2015-04-05
	* Pete Gadomski <pete.gadomski@gmail.com> Remove unused cmake variables in CI script (14:23:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Reorganize apt-get installs (14:09:37)
	* Pete Gadomski <pete.gadomski@gmail.com> Use pdal's ppa for pgpointcloud (09:42:07)

2015-03-27
	* Pete Gadomski <pete.gadomski@gmail.com> Consolidate apt-get installs (16:40:57)
	* Pete Gadomski <pete.gadomski@gmail.com> Install libgeotiff from apt instead of from source (16:39:46)
	* Pete Gadomski <pete.gadomski@gmail.com> Bump required cmake version to 2.8.11 (15:43:41)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #852 from PDAL/geotiff-optional-cmake (19:40:10)
	* Pete Gadomski <pete.gadomski@gmail.com> Allow fresh cmake builds w/o geotiff (16:32:05)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #844 from strk/test-built-plugins (16:11:09)

2015-04-03
	* Andrew Bell <andrew.bell.ia@gmail.com> commit aea7c9db37f3b30a3d035aa6559dc20609233ae5 Author: Andrew Bell <andrew.bell.ia@gmail.com> Date:   Fri Apr 3 14:02:09 2015 -0500 (16:03:24)
	* Howard Butler <howard@hobu.co> apply patch from Todd Murphy to ensure valid boxes for small footprints in IGEOLO in writers.nitf (15:18:55)
	* Howard Butler <howard@hobu.co> protect XMLSchema with PDAL_HAVE_LIBXML2 (08:09:00)

2015-04-02
	* Howard Butler <howard@hobu.co> add ability for pdal::Kernel to add hidden switches, use to implement --pointcloudschema output for pdal info and pdal pipeline (16:33:26)

2015-04-01
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix point-major reads for OCI. Add point-major tests for OCI. (20:50:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make OCI tests work. Allow OCI connection string to be set in CMakeCache.txt or with     --connection=string on command line. (17:13:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add auto-offset support to OCI. (13:53:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove errant size set for location scaling. (13:32:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Force ordering of PointViews in sets to follow creation order. (07:34:19)

2015-03-31
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (16:01:58)
	* Howard Butler <howard@hobu.co> split up nitf tests (16:00:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Separate NITF reader/writer tests. (14:06:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Missed file. (13:43:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (13:35:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move test main from cmake to pdal code. (13:35:14)
	* Howard Butler <howard@hobu.co> Merge pull request #856 from PDAL/add-boost-dirs-to-config (11:40:18)
	* Howard Butler <howard@hobu.co> Merge pull request #857 from PDAL/catch-up-geowave (11:33:17)
	* Howard Butler <howard@hobu.co> catch up GeoWave to new plugin architecture #855 (10:32:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/reader-callbacks' (10:31:28)
	* chambbj <brad.chambers@gmail.com> external projects using pdal will also need the boost include and library dirs (09:26:28)

2015-03-30
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove unused pack option. Don't add size to total twice in point-major writes. (20:46:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (18:40:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix problems with reading/writing multiple tiles. Fix issue with positioning for dimension-major files. (18:39:54)

2015-03-26
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (18:43:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Debug. (18:42:33)
	* Connor Manning <connor@hobu.co> Fix warnings.  Add virtual destructor to PointView. (14:31:44)
	* chambbj <brad.chambers@gmail.com> Merge pull request #849 from PDAL/travis-optimization (14:15:57)
	* chambbj <brad.chambers@gmail.com> Merge pull request #850 from PDAL/export-toJSON (13:32:34)
	* chambbj <brad.chambers@gmail.com> Merge pull request #842 from PDAL/windows-warnings (13:32:03)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #846 from strk/travis (09:06:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #848 from gadomski/homepage-typo (08:46:35)
	* Bradley J Chambers <brad.chambers@gmail.com> export overloaded toJSON, make appveyor/windows happy (08:09:05)
	* Bradley J Chambers <brad.chambers@gmail.com> see if ninja works out of the box with the existing cmake ppa (07:41:55)

2015-03-25
	* Pete Gadomski <pete.gadomski@gmail.com> Fix small typo in homepage index (23:17:34)
	* Sandro Santilli <strk@keybit.net> Have Travis run pgpointcloud tests (04:31:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (09:38:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> emplace not supported on older 4.7 gcc. (09:38:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #847 from gadomski/2d-bounds-bug (09:05:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Fix maxy bug for 2D BOX3Ds (08:52:26)

2015-03-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Add NullWriter doc. (15:40:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (15:19:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add a NULL writer. (15:19:27)
	* Connor Manning <connor@hobu.co> Layout members private->protected for derivers. (15:17:50)
	* Sandro Santilli <strk@keybit.net> Request ctest to load plugins from the build dir (12:53:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (12:50:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add toMetadata to Options. (12:48:55)
	* Howard Butler <howard@hobu.co> don't install bash-completion globally, put in CMAKE_INSTALL_PREFIX (10:29:34)

2015-03-23
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for options -> JSON. (19:13:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Format changes. (10:48:34)

2015-03-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #837 from strk/pgpointcloud-quotes (09:48:45)

2015-03-19
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (20:10:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Rename StageTester -> StageWrapper (20:09:51)
	* Connor Manning <connor@hobu.co> Allow Layout::update override. (15:19:22)
	* Bradley J Chambers <brad.chambers@gmail.com> fix typo in MortonOrderFilter (09:27:01)
	* Bradley J Chambers <brad.chambers@gmail.com> fix bad rebase with master (06:44:40)

2015-03-18
	* Bradley J Chambers <brad.chambers@gmail.com> revert some changes, use /W3 instead of /W4 (14:05:03)
	* Connor Manning <connor@hobu.co> Add reader callbacks. (21:21:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (18:39:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Squashed commit of the following: (16:23:26)
	* Howard Butler <howard@hobu.co> Merge pull request #815 from strk/bash-completion (15:01:40)
	* Howard Butler <howard@hobu.co> Merge pull request #814 from strk/check (15:01:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #841 from strk/pgpointcloud-capacity (10:21:22)
	* Sandro Santilli <strk@keybit.net> Stop advertising unsupported "capacity" pgpointcloud writer option (10:15:49)
	* Sandro Santilli <strk@keybit.net> Do not assume default column name in PgWriter::writeTile (08:30:30)
	* Sandro Santilli <strk@keybit.net> Fix fetchPcid in presence of a schema option (08:20:49)
	* Sandro Santilli <strk@keybit.net> Properly quote PG identifiers (05:09:46)
	* Sandro Santilli <strk@keybit.net> Drop partial support for "capacity" option in pgpointcloud. (09:30:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Enhance replaceAll test. (08:46:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (08:27:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix Utils::replaceAll.  Add tests. (08:26:48)
	* chambbj <brad.chambers@gmail.com> Update install.cmd (06:26:23)
	* chambbj <brad.chambers@gmail.com> Merge pull request #838 from strk/patch-1 (06:18:01)
	* Sandro Santilli <strk@keybit.net> fix typo (06:13:09)
	* chambbj <brad.chambers@gmail.com> Update appveyor.yml (05:54:51)

2015-03-13
	* Bradley J Chambers <brad.chambers@gmail.com> Windows clean-up (mostly warnings) (11:16:39)
	* Sandro Santilli <strk@keybit.net> Install bash completion IFF /etc/bash_completion.d exists (05:09:04)
	* Sandro Santilli <strk@keybit.net> Add bash completion script (04:43:29)
	* Sandro Santilli <strk@keybit.net> Add a --list-commands switch to pdal app (04:23:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into issues-778 (16:57:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #817 from PDAL/issues-816 (16:49:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't access different lists in loop. (16:19:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (11:37:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove unused arguments. (11:37:24)
	* Howard Butler <howard@hobu.co> update slack notification token (08:43:15)
	* Bradley J Chambers <brad.chambers@gmail.com> use standard compiler macros (07:12:31)
	* Bradley J Chambers <brad.chambers@gmail.com> silence two particularly noisy warnings on windows (c4244 and c4290) (07:09:50)
	* Bradley J Chambers <brad.chambers@gmail.com> fix the appveyor badge once again (06:04:01)
	* Sandro Santilli <strk@keybit.net> Add "check" Makefile rule as an alias for "test" (03:27:03)

2015-03-17
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for user-specified backing-buffers and reader callbacks. (13:03:08)

2015-03-16
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #831 from PDAL/issues-821 (16:55:54)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #830 from PDAL/issues-812 (16:55:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove unused option "cloud_id" from OCI writer. (16:02:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't open LAZ file if we can't compress. (15:50:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #823 from PDAL/issues-778 (14:52:47)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #824 from gadomski/issues/820-laszip-and-lastools-cmake (12:14:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #828 from PDAL/issues-822 (11:43:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix text. (11:42:20)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #827 from PDAL/issues-822 (11:40:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (11:38:10)
	* Pete Gadomski <pete.gadomski@gmail.com> Don't use PATH_PREFIXES in FindLASzip (10:36:46)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle bad filter stage on reading pipeline. Pass though specific errors detected on parsing. (09:51:56)

2015-03-12
	* Bradley J Chambers <brad.chambers@gmail.com> update url in appveyor badge (15:17:00)
	* Bradley J Chambers <brad.chambers@gmail.com> fix typo in README (14:49:57)
	* chambbj <brad.chambers@gmail.com> Merge pull request #813 from PDAL/appveyor (14:42:13)

2015-03-11
	* Bradley J Chambers <brad.chambers@gmail.com> Add initial appveyor configuration with status badge (13:27:22)
	* Howard Butler <howard@hobu.co> Merge pull request #809 from PDAL/hobu-doc-updates-3-2015 (21:22:10)
	* Howard Butler <howard@hobu.co> a bunch of doc updates (16:57:43)
	* Howard Butler <howard@hobu.co> Merge pull request #808 from PDAL/issues-805 (13:43:45)
	* Howard Butler <howard@hobu.co> Merge pull request #807 from PDAL/excise-float-equal (13:43:37)
	* Howard Butler <howard@hobu.co> remove float-equal from test/ (11:48:03)
	* Howard Butler <howard@hobu.co> turn off -Wfloat-equal (11:41:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make code match documentation. (10:59:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:35:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Quiet compiler. (10:34:45)
	* chambbj <brad.chambers@gmail.com> Merge pull request #804 from PDAL/catch-up-pcl-kernel-to-plugin-changes (10:34:07)
	* Bradley J Chambers <brad.chambers@gmail.com> consolidate the debug, verbosity, and log options as part of setCommonOptions (09:52:38)
	* chambbj <brad.chambers@gmail.com> Merge pull request #784 from PDAL/rialto-writer (09:39:16)
	* Bradley J Chambers <brad.chambers@gmail.com> appease msvc once again, overload BOX3D::grow, and guard redefinition of MaximumNumberOfReturns, etc. in OptechReader (09:38:24)
	* Bradley J Chambers <brad.chambers@gmail.com> add RialtoWriter to StageFactory and sort sections by filters/readers/writers (09:24:56)
	* Bradley J Chambers <brad.chambers@gmail.com> getDefaultOptions is no longer static (09:14:42)
	* Bradley J Chambers <brad.chambers@gmail.com> update RialtoWriter per the recent plugin changes, make sure it compiles on msvc (09:06:14)
	* chambbj <brad.chambers@gmail.com> Merge pull request #803 from PDAL/issue/802-unresolved-external-highest-lowest (08:22:51)

2015-03-02
	* Bradley J Chambers <brad.chambers@gmail.com> Add RialtoWriter (13:33:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Reset BPF stream on initialization. (19:57:24)

2015-03-10
	* Bradley J Chambers <brad.chambers@gmail.com> move grow from hpp to cpp (15:26:26)
	* Bradley J Chambers <brad.chambers@gmail.com> move references to HIGHEST and LOWEST from .hpp to .cpp to make msvc happy (13:46:18)
	* Bradley J Chambers <brad.chambers@gmail.com> some missing includes and exports (14:45:50)
	* Howard Butler <howard@hobu.co> catch up PCL kernels to new plugin changes #774 (14:19:50)
	* Bradley J Chambers <brad.chambers@gmail.com> be explicit about type so that msvc does not complain (14:06:38)
	* chambbj <brad.chambers@gmail.com> Merge pull request #801 from PDAL/plugin-manager-fix (13:42:38)
	* chambbj <brad.chambers@gmail.com> Merge pull request #798 from PDAL/issue/792-isnan (12:56:18)
	* Bradley J Chambers <brad.chambers@gmail.com> provide default constructor for PluginInfo, no initializer lists on msvc (12:54:00)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #791 from gadomski/issues/783-purge-read-n (12:46:55)
	* chambbj <brad.chambers@gmail.com> Merge pull request #796 from PDAL/issues/793-795-windows (12:07:07)
	* Bradley J Chambers <brad.chambers@gmail.com> test if val was provided without use of nan at all (11:48:52)
	* Howard Butler <howard@hobu.co> Merge pull request #797 from PDAL/oci-wrapper-namespace (11:33:09)
	* Bradley J Chambers <brad.chambers@gmail.com> provide fixes for MSVC2012 (11:31:20)
	* Howard Butler <howard@hobu.co> oci wrapper stuff needs to live in pdal namespace -- there's a GDAL global version of same (11:30:34)
	* Bradley J Chambers <brad.chambers@gmail.com> add missing include cstdint, sort includes (11:25:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Plugin framework refactoring (10:39:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:24:37)

2015-03-07
	* Pete Gadomski <pete.gadomski@gmail.com> Remove read_n and read_field from Utils.hpp (10:30:46)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove read_n from Terrasolid reader (10:27:39)
	* Pete Gadomski <pete.gadomski@gmail.com> Smarten up the Terrasolid return number (09:34:06)
	* Pete Gadomski <pete.gadomski@gmail.com> Increment counter in TerrasolidReader (09:33:38)
	* Pete Gadomski <pete.gadomski@gmail.com> Add TerrasolidReaderTest (09:32:26)
	* Pete Gadomski <pete.gadomski@gmail.com> Refactor the QFit reader to not use Utils::read_n (08:17:33)
	* Pete Gadomski <pete.gadomski@gmail.com> Add Switchable Extractor and IStream (08:16:15)
	* Pete Gadomski <pete.gadomski@gmail.com> Seek to the end of an IStream (10:49:55)

2015-03-06
	* Howard Butler <howard@hobu.co> Merge pull request #790 from PDAL/issues/789-dataformat_id-metadata-output (19:13:35)
	* Howard Butler <howard@hobu.co> output dataformat_id as metadata for LAS reader (19:12:30)

2015-03-05
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #786 from PDAL/quad-tweak (16:37:24)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #787 from PDAL/compression-updates (16:36:31)
	* Pete Gadomski <pete.gadomski@gmail.com> PDAL_DLL the OptechReader (15:12:40)
	* Connor Manning <connor@hobu.co> Include pdal_internal to ensure ifdef is valid.  Constify input ptr. (15:08:49)
	* Howard Butler <howard@hobu.co> Merge pull request #782 from gadomski/optech (15:03:45)
	* Howard Butler <howard@hobu.co> point to PDAL RPM repo (13:50:12)
	* Pete Gadomski <pete.gadomski@gmail.com> Add reader for Optech csd files (03:42:50)
	* Pete Gadomski <pete.gadomski@gmail.com> Add georeference utility (03:42:50)
	* Pete Gadomski <pete.gadomski@gmail.com> Add missing includes to Extractor.hpp (03:42:50)

2015-02-15
	* Connor Manning <connor@hobu.co> Switch attribute filter to the changed QuadIndex interface. (13:52:54)
	* Connor Manning <connor@hobu.co> Quad index interface changes. (13:17:19)

2015-03-04
	* Howard Butler <howard@hobu.co> PCL support needs PCL 1.7.2+, not pipeline branch anymore (16:28:10)
	* Howard Butler <howard@hobu.co> Merge pull request #779 from PDAL/StageRunner-is-private (16:09:04)
	* Howard Butler <howard@hobu.co> Merge pull request #780 from PDAL/move-to-util (16:08:54)
	* Howard Butler <howard@hobu.co> Merge pull request #776 from jwomeara/geowave-vagrant (16:04:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make getDimension private. (15:54:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move StageRunner.hpp to src dir. (15:53:10)

2015-02-27
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:28:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add write tests for BPF. (10:28:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead option from OciReader. (10:27:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix duplicate backout of offset. (10:26:21)
	* Bradley J Chambers <brad.chambers@gmail.com> move Charbuf, Extractor, Inserter, IStream, and OStream to util (09:26:34)

2015-02-26
	* Bradley J Chambers <brad.chambers@gmail.com> StageRunner is local to Stage and does not need to be part of the public interface (16:03:48)
	* Whitney O'Meara <womeara@radiantblue.com> Updated GeoWave plugin to check to see if the JVM is already running.  Also udpated GeoWaveReader to limit query results by count. (13:09:57)

2015-02-13
	* Whitney O'Meara <womeara@radiantblue.com> Initial attempt at setting GeoWave up as a plugin within Vagrant. (12:02:00)

2015-02-25
	* Connor Manning <connor@hobu.co> Update Vagrant's trusty image URL. (10:39:20)

2015-02-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (15:57:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace getBytes() with getPackedPoint(). (15:56:27)
	* Howard Butler <howard@hobu.co> Merge pull request #772 from PDAL/fix-make-clean (15:51:55)
	* chambbj <brad.chambers@gmail.com> Merge pull request #773 from PDAL/fix-hexbin-tesselation-output (15:25:53)
	* Howard Butler <howard@hobu.co> put back tesselation output in hexbin test so tests pass (13:38:01)
	* Howard Butler <howard@hobu.co> only nuke the files in ./lib on clean for 'make clean', not the lib directory itself (11:24:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #768 from PDAL/pointaccess (08:54:05)

2015-02-23
	* Andrew Bell <andrew.bell.ia@gmail.com> Support for LAS extra bytes VLR. A couple of fixes for reading/writing LAS files. (21:56:11)

2015-02-22
	* Howard Butler <howard@hobu.co> Merge pull request #770 from gadomski/yet-more-osx-linking (17:15:45)

2015-02-21
	* Pete Gadomski <pete.gadomski@gmail.com> Use @loader_path/../lib (11:25:14)

2015-02-20
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #769 from gadomski/rxp-cleanup (18:27:43)

2015-02-10
	* Pete Gadomski <pete.gadomski@gmail.com> General cleanup of the rxp reader (16:55:09)
	* womeara <womeara@radiantblue.com> Configured GeoWave drivers to run as plugins. (11:20:13)
	* Howard Butler <howard@hobu.co> Merge pull request #755 from PDAL/vagrant-updates (15:01:17)
	* Howard Butler <howard@hobu.co> move package installation into a linux-install-scripts/packages.sh file instead of in Vagrantfile only (14:30:30)
	* Howard Butler <howard@hobu.co> build and install laz-perf (14:29:50)
	* Howard Butler <howard@hobu.co> Add wget to Vagrantfile (09:44:35)

2015-02-18
	* Howard Butler <howard@hobu.co> Merge pull request #767 from PDAL/reprojection-gdal-environment (18:20:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow raw point access. (14:41:06)
	* Howard Butler <howard@hobu.co> Merge pull request #766 from matthewhanson/fix_p2g_radius (14:36:02)
	* Matthew Hanson <mhanson@appliedgeosolutions.com> changed parameter m_RADIUS_SQ to m_RADIUS then pass in the square to OutCoreInterp (14:33:15)
	* Howard Butler <howard@hobu.co> light up GDAL environment for reprojection filter #764 (14:27:26)
	* Howard Butler <howard@hobu.co> Merge pull request #763 from matthewhanson/fix_p2gwriter_gtiff (13:47:55)
	* Matthew Hanson <mhanson@appliedgeosolutions.com> fixed half pixel x and y offset in GeoTransform (p2g plugin) (11:05:55)

2015-02-12
	* Howard Butler <howard@hobu.co> Merge pull request #759 from jwomeara/geowave-doc (13:22:19)
	* Whitney O'Meara <womeara@radiantblue.com> Updated GeoWave documentation to specify which srs to use when writing data.  Also, updated the index with GeoWave entries. (13:14:49)

2015-02-11
	* chambbj <brad.chambers@gmail.com> Merge pull request #752 from jwomeara/geowave-io (12:53:28)
	* womeara <womeara@radiantblue.com> Added documentation for the GeoWave plugin. (12:08:25)
	* Howard Butler <howard@hobu.co> Merge pull request #758 from PDAL/issues/756-cmake-boost-required (12:20:01)
	* Howard Butler <howard@hobu.co> Adapt @vmora's patch from #756 to make find_package for Boost REQUIRED (11:48:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (11:22:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Strange performance thing. (11:22:22)

2015-02-06
	* Whitney O'Meara <womeara@radiantblue.com> Updated GeoWave driver to support FeatureCollectionDataAdapter.  Also, updated writer to use AccumuloIndexWriter. (10:16:33)

2015-02-02
	* Whitney O'Meara <womeara@radiantblue.com> Updated GeoWave cmake scripts (14:59:09)
	* Whitney O'Meara <womeara@radiantblue.com> Initial checkin of GeoWave PDAL driver (13:48:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (20:53:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Register LAS dimensions with their actual size. (20:53:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Small optimizations. (20:52:26)

2015-02-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (15:13:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add test for output_dims option. (15:13:40)
	* Howard Butler <howard@hobu.co> Merge pull request #751 from PDAL/hexbin-no-tesselation (12:45:46)
	* Howard Butler <howard@hobu.co> Merge pull request #750 from PDAL/all-output-mode-for-pdal-info (12:45:37)
	* Howard Butler <howard@hobu.co> add filename to 'pdal info' output (12:22:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (11:51:07)
	* Howard Butler <howard@hobu.co> add '--all' output mode for 'pdal info' (11:19:09)
	* Howard Butler <howard@hobu.co> default to not outputting tesselation in Metadata with output_tesselation option (11:18:18)
	* Howard Butler <howard@hobu.co> Merge pull request #738 from gadomski/postgres-off-by-default (11:02:18)
	* Howard Butler <howard@hobu.co> Merge pull request #737 from PDAL/issues/733-cmake-osx-rpath (11:02:08)
	* Howard Butler <howard@hobu.co> Merge pull request #743 from PDAL/add-passthrough-filter (11:01:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:36:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add output_dims support. (10:35:34)

2015-01-30
	* Bradley J Chambers <brad.chambers@gmail.com> Add range filter (11:26:42)
	* Pete Gadomski <pete.gadomski@gmail.com> Disable pgpointcloud plugin if no postgres found (15:38:17)
	* Howard Butler <howard@hobu.co> In relation to #733, turn on @loader_path and @executable_path for rpath on OSX. (15:29:38)
	* Howard Butler <howard@hobu.co> Merge pull request #732 from PDAL/dont-throw-error-for-empty-geotiff-keys (15:28:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add better diagnostic output for ReprojectionFilter. (15:26:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (14:09:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead constructors. (14:09:20)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #735 from gadomski/cpd (14:06:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (12:45:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Semi-decent error message for bad pipeline XML. (12:42:53)
	* Howard Butler <howard@hobu.co> Merge pull request #736 from PDAL/pipelinemgr (12:28:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into pipelinemgr (11:47:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove m_lastWriter from PipelineManager. (11:13:08)
	* Pete Gadomski <pete.gadomski@gmail.com> Add kernel plugin for Coherent Point Drift (08:37:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #734 from gadomski/pipeline-manager-bug-fix (10:46:09)
	* Howard Butler <howard@hobu.co> Merge pull request #733 from gadomski/rpath-on-osx (10:44:00)
	* Pete Gadomski <pete.gadomski@gmail.com> Update m_lastStage in PipelineManager::addWriter (10:00:15)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove CMAKE_BUILD_WITH_INSTALL_RPATH=TRUE for OSX (08:29:25)

2015-02-04
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #748 from PDAL/issues-746-747 (17:03:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add test for writing scaled X,Y,Z values. (16:04:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make sure that hexrep is properly sized before appending to insertion buffer. Close #746 Close #747 (15:26:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Actually commit changes to removeTrailing/Leading blanks. Support options -> vector of strings. (13:45:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add removeLeadingBlanks.  Fix removeTrailingBlanks. (13:00:07)
	* Howard Butler <howard@hobu.co> don't try to trap for missing connections, let gtest catch them in pgpointcloud tests #744 (10:11:09)
	* Howard Butler <howard@hobu.co> Merge pull request #744 from strk/libpq (09:58:32)

2015-02-03
	* Andrew Bell <andrew.bell.ia@gmail.com> Small optimizations/Explicit types for LAS dims. (11:49:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Rollback. (09:29:20)
	* Sandro Santilli <strk@keybit.net> Allow running pgpointcloud tests against non-default installs (03:24:37)

2015-01-21
	* Bradley J Chambers <brad.chambers@gmail.com> WIP - drafts of tutorial for writing filters, kernels, readers, and writers, with accompanying sample code (13:35:40)
	* Howard Butler <howard@hobu.co> read our custom dimension out of ProgrammableFilter (17:34:10)
	* Howard Butler <howard@hobu.co> default my build to building with python (17:33:54)
	* Howard Butler <howard@hobu.co> manual merge (16:49:16)
	* Howard Butler <howard@hobu.co> Merge pull request #714 from PDAL/PDALConfig (16:46:09)
	* Howard Butler <howard@hobu.co> Merge pull request #716 from PDAL/issue/689-ground-filter (16:46:00)
	* Howard Butler <howard@hobu.co> Merge pull request #721 from PDAL/use-real-dimension-name-for-filtering (16:45:53)
	* Howard Butler <howard@hobu.co> We were using the default dimension name rather than the actual dimension name for filtering. Custom dimensions ended up being '' (11:04:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:46:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (10:45:50)
	* Howard Butler <howard@hobu.co> Merge pull request #720 from gadomski/with-python (10:42:07)
	* Pete Gadomski <pete.gadomski@gmail.com> BUILD_PLUGIN_PYTHON should not depend (09:41:26)

2015-02-01
	* Howard Butler <howard@hobu.co> don't do RPATH install on linux, just OSX (10:44:08)
	* Howard Butler <howard@hobu.co> Merge pull request #739 from gadomski/pdal-config-version (10:36:01)
	* Howard Butler <howard@hobu.co> Merge pull request #740 from gadomski/translate-crop-null-stage-ptr (10:35:50)

2015-01-31
	* Pete Gadomski <pete.gadomski@gmail.com> Fix NULL pointer in `pdal translate --polygon` (21:52:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Use correct cmake version variable in pdal-config (20:58:40)

2015-01-27
	* Bradley J Chambers <brad.chambers@gmail.com> Add PCL kernel to compute Height Above Ground (12:35:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Avoid numeric cast if possible. (21:48:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't create copy of collection when finding. (21:31:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Create/use classes to insert/extract byte-ordered data from a buffer. (19:20:30)
	* Howard Butler <howard@hobu.co> Merge pull request #725 from PDAL/issue/723-nuke-pkgconfig (13:28:55)
	* Howard Butler <howard@hobu.co> Merge pull request #727 from PDAL/make-kernel-public (13:28:48)
	* Howard Butler <howard@hobu.co> Merge pull request #728 from PDAL/move-to-utils (13:22:40)
	* Howard Butler <howard@hobu.co> min/max/mean typo in delta kernel (09:07:19)

2015-01-29
	* Howard Butler <howard@hobu.co> Don't throw an error with empty GeoTIFF keys, instead just set it as an empty SRS (10:47:50)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #731 from PDAL/json-quotes (10:21:36)

2015-01-28
	* Connor Manning <connor@hobu.co> Escape quotes in JSON string values. (22:05:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix memcpy to vector. (13:02:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (12:48:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Minimize stream writes. Eliminate unnecessary numeric casts. (12:47:19)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #730 from PDAL/kdindex-forward-declares-nanoflann (12:01:49)
	* Connor Manning <connor@hobu.co> Smart ptr instead of raw, move some implementations into cpp. (11:51:05)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #729 from PDAL/gcc (11:24:29)
	* Connor Manning <connor@hobu.co> Merge branch 'gcc' into kdindex-forward-declares-nanoflann (11:22:27)
	* Connor Manning <connor@hobu.co> Prefix standard classes with std::, fix const qualifier warning. (11:20:24)
	* Bradley J Chambers <brad.chambers@gmail.com> forward declare nanoflann in KDIndex, so that nanoflann does not need to be installed (11:06:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:42:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't call clearTemps() each time a point is added. Read LAS points in blocks. (10:37:07)
	* Howard Butler <howard@hobu.co> Rollup of version-related tweaks #719 (08:21:26)

2015-01-26
	* Bradley J Chambers <brad.chambers@gmail.com> Move Kernel* back to "public interface" and fix the include paths (14:21:12)

2015-01-12
	* Bradley J Chambers <brad.chambers@gmail.com> Move Algorithm, Endian, and FileUtils to the util library (11:15:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' (16:30:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move all python stuff to plugin directory. (16:29:58)
	* Howard Butler <howard@hobu.co> Merge pull request #674 from PDAL/cpack-packaging (14:44:47)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (14:40:51)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #702 from PDAL/issue/701-greyhound-lazperf (12:19:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (12:10:20)
	* Howard Butler <howard@hobu.co> Merge pull request #703 from PDAL/issue/700-third-vs-vendor (11:51:58)
	* Bradley J Chambers <brad.chambers@gmail.com> move nanoflann from ./include/pdal/third to ./vendor/nanoflann-1.1.8 (11:39:08)
	* Bradley J Chambers <brad.chambers@gmail.com> Merge remote-tracking branch 'upstream/master' (10:51:48)
	* Bradley J Chambers <brad.chambers@gmail.com> remove unused CMake variables/commented code (10:51:16)
	* Bradley J Chambers <brad.chambers@gmail.com> disable entire ReadCompressed class when LAZPERF is not present (10:39:37)
	* Bradley J Chambers <brad.chambers@gmail.com> fix #701, check that PDAL has LAZPERF support (10:30:34)
	* Connor Manning <connor@hobu.co> Initialization order warning. (10:27:00)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (08:43:15)
	* Howard Butler <howard@hobu.co> Merge pull request #697 from PDAL/greyhound-compression (08:43:00)
	* Howard Butler <howard@hobu.co> Merge pull request #698 from PDAL/remove-dead-cmake (08:42:50)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (08:42:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Plang update. (08:30:44)

2015-01-25
	* Bradley J Chambers <brad.chambers@gmail.com> boost -> std thread, clean up bad merge (21:43:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't access summary objects through shared pointers. (20:45:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (20:28:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Change vector to deque for PointBuffer index. (20:27:49)

2015-01-24
	* Howard Butler <howard@hobu.co> need <ostream> include (11:17:44)

2015-01-23
	* Bradley J Chambers <brad.chambers@gmail.com> Remove package config (22:31:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> More testing. (18:37:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Debug Travis. (17:36:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into python (17:04:16)

2015-01-22
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix transformation math according to revised document. (15:49:36)

2015-01-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Add scaling to BPF writer. (20:56:37)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #718 from gadomski/rivlib-tests (16:17:12)
	* Pete Gadomski <pete.gadomski@gmail.com> Fix rivlib test's cmakelists (15:15:52)
	* Howard Butler <howard@hobu.co> add gcc-multilib and g++-multilib to the Vagrant config (14:52:01)
	* Bradley J Chambers <brad.chambers@gmail.com> remove redundant export of pdal_util (13:15:04)
	* Bradley J Chambers <brad.chambers@gmail.com> we can specify multiple targets on the export line (12:55:29)
	* Howard Butler <howard@hobu.co> Merge pull request #713 from PDAL/issues/699-move-bounds (13:09:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (12:06:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add UTM option for BpfWriter. Add default options for BpfWriter. Remove stream() from BpfWriter. Correct options description for LAS writer. (12:05:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Verify we have X, Y and Z and they're the first three dimensions. (11:23:45)
	* Howard Butler <howard@hobu.co> move bounds to include/pdal/util #699 (11:14:22)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (10:03:28)
	* Howard Butler <howard@hobu.co> remove @executable_path install_name for OSX (10:03:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (08:55:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move more fancy compression stuff to the compressor.  Add comments. (08:54:33)

2015-01-16
	* Bradley J Chambers <brad.chambers@gmail.com> Add `filters.ground` and `kernels.ground` (13:49:19)
	* Howard Butler <howard@hobu.co> set PDAL_DRIVER_PATH for vagrant invocation (10:20:06)
	* Howard Butler <howard@hobu.co> Merge pull request #709 from PDAL/compute-utm-zone (09:57:25)

2015-01-14
	* Bradley J Chambers <brad.chambers@gmail.com> initial commit of PDALConfig.cmake (13:19:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> First cut at BPF writer. (19:16:44)
	* Howard Butler <howard@hobu.co> Merge pull request #705 from PDAL/issue/704-make-buffer-reader-public (11:00:05)
	* Bradley J Chambers <brad.chambers@gmail.com> make BufferReader a public header (09:21:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Actually add all the files. (08:06:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Finish movement of plang to plugin-land. (07:47:47)

2015-01-19
	* Howard Butler <howard@hobu.co> only CMAKE_BUILD_WITH_INSTALL_RPATH when APPLE (16:32:10)
	* Howard Butler <howard@hobu.co> don't recursively install pdalutil headers (16:12:21)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (16:01:52)
	* Howard Butler <howard@hobu.co> another whack at rpath -- don't install plugins in a special directory (16:01:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (14:17:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for byte-segregated data. (14:16:53)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (14:09:51)
	* Howard Butler <howard@hobu.co> working dev and install rpath on OSX (13:42:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for writing dimension-major data. (10:13:50)

2015-01-17
	* Howard Butler <howard@hobu.co> rpath kind of working (17:26:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (08:41:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add compression to BPF writer. (08:40:56)

2015-01-15
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix Mueller matrix initialization/math.  Add test. (19:21:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Apply transformation to BPF points as read. (14:07:16)
	* Howard Butler <howard@hobu.co> Add SpatialReference::computeUTMZone(const BOX3D& box) const to calculate the UTM zone when you have a box in another coordinate system (13:45:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Properly initialize Mueller matrix. Check for X, Y and Z dimensions as now required by specification. (13:38:37)
	* Bradley J Chambers <brad.chambers@gmail.com> dimension max in bpf header never gets updated (11:38:22)
	* Howard Butler <howard@hobu.co> Merge pull request #708 from PDAL/remove-iconv (11:00:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #706 from PDAL/bpfwriter (10:55:30)
	* Bradley J Chambers <brad.chambers@gmail.com> Merge remote-tracking branch 'upstream/master' (10:40:05)
	* Bradley J Chambers <brad.chambers@gmail.com> MSVC complains about multiply defined symbols, same workaround provided previously in LasHeader.cpp (10:38:52)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into remove-iconv (10:35:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:35:12)
	* Howard Butler <howard@hobu.co> remove iconv #707 (10:35:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove lambda with default arg. (10:34:44)
	* Bradley J Chambers <brad.chambers@gmail.com> if we do not want to rely on PDAL (pdal_export.hpp) to build the Utils library, then we need to define PDAL_DLL locally (10:16:39)
	* Bradley J Chambers <brad.chambers@gmail.com> pdal_export will always need pdal_defines (rather than hoping the including file took care of it first) (10:10:50)
	* Bradley J Chambers <brad.chambers@gmail.com> PDALUtils needs to export toJSON (10:10:03)
	* Bradley J Chambers <brad.chambers@gmail.com> TransformationFilter needs to export transformationMatrixFromString (10:09:28)

2015-01-13
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' into python (19:03:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Provide file metadata option in info kernel. Clean up JSON output. (14:27:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Simplify JSON output of metadata. (13:05:43)

2015-01-11
	* Howard Butler <howard@hobu.co> decrufting (22:58:35)
	* Howard Butler <howard@hobu.co> remove dead cmake Find* modules (22:53:14)
	* Connor Manning <connor@hobu.co> Read compressed data from Greyhound when possible. (15:34:19)
	* Connor Manning <connor@hobu.co> Update schema format expectations, restructure slightly to begin decompression work. (11:31:17)

2015-01-10
	* Connor Manning <connor@hobu.co> Expected schema response from Greyhound was out of date. (23:31:23)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (22:01:51)
	* Howard Butler <howard@hobu.co> Merge pull request #695 from PDAL/pgpointcloud-test-db-failure (22:00:31)
	* Howard Butler <howard@hobu.co> Fail pgpointcloud test more gracefully when you can't connect to db (21:56:39)
	* Howard Butler <howard@hobu.co> Merge pull request #694 from PDAL/issue/687-translate-segfault (21:36:49)
	* Howard Butler <howard@hobu.co> Merge pull request #693 from PDAL/remove-uuid-global-environment (21:36:41)
	* Bradley J Chambers <brad.chambers@gmail.com> remove md5 and string_ref per discussions with hobu (21:30:10)
	* Howard Butler <howard@hobu.co> remove <random> and friends from GlobalEnvironment -- it was needed for UUIDs which we don't do anymore (21:10:15)
	* Bradley J Chambers <brad.chambers@gmail.com> avoid segfault in translate kernel (20:32:16)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (19:16:54)
	* Howard Butler <howard@hobu.co> Big bunch of cmake-related fixes to get Vagrant config going #684 (19:15:47)
	* Connor Manning <connor@hobu.co> Merge branch 'master' into greyhound-compression (16:57:32)
	* Connor Manning <connor@hobu.co> Merge branch 'master' into greyhound-compression (13:43:11)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #692 from PDAL/make-install (13:31:03)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #691 from PDAL/gcc-lasdump (13:29:15)
	* Connor Manning <connor@hobu.co> Get installer working with new directory structure. (13:09:13)
	* Connor Manning <connor@hobu.co> Break greyhound exchanges into hpp/cpp instead of all header. (09:45:43)

2015-01-09
	* Connor Manning <connor@hobu.co> Allow build on GCC. (17:50:58)
	* Connor Manning <connor@hobu.co> Update lazperf include. (16:54:02)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #686 from PDAL/find-lazperf (14:54:44)
	* Connor Manning <connor@hobu.co> Remove FindLazperf.cmake module. (14:37:34)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge branch 'filters/transformation' (13:29:13)
	* Pete Gadomski <pete.gadomski@gmail.com> Add transformation filter (09:55:29)
	* Howard Butler <howard@hobu.co> std:: prefix cout for dumper (11:27:53)
	* Connor Manning <connor@hobu.co> Add greyhound reader doc. (09:33:20)

2015-01-08
	* Howard Butler <howard@hobu.co> Merge pull request #683 from PDAL/hdf5-linux-updates (15:54:57)
	* Howard Butler <howard@hobu.co> need <iostream> in Dumper for std::cout (15:40:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add lasdump and separate build dependencies. (15:08:24)
	* Howard Butler <howard@hobu.co> make IceBridge work on Vagrant (14:45:24)
	* Bradley J Chambers <brad.chambers@gmail.com> Rename FindPoints2Grid to FindP2G so that FeatureSummary will behave correctly. (14:42:31)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (13:26:43)
	* Bradley J Chambers <brad.chambers@gmail.com> We generally do not need a copy when using auto. (08:54:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Initialize position with something reasonable so that sorting works. (12:48:46)
	* Howard Butler <howard@hobu.co> ADDITIONAL_MAKE_CLEAN_FILES directory property for lib/ to wipe plugins on 'make clean' (12:48:20)

2015-01-07
	* Bradley J Chambers <brad.chambers@gmail.com> Cleanup Drivers.hpp (13:36:04)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (17:13:25)
	* Howard Butler <howard@hobu.co> Merge pull request #679 from PDAL/issue/549-plugin-version (17:11:48)
	* Howard Butler <howard@hobu.co> Merge pull request #681 from PDAL/pdal-app-driver-options-listing (17:11:33)
	* Howard Butler <howard@hobu.co> Merge pull request #682 from gadomski/rxp-include-directories (17:11:24)
	* Pete Gadomski <pete.gadomski@gmail.com> Update rxp plugin's include directories (11:24:35)
	* Bradley J Chambers <brad.chambers@gmail.com> Modify pdal app outputs (10:47:38)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #680 from PDAL/with-compression-flag (10:46:54)
	* Connor Manning <connor@hobu.co> Update travis/example config compression flag. (10:34:00)
	* Connor Manning <connor@hobu.co> Fix last GCC warning, and minor tweaks. (10:16:21)
	* Connor Manning <connor@hobu.co> Change WITH_COMPRESSION cmake flag to WITH_LAZPERF for consistency (10:13:17)
	* Bradley J Chambers <brad.chambers@gmail.com> only print plugin version if it is set (06:55:48)

2015-01-06
	* Bradley J Chambers <brad.chambers@gmail.com> record plugin version as part of stage info (21:42:44)
	* Howard Butler <howard@hobu.co> Merge pull request #678 from PDAL/issue/673-remove-set-stage-enabled (13:48:45)

2015-01-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove Metadata -> JSON test (moved to PDALUtils). (16:08:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Verify we handle Non-ASCII UTF-8 characters properly in Metadata/XMLSchema. (15:19:23)
	* Bradley J Chambers <brad.chambers@gmail.com> Remove SET_STAGE_ENABLED and SET_KERNEL_ENABLED (13:02:09)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (11:50:43)
	* Howard Butler <howard@hobu.co> change LICENSE.txt pointer to (11:50:26)
	* Howard Butler <howard@hobu.co> Merge pull request #677 from edigonzales/master (08:11:28)

2015-01-04
	* Stefan Ziegler <edi.gonzales@gmail.com> db schema support when appending data to an existing table (11:56:30)

2015-01-03
	* Howard Butler <howard@hobu.co> Merge branch 'cpack-packaging' of git://github.com/PDAL/PDAL into cpack-packaging (10:00:46)
	* Howard Butler <howard@hobu.co> add TGZ generator, point to license (10:00:44)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into cpack-packaging (09:31:55)
	* Howard Butler <howard@hobu.co> set SOVERSION (09:31:45)

2015-01-02
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #676 from PDAL/byte-order (13:15:49)
	* Connor Manning <connor@hobu.co> Alleviate flood of type-punned pointer warnings on GCC. (12:43:56)
	* Connor Manning <connor@hobu.co> Write OStream floating point vals in little-endian. (12:28:35)

2015-01-01
	* Bradley J Chambers <brad.chambers@gmail.com> clean up commented lines in test/unit/CMakeLists.txt, dead unit tests, etc. (19:54:52)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #675 from PDAL/quad (17:10:25)
	* Connor Manning <connor@hobu.co> Don't segfault with PointBuffer stream constructor. (15:45:16)
	* Connor Manning <connor@hobu.co> Merge branch 'master' into quad (12:46:13)

2014-12-31
	* Andrew Bell <andrew.bell.ia@gmail.com> DTD requires orientation to precede metadata. (17:07:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Provide access to QuickInfo through pdal info --summary. Remove dead code.  Remove ptree from InfoKernel. (15:56:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make sure log is set before passing to BpfHeader. (14:34:28)
	* Howard Butler <howard@hobu.co> Merge branch 'cpack-packaging' of git://github.com/PDAL/PDAL into cpack-packaging (14:28:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (12:12:46)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move metadata -> JSON translation to PDALUtils. (11:33:53)

2014-12-30
	* Howard Butler <howard@hobu.co> LICENSE.txt link no good for CPACK_RESOURCE_FILE_LICENSE (15:29:40)
	* Howard Butler <howard@hobu.co> source packaging regex mods (15:11:10)
	* Howard Butler <howard@hobu.co> source packaging regex mods (15:10:28)
	* Howard Butler <howard@hobu.co> bump version to 1.0.0b1 in preparation for release (10:46:42)
	* Howard Butler <howard@hobu.co> tweak version regex (10:46:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead ptree code. (10:40:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't test for stage descriptions.  Don't default to app bundle on OSX. (10:08:43)

2014-12-29
	* Howard Butler <howard@hobu.co> add some light docs to the SET_STAGE_NAME macro for many drivers. (15:45:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (10:46:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add metadata test file. (10:30:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix template args. (09:51:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (09:10:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Changes to support preview of stages and general stats filter changes. (09:10:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Enhance support tests to handle streams. (08:39:28)

2014-12-26
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (09:24:55)
	* Howard Butler <howard@hobu.co> pipeline doc updates (09:24:47)

2014-12-23
	* Howard Butler <howard@hobu.co> Merge pull request #672 from PDAL/issues/666-kernel-plugins (14:08:46)
	* Howard Butler <howard@hobu.co> Merge pull request #670 from PDAL/update-tests-using-deprecated-filters (14:08:37)
	* Howard Butler <howard@hobu.co> Merge pull request #671 from PDAL/cmake-tweaks (14:08:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove unused stats support from pdal info. (10:51:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Simple split on char. (08:52:10)

2014-12-22
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove cruft from stats filter.  Fix tests. (18:07:49)
	* Bradley J Chambers <brad.chambers@gmail.com> test binary directory may differ from the pdal app directory (if PDAL_BUNDLE=ON), test names may also change, so just use pdal app instead of a specific test (13:39:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add split() and split2() to replace boost::split. (13:36:28)
	* Bradley J Chambers <brad.chambers@gmail.com> use KernelFactory and KernelInfo to display list of available kernels and determine if the provided kernel is valid in PDAL application (13:34:39)
	* Bradley J Chambers <brad.chambers@gmail.com> fix two more paths to configured pipelines (10:31:01)
	* Bradley J Chambers <brad.chambers@gmail.com> tidying up, fixing paths to XMLs in the unit tests (10:16:23)
	* Bradley J Chambers <brad.chambers@gmail.com> configure tests to more reliably locate test data, beef up pcpipelineTest to test the sample pipelines (09:49:36)

2014-12-19
	* Bradley J Chambers <brad.chambers@gmail.com> Widespread CMake updates (12:47:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add a test for compression of all types. (20:56:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Enhance XMLSchema test. (16:32:30)

2014-12-18
	* Andrew Bell <andrew.bell.ia@gmail.com> Use DimType in XMLDim.  Minimize use of XMLDim. (16:50:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (08:39:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (08:36:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Cache location scaling. (08:35:44)

2014-11-19
	* Bradley J Chambers <brad.chambers@gmail.com> Clean up tests that invoked deprecated filters (15:05:55)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Chipper filter (13:55:49)
	* Bradley J Chambers <brad.chambers@gmail.com> move attribute sources and fix typos (20:07:14)
	* Bradley J Chambers <brad.chambers@gmail.com> attribute filter depends on geos, so it should be a plugin filter (19:50:52)
	* Howard Butler <howard@hobu.co> more cleanups due to #616 (15:49:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge remote-tracking branch 'origin/master' into dbintwriter (15:46:50)
	* Howard Butler <howard@hobu.co> Merge pull request #616 from PDAL/remove-deprecated-filters (15:10:28)
	* Howard Butler <howard@hobu.co> Merge pull request #609 from PDAL/move-terrasolid-driver (15:10:19)
	* Howard Butler <howard@hobu.co> catch up Terrasolid PR to master (15:10:05)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into move-terrasolid-driver (15:09:49)
	* Bradley J Chambers <brad.chambers@gmail.com> nuke deprecated filters (14:43:38)
	* Howard Butler <howard@hobu.co> Merge pull request #615 from PDAL/move-attribute-filter (14:40:21)
	* Howard Butler <howard@hobu.co> Merge pull request #614 from PDAL/updated-ci-script (14:40:08)
	* Howard Butler <howard@hobu.co> Merge pull request #612 from pramsey/master (14:36:53)
	* Howard Butler <howard@hobu.co> Merge pull request #610 from PDAL/move-las-driver (14:34:00)
	* Howard Butler <howard@hobu.co> catch up LAS reorg to master (14:12:06)
	* Howard Butler <howard@hobu.co> Catch up LAS reorg to master (14:11:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> First steps to write ints instead of doubles for DB drivers. (13:26:36)
	* Bradley J Chambers <brad.chambers@gmail.com> all plugins explicitly turned off, all optional components toggled with flag (GEOS and COMPRESSION were missing) (13:15:49)
	* Bradley J Chambers <brad.chambers@gmail.com> stubs have been gone for a while now (13:14:24)
	* Bradley J Chambers <brad.chambers@gmail.com> WITH_CARIS no longer used (13:05:07)
	* Paul Ramsey <pramsey@cleverelephant.ca> Move connection setup to initialize() (13:04:25)
	* Bradley J Chambers <brad.chambers@gmail.com> update api docs to match reality (13:02:24)
	* Paul Ramsey <pramsey@cleverelephant.ca> Allow connection for addDimension to get access to the database (12:49:40)
	* Paul Ramsey <pramsey@cleverelephant.ca> Merge branch 'master' of https://github.com/PDAL/PDAL (12:12:09)
	* Paul Ramsey <pramsey@cleverelephant.ca> More useful message during failure to connect (12:09:14)
	* Howard Butler <howard@hobu.co> build terrasolid (10:51:53)
	* Howard Butler <howard@hobu.co> Catch up TerraSolid PR to current master (10:47:10)
	* Howard Butler <howard@hobu.co> update PCL plugin to deal with BufferReader rename (10:17:20)
	* Bradley J Chambers <brad.chambers@gmail.com> remove unused definitions from pdal_defines (09:36:45)
	* Bradley J Chambers <brad.chambers@gmail.com> remove caris driver (it will be posted to PDAL/Caris) (09:31:20)
	* Howard Butler <howard@hobu.co> Merge pull request #611 from PDAL/move-buffer-driver (09:09:26)
	* Bradley J Chambers <brad.chambers@gmail.com> update tutorial that uses BufferReader (09:05:07)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Buffer driver (08:59:33)
	* Howard Butler <howard@hobu.co> Merge pull request #606 from PDAL/move-qfit-driver (09:01:54)
	* Howard Butler <howard@hobu.co> Merge pull request #607 from PDAL/move-bpf-driver (09:01:44)
	* Howard Butler <howard@hobu.co> Merge pull request #608 from PDAL/move-text-driver (09:01:35)

2014-12-17
	* Bradley J Chambers <brad.chambers@gmail.com> replacing more boost with c++11 where appropriate; moment and density accumulators are unused (15:16:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (17:27:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Eliminate ExtDimType in favor of enhanced DimType. (17:26:17)
	* Connor Manning <connor@hobu.co> Add include. (15:00:39)
	* Bradley J Chambers <brad.chambers@gmail.com> PDAL_EMBED_BOOST no longer exists (14:23:28)
	* Bradley J Chambers <brad.chambers@gmail.com> remove Application.hpp - unused (14:08:35)
	* Bradley J Chambers <brad.chambers@gmail.com> use Support::temppath to create temp files in temp directory (12:56:17)
	* Bradley J Chambers <brad.chambers@gmail.com> on windows, boost filesystem current directory ends in backslash, and does not need a trailing slash appended (12:52:48)
	* Bradley J Chambers <brad.chambers@gmail.com> replace boost::shared_ptr with std::shared_ptr, update docs to reflect what we actually use from Boost (11:55:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make proper temporary PointRef objects. Close #631 (10:50:58)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (09:23:26)

2014-12-16
	* Bradley J Chambers <brad.chambers@gmail.com> create typedefs for FilterPtr, ReaderPtr, and WriterPtr (12:24:54)
	* Bradley J Chambers <brad.chambers@gmail.com> remove dependency on boost random (14:08:18)
	* Bradley J Chambers <brad.chambers@gmail.com> remove dependency on boost threads, fixing pclvisualizer linker issue (windows only) along the way (13:46:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix extra brace. (13:29:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #664 from PDAL/issues-631 (11:55:46)
	* chambbj <brad.chambers@gmail.com> Merge pull request #663 from PDAL/plugin-cmake-macro-update (11:08:51)
	* Bradley J Chambers <brad.chambers@gmail.com> no longer using Boost unit_test_framework (10:40:49)
	* Andrew <andrew@abell-vb2.(none)> Use custom swap_iter for sorting PointBufferIter. (10:22:02)
	* chambbj <brad.chambers@gmail.com> Merge pull request #662 from PDAL/stage-creation-tweak (09:36:02)
	* chambbj <brad.chambers@gmail.com> Merge pull request #659 from PDAL/move-python-filters (08:51:09)

2014-12-15
	* Bradley J Chambers <brad.chambers@gmail.com> Update PDAL_ADD_PLUGIN to use FILES and LINK_WITH keywords for passing multiple arguments (11:23:15)
	* chambbj <brad.chambers@gmail.com> Merge pull request #661 from PDAL/pcl-visualizer-improvements (15:39:21)
	* Bradley J Chambers <brad.chambers@gmail.com> fix broken SupportTest and python plugin options (11:29:00)
	* Bradley J Chambers <brad.chambers@gmail.com> accidently deleted wrong line in macro, fix it (10:37:02)
	* Bradley J Chambers <brad.chambers@gmail.com> use CMakeParseArguments in PDAL_ADD_TEST (10:16:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't link in PDAL source files in plugin. (12:54:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #660 from PDAL/issues-658 (12:30:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (12:01:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make build work with and without LAZperf. (11:35:33)

2014-12-01
	* Bradley J Chambers <brad.chambers@gmail.com> PCLVisualizer now has x, y, z, rgb, and intensity color handlers (10:23:36)

2014-12-10
	* Bradley J Chambers <brad.chambers@gmail.com> use create<Reader|Writer|Filter> methods when creating driver stages, especially for plugins, use unique_ptr's for stages (13:19:53)
	* Pete Gadomski <pete.gadomski@gmail.com> Use OPTIONAL_COMPONENT_SWITCH for attribute plugin (14:30:37)
	* Bradley J Chambers <brad.chambers@gmail.com> make the crop filter a builtin filter once again (19:18:56)
	* chambbj <brad.chambers@gmail.com> Merge pull request #648 from PDAL/clean-up-crop (13:03:36)
	* Bradley J Chambers <brad.chambers@gmail.com> remove comments, WITH_GEOS has no meaning anymore (12:34:56)
	* Bradley J Chambers <brad.chambers@gmail.com> CropFilter should be built with or without GEOS (12:08:56)
	* Bradley J Chambers <brad.chambers@gmail.com> add_test needs WORKING_DIRECTORY set on linux (11:33:20)
	* Bradley J Chambers <brad.chambers@gmail.com> help find plugins in build location (10:37:40)
	* Bradley J Chambers <brad.chambers@gmail.com> fix the crop filter tests (10:13:24)
	* Howard Butler <howard@hobu.co> Merge pull request #647 from PDAL/move-crop-filter (09:19:59)
	* Howard Butler <howard@hobu.co> Merge pull request #646 from PDAL/move-stats-filter (08:51:16)

2014-12-08
	* Bradley J Chambers <brad.chambers@gmail.com> Port of python filters (predicate and programmable) to plugins; separate test executables (10:58:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> SQLite checked with compression and integrated into int I/O. (19:55:57)
	* Pete Gadomski <pete.gadomski@gmail.com> Fix typo in name of ZVelocity dimension (08:36:07)
	* Bradley J Chambers <brad.chambers@gmail.com> Move Reprojection filter (08:25:47)

2014-12-12
	* Bradley J Chambers <brad.chambers@gmail.com> LasReader is unused in XMLSchemaTest (23:28:56)
	* Bradley J Chambers <brad.chambers@gmail.com> need to export XMLSchema (23:08:52)
	* Bradley J Chambers <brad.chambers@gmail.com> set CMAKE_PREFIX_PATH to help locate PCL in OSGeo4W default location (23:08:05)
	* Howard Butler <howard@hobu.co> Merge pull request #657 from PDAL/tweak-windows-definitions (21:49:23)
	* Bradley J Chambers <brad.chambers@gmail.com> fvisibility-inlines-hidden not relevant on windows, pdal_dll_export can probably be defined project wide (15:39:07)
	* Howard Butler <howard@hobu.co> Merge pull request #652 from PDAL/objects-needed-in-msvc (20:55:25)
	* Howard Butler <howard@hobu.co> Merge pull request #645 from PDAL/issues-599 (20:55:06)
	* Connor Manning <connor@hobu.co> Allow quad-tree to represent a subtree. (15:37:18)
	* Connor Manning <connor@hobu.co> Various tweaks. (14:47:18)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #656 from PDAL/issues/653-dependent-tests (14:22:08)
	* Connor Manning <connor@hobu.co> Need iostream include for std::ios::pos_type. (14:14:54)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into issues-599 (11:39:43)
	* Howard Butler <howard@hobu.co> Merge pull request #655 from PDAL/issues/654-windows-plugin-search-path (10:15:15)
	* Bradley J Chambers <brad.chambers@gmail.com> fix default for dependent tests, also check for WITH_TESTS before adding plugin tests (10:10:51)
	* Bradley J Chambers <brad.chambers@gmail.com> add bin dir for windows users and add default paths to KernelFactory (09:32:06)

2014-12-11
	* Howard Butler <howard@hobu.co> Merge pull request #649 from gadomski/optional-component-switch-on-plugins (11:07:00)
	* Howard Butler <howard@hobu.co> Merge pull request #650 from PDAL/make-crop-builtin-filter (09:30:09)
	* Howard Butler <howard@hobu.co> Merge pull request #651 from PDAL/gtest-fix-msvc (09:29:58)
	* Bradley J Chambers <brad.chambers@gmail.com> _VARIADIC_MAX must be increased on msvc for gtest (08:38:28)

2014-12-04
	* Bradley J Chambers <brad.chambers@gmail.com> Only Windows needs to have the object libraries included in apps/tests (11:40:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> DbReader for OCI. (11:09:52)

2014-11-21
	* Bradley J Chambers <brad.chambers@gmail.com> Move Crop filter (09:59:12)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Stats filter (21:11:12)
	* Howard Butler <howard@hobu.co> hammer NUMTHREADS in travis build to 1 to see if first build stops getting killed (23:44:44)
	* Howard Butler <howard@hobu.co> catch up drivers->io rename to master (23:27:55)
	* Bradley J Chambers <brad.chambers@gmail.com> Port MortonOrder filter (19:57:33)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Splitter filter (20:23:33)
	* Howard Butler <howard@hobu.co> Merge pull request #626 from PDAL/move-ferry-filter (23:10:18)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Ferry filter (19:33:45)
	* Howard Butler <howard@hobu.co> Merge pull request #625 from PDAL/move-decimation-filter (19:53:10)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Decimation filter (16:08:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix tests for missing LIBGEOTIFF. (15:37:00)
	* chambbj <brad.chambers@gmail.com> Merge pull request #624 from PDAL/pgpointcloud-vagrant (15:26:47)
	* chambbj <brad.chambers@gmail.com> Merge pull request #623 from PDAL/linux-issues (15:26:37)
	* Bradley J Chambers <brad.chambers@gmail.com> pgpointcloud xmls in vagrant need updating (15:25:10)
	* Bradley J Chambers <brad.chambers@gmail.com> we do not need to include the object libs in the app (13:53:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace stuff I shouldn't have removed. (13:27:27)
	* Howard Butler <howard@hobu.co> A bunch of windows warnings and cleanups #622 (11:42:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into issues-599 (11:23:00)
	* Howard Butler <howard@hobu.co> Merge pull request #621 from PDAL/issues-617 (08:26:25)

2014-12-09
	* Howard Butler <howard@hobu.co> Merge pull request #644 from PDAL/convert-boost-test-to-google-test (21:25:25)
	* Howard Butler <howard@hobu.co> gtest unsigned comparison cleanups (21:03:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into issues-599 (16:38:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Write scale into XMLSchema. (16:08:40)
	* Bradley J Chambers <brad.chambers@gmail.com> optional plugin tests should also be dependent on WITH_TESTS (11:40:25)
	* Bradley J Chambers <brad.chambers@gmail.com> malformed test in GDALUtilsTest (10:27:01)
	* Bradley J Chambers <brad.chambers@gmail.com> update tests to address warnings, most of which were signed/unsigned or int/float comparisons (09:56:06)
	* Howard Butler <howard@hobu.co> Merge pull request #643 from PDAL/move-reprojection-filter (09:04:39)
	* Howard Butler <howard@hobu.co> Merge pull request #642 from gadomski/zvelocity-name-typo (09:04:33)

2014-12-02
	* Bradley J Chambers <brad.chambers@gmail.com> Convert unit tests from Boost Test to Google Test (14:08:32)
	* Bradley J Chambers <brad.chambers@gmail.com> remove remaining refernces to boost standard integer types (14:31:07)
	* Bradley J Chambers <brad.chambers@gmail.com> Remove dangling references to drivers, mostly in the plugins (11:11:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make DbReader.  Hook to pgpointcloud. (20:03:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove XMLSchema from Info.hpp. (11:27:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove PDAL_HAVE_LIBXML2 from XMLSchema files.  Use build system instead. (10:58:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Ignore float equality warning. (10:05:25)
	* Bradley J Chambers <brad.chambers@gmail.com> remove cruft, fPIC seems to be required for Kernel common object library (10:05:11)
	* Bradley J Chambers <brad.chambers@gmail.com> missed rename of Support to KernelSupport (09:39:30)
	* Bradley J Chambers <brad.chambers@gmail.com> remove extraneous clearing of PDAL_TARGET_OBJECTS (09:27:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove XML schema reader/writer. Remove exceptions from XML schema. Remove pointer wrappers. Remove storage of DimTypes (use XMLDims instead) (09:13:55)

2014-12-05
	* Howard Butler <howard@hobu.co> Merge pull request #639 from PDAL/move-merge-and-sort-filters (10:58:57)
	* Bradley J Chambers <brad.chambers@gmail.com> Moving merge and sort filters (10:05:55)

2014-12-03
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into issues-599 (20:14:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into issues-599 (20:12:20)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (17:48:19)
	* Howard Butler <howard@hobu.co> cleanups related to #637 (17:48:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Writer support for scaled 32-bit ints in OCI. (17:08:13)
	* Howard Butler <howard@hobu.co> Merge pull request #638 from PDAL/remove-boost-cstdint (13:16:29)
	* Bradley J Chambers <brad.chambers@gmail.com> still need sudo for make install though (12:19:47)
	* Bradley J Chambers <brad.chambers@gmail.com> sudo the ctest call to avoid segfault on travis (12:01:02)
	* Howard Butler <howard@hobu.co> Merge pull request #637 from PDAL/plugin-renames (10:30:21)
	* Howard Butler <howard@hobu.co> Merge pull request #636 from PDAL/move-kernels (08:42:33)
	* Howard Butler <howard@hobu.co> Merge pull request #635 from PDAL/move-colorization-filter (08:42:18)
	* Howard Butler <howard@hobu.co> Merge pull request #632 from gadomski/red-hat-build-fixes (08:39:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into issues-599 (07:23:47)

2014-11-14
	* Bradley J Chambers <brad.chambers@gmail.com> Port ALL kernels (15:04:45)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Attributes Filter (14:56:44)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Terrasolid Reader (14:25:41)
	* Bradley J Chambers <brad.chambers@gmail.com> Port Text Writer (14:17:04)
	* Bradley J Chambers <brad.chambers@gmail.com> Port BPF driver (11:31:51)
	* Bradley J Chambers <brad.chambers@gmail.com> Port QFIT Reader (14:46:35)
	* Bradley J Chambers <brad.chambers@gmail.com> Port SBET Reader and Writer (13:22:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #593 from PDAL/cast (15:29:11)
	* Pete Gadomski <pete.gadomski@gmail.com> Allow text writer precision to be configured (14:50:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add base64-encoding of header extra data. (13:57:52)
	* Paul Ramsey <pramsey@cleverelephant.ca> Merge branch 'master' of https://github.com/PDAL/PDAL (13:47:34)
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #591 from PDAL/issues/583-pgpointcloud-ignore (10:33:57)
	* Connor Manning <connor@hobu.co> Ignore generated Pgtest-Support file. (10:31:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Never build OCI on travis (09:44:57)
	* Pete Gadomski <pete.gadomski@gmail.com> Simplify oci's CMakeLists.txt (09:21:54)
	* Pete Gadomski <pete.gadomski@gmail.com> Default BUILD_WITH_OCI=OFF if no ORACLE_HOME (09:21:17)
	* Pete Gadomski <pete.gadomski@gmail.com> Change case in FindOracle.cmake (09:15:43)
	* Pete Gadomski <pete.gadomski@gmail.com> Install during travis's script (08:32:38)

2014-11-20
	* Bradley J Chambers <brad.chambers@gmail.com> Port Colorization filter (08:33:24)
	* Bradley J Chambers <brad.chambers@gmail.com> rename drivers as io (20:29:30)
	* Bradley J Chambers <brad.chambers@gmail.com> rename drivers as io (20:29:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Warnings for bad return numbers and number of returns. (17:22:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Utils to namespace. (15:46:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Replace removed function. (12:11:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (11:37:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix Nitf test include. (11:35:39)
	* Howard Butler <howard@hobu.co> adjust plugin tests to reflect Chipper move (11:35:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (11:24:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code from Utils. (11:23:36)
	* Howard Butler <howard@hobu.co> Merge pull request #618 from PDAL/move-chipper-filter (08:37:10)
	* Howard Butler <howard@hobu.co> Merge pull request #619 from PDAL/convert-attribute-to-plugin (08:32:12)

2014-11-26
	* Pete Gadomski <pete.gadomski@gmail.com> Metadata.hpp needs a <memory> include (12:20:49)
	* Pete Gadomski <pete.gadomski@gmail.com> Specify languages in cmake project (12:19:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for writing int32's to DbWriter.  Schema mods still needed. (11:08:32)

2014-11-25
	* Bradley J Chambers <brad.chambers@gmail.com> pclvisualizer is a writer, not a reader (19:45:41)
	* Howard Butler <howard@hobu.co> Merge pull request #630 from PDAL/move-morton-filter (12:30:35)
	* Howard Butler <howard@hobu.co> Merge pull request #620 from PDAL/drivers-to-io (12:30:24)

2014-11-22
	* Howard Butler <howard@hobu.co> try NUMTHREADS=2 (08:53:59)

2014-11-24
	* Paul Ramsey <pramsey@cleverelephant.ca> Fix cross-references (18:32:07)
	* Paul Ramsey <pramsey@cleverelephant.ca> Groups readers w/ readers, writers w/ writers (17:43:32)
	* Bradley J Chambers <brad.chambers@gmail.com> if no point indices provided in view kernel, visualize all points (14:59:00)
	* chambbj <brad.chambers@gmail.com> Merge pull request #628 from PDAL/pcl-visualize-tweaks (14:48:35)
	* chambbj <brad.chambers@gmail.com> Merge pull request #629 from pramsey/doc_filter_rename (14:32:12)
	* Bradley J Chambers <brad.chambers@gmail.com> add ability to visualize a range of points in view kernel (13:37:58)
	* Paul Ramsey <pramsey@cleverelephant.ca> Fix mistaken touch of kernel names (13:30:22)
	* Paul Ramsey <pramsey@cleverelephant.ca> Fix readers/readres typos (13:27:21)
	* Paul Ramsey <pramsey@cleverelephant.ca> Rename all drivers.*.reader to readers.* and rename all drivers.*.writer to writers.* (13:21:17)
	* Bradley J Chambers <brad.chambers@gmail.com> view kernel need not be built without PCL_VISUALIZATION_FOUND, it can also use the visualize method to invoke the visualizer (10:56:48)
	* Bradley J Chambers <brad.chambers@gmail.com> remove unused includes in Random.hpp (trips up Windows) (08:28:34)

2014-11-23
	* Howard Butler <howard@hobu.co> Merge pull request #627 from PDAL/move-splitter-filter (22:53:32)

2014-11-18
	* Bradley J Chambers <brad.chambers@gmail.com> capitalization matters (22:25:28)
	* Howard Butler <howard@hobu.co> Implement stream-based PointBuffer constructor and byte fetching #604 (20:55:22)
	* Howard Butler <howard@hobu.co> Merge pull request #603 from PDAL/issues/581-system-identifier (18:49:04)
	* Howard Butler <howard@hobu.co> Merge pull request #597 from PDAL/move-sbet-drivers (18:48:32)
	* Howard Butler <howard@hobu.co> Merge pull request #605 from PDAL/run-plugin-tests (18:48:25)
	* Bradley J Chambers <brad.chambers@gmail.com> try using ctest to run all tests on Travis again (14:07:49)
	* chambbj <brad.chambers@gmail.com> Merge pull request #602 from PDAL/fix-pc2pc-on-windows (13:03:29)
	* Bradley J Chambers <brad.chambers@gmail.com> fix test/unit/CMakeLists (13:01:28)
	* chambbj <brad.chambers@gmail.com> Merge pull request #601 from PDAL/no-initializer-lists (12:14:19)
	* Bradley J Chambers <brad.chambers@gmail.com> fix exename on windows, should be noop otherwise (12:09:47)
	* chambbj <brad.chambers@gmail.com> Merge pull request #600 from PDAL/open-binary-mode (11:53:53)
	* Bradley J Chambers <brad.chambers@gmail.com> cannot use initializer lists with the vector of strings on msvc2012 (11:38:39)
	* Bradley J Chambers <brad.chambers@gmail.com> need to make sure we open in binary mode (11:30:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't attempt to read extra header info if there is none. (11:19:07)
	* Howard Butler <howard@hobu.co> Merge pull request #598 from PDAL/test-path-update (10:24:50)
	* Bradley J Chambers <brad.chambers@gmail.com> slightly alter path to test executable in macro (09:42:01)

2014-11-17
	* Bradley J Chambers <brad.chambers@gmail.com> Port LAS drivers (16:04:52)
	* Paul Ramsey <pramsey@cleverelephant.ca> Merge branch 'master' of https://github.com/PDAL/PDAL (18:47:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make tests pass if there's no GEOTIFF. (16:53:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add inspect() to BPF. (15:33:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (14:18:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> preview() infrastructure and las implementation. (14:17:51)
	* Bradley J Chambers <brad.chambers@gmail.com> order matters, driver object libs need to be created before test (13:17:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove bad comment. (11:44:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (11:21:54)
	* Howard Butler <howard@hobu.co> Merge pull request #596 from PDAL/register-tre-handler (11:15:46)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (11:10:35)
	* Howard Butler <howard@hobu.co> point to new location of Faux reader in OCITest (11:10:29)
	* Bradley J Chambers <brad.chambers@gmail.com> use PluginRegistry C API instead, as C++ symbols are not exported on windows (11:10:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:58:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Get spatial reference, rather than storing directly into metadata. (10:57:28)
	* Bradley J Chambers <brad.chambers@gmail.com> nitf plugin needs gitsha (10:41:43)
	* Howard Butler <howard@hobu.co> Merge pull request #595 from PDAL/option-empty (10:31:05)
	* Bradley J Chambers <brad.chambers@gmail.com> empty does not need to be guarded on windows (10:27:15)
	* Howard Butler <howard@hobu.co> Merge pull request #592 from gadomski/text-writer-precision (09:57:11)
	* Howard Butler <howard@hobu.co> Merge pull request #586 from PDAL/auto-load-update (09:53:36)
	* Howard Butler <howard@hobu.co> Merge pull request #589 from gadomski/default-oracle-off (09:53:16)
	* Howard Butler <howard@hobu.co> Merge pull request #587 from PDAL/faux-rename-reorg (09:53:06)
	* Howard Butler <howard@hobu.co> Merge pull request #588 from gadomski/ci-test-install (09:52:55)

2014-11-12
	* Bradley J Chambers <brad.chambers@gmail.com> this is a bit of a hack, but it clears up the issue of the static variable not being exported with the DLL on MSVC (13:35:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add non-const data() (19:26:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Two types of data. (17:11:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> More cast fun. (16:31:43)
	* Howard Butler <howard@hobu.co> pgpointcloud test cleanup (15:52:52)
	* Howard Butler <howard@hobu.co> _TESTS of corresponding _PLUGIN cmake_dependent_option should default to ON (15:52:35)
	* Howard Butler <howard@hobu.co> default my config to use the new BUILD_PLUGIN syntax (15:51:55)
	* Howard Butler <howard@hobu.co> un-break master due to #562 compression stuff (15:22:35)
	* Howard Butler <howard@hobu.co> Implement laz-perf compression #562 (15:14:20)
	* Howard Butler <howard@hobu.co> Merge pull request #582 from gadomski/nitf-default-off (14:35:47)
	* Pete Gadomski <pete.gadomski@gmail.com> Turn off NITF by default (14:13:00)
	* chambbj <brad.chambers@gmail.com> Merge pull request #514 from PDAL/issues/514-charbuf-export (12:07:41)
	* Howard Butler <howard@hobu.co> Charbuf uses std::ios::pos_type, not Charbuf::pos_type #512 (11:26:00)

2014-11-15
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (08:15:26)
	* Howard Butler <howard@hobu.co> change the 'spatialreference' metadata item to be eHorizontalOnly and add a 'comp_spatialreference' metadata item for compount (vertical + horizontal) SRSs #571 (08:15:23)

2014-11-13
	* Bradley J Chambers <brad.chambers@gmail.com> Port FauxReader (09:18:31)
	* chambbj <brad.chambers@gmail.com> Merge pull request #584 from PDAL/cmake-2.8.12-on-travis (21:27:38)
	* chambbj <brad.chambers@gmail.com> Merge pull request #585 from PDAL/issues/583-pgpointcloud-include (21:25:33)
	* Bradley J Chambers <brad.chambers@gmail.com> auto directory_iterator works on OSX not linux (21:24:15)
	* Bradley J Chambers <brad.chambers@gmail.com> default to reasonable plugin locations if PDAL_DRIVER_PATH not set (15:10:36)
	* Bradley J Chambers <brad.chambers@gmail.com> include pgpointcloud bin directory (20:48:06)
	* Bradley J Chambers <brad.chambers@gmail.com> install cmake 2.8.12 from PPA (20:45:09)

2014-11-11
	* Andrew Bell <andrew.bell.ia@gmail.com> Squashed commit of the following: (12:58:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'issues/554-port-all-plugins' (12:11:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Missed file. (12:04:52)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' into issues/554-port-all-plugins (12:04:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add tests for LAS metadata/option handling. (10:41:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #579 from PDAL/issues/563-base64-metadata (08:13:09)

2014-11-10
	* Andrew Bell <andrew.bell.ia@gmail.com> Change PointRef to PtRef to work around MSVC problem. (21:53:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into issues/563-base64-metadata (16:18:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Provide type conversion for metadata. Provide automatic base 64 decoding for metadata. (15:43:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (15:36:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for stream redirection/restoration. (15:35:59)
	* Howard Butler <howard@hobu.co> Merge pull request #578 from PDAL/issues/576-typename-outside-template (09:16:06)
	* Bradley J Chambers <brad.chambers@gmail.com> remove typename keyword in PointBufferIter.hpp (08:53:04)

2014-11-06
	* Pete Gadomski <pete.gadomski@gmail.com> Change case of SQLiteTest.cpp (10:15:49)
	* Bradley J Chambers <brad.chambers@gmail.com> link plugin libraries to plugin tests by default (16:02:52)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add dimension documentation. (13:38:37)

2014-11-04
	* Bradley J Chambers <brad.chambers@gmail.com> still need to include directories (21:19:57)
	* Bradley J Chambers <brad.chambers@gmail.com> simplify the original pdal unit tests, using the new cmake macro, also regrouping sources to make it a little easier to read/find things (18:06:40)
	* Bradley J Chambers <brad.chambers@gmail.com> names must match, this is too easy to mess up, need to make it foolproof (17:12:11)
	* Bradley J Chambers <brad.chambers@gmail.com> nitf::Writer is now nitf::NitfWriter (17:02:08)
	* Bradley J Chambers <brad.chambers@gmail.com> cannot pass unique_ptr to setInput (15:43:58)
	* Howard Butler <howard@hobu.co> link PCL_LIBRARIES for PCL plugins after tweak in #573 (10:28:36)
	* Howard Butler <howard@hobu.co> Merge pull request #573 from gadomski/plugin-marco-changes (07:18:51)
	* Howard Butler <howard@hobu.co> Merge pull request #568 from PDAL/issues/568-desdata-offset-length (07:18:41)

2014-11-02
	* Bradley J Chambers <brad.chambers@gmail.com> typo in file extension (20:29:52)
	* Howard Butler <howard@hobu.co> put DESDATA_LENGTH and DESDATA_OFFSET in metadata #568 (22:28:27)

2014-11-01
	* Bradley J Chambers <brad.chambers@gmail.com> set lib names within macro, quote variables so lists stay intact (21:58:05)

2014-10-29
	* Bradley J Chambers <brad.chambers@gmail.com> remove all the USE_PDAL_PLUGIN_FOO refs (21:55:27)
	* Bradley J Chambers <brad.chambers@gmail.com> not expecting nitro to be present on travis, so pin BUILD_PLUGIN_NITRO=OFF (21:52:12)
	* Bradley J Chambers <brad.chambers@gmail.com> update recently added NitfReader test (13:43:07)
	* Bradley J Chambers <brad.chambers@gmail.com> lint (13:21:46)
	* Bradley J Chambers <brad.chambers@gmail.com> cleaning up (12:50:48)
	* Bradley J Chambers <brad.chambers@gmail.com> drop find_package REQUIRED, let FOO_FOUND do all the work and only be a stickler about version if it becomes an issue (12:24:00)
	* Bradley J Chambers <brad.chambers@gmail.com> renamed hexer as hexbin, should not necessarily name the plugins after their dependencies (12:00:11)
	* Bradley J Chambers <brad.chambers@gmail.com> Port HexBin driver to plugin framework, fix BUILD_PLUGIN_NITF (11:56:54)
	* Bradley J Chambers <brad.chambers@gmail.com> reflect renamed options, update vagrant scripts (11:35:55)
	* Bradley J Chambers <brad.chambers@gmail.com> WITH_ changed to BUILD_PLUGIN_ for plugin options, add dependent options for whether or not to build certain tests (e.g., certain databases may not be available for testing) (11:23:51)

2014-10-27
	* Bradley J Chambers <brad.chambers@gmail.com> Port NITF driver to plugin framework, having trouble with PDALRegister symbols being exported (15:12:42)
	* Bradley J Chambers <brad.chambers@gmail.com> Port MrSID driver to plugin framework (10:59:20)
	* Bradley J Chambers <brad.chambers@gmail.com> Port pgpointcloud driver to plugin framework (21:05:07)
	* Bradley J Chambers <brad.chambers@gmail.com> remove icebridge from Drivers.hpp (21:07:36)
	* Bradley J Chambers <brad.chambers@gmail.com> Port p2g driver to plugin framework (14:29:25)
	* Bradley J Chambers <brad.chambers@gmail.com> handle status of missing dependencies uniformly in plugins (14:15:49)
	* Bradley J Chambers <brad.chambers@gmail.com> Port oci drivers to plugin framework (13:59:40)
	* Bradley J Chambers <brad.chambers@gmail.com> Port icebridge driver to plugin framework (13:07:00)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (14:57:45)
	* Howard Butler <howard@hobu.co> ignore .pyc files (14:17:48)
	* Howard Butler <howard@hobu.co> Merge pull request #561 from PDAL/issues/553-greyhound-plugin (13:01:23)
	* Bradley J Chambers <brad.chambers@gmail.com> initial greyhound plugin (11:45:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (10:45:37)
	* Howard Butler <howard@hobu.co> Merge pull request #551 from PDAL/pcl-ground-doc (10:45:18)
	* Howard Butler <howard@hobu.co> Merge pull request #552 from PDAL/issues/551-pcl-visualization-check (10:45:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'las1.4' (10:45:03)
	* Bradley J Chambers <brad.chambers@gmail.com> PCL_VISUALIZATION_FOUND will be TRUE if it is supported, only build the PCLVisualization driver if that is the case (10:35:14)
	* Howard Butler <howard@hobu.co> Merge pull request #532 from PDAL/pcl-submodule (09:51:44)

2014-10-28
	* Bradley J Chambers <brad.chambers@gmail.com> move plugin tests to plugins folder, add macro for adding plugin tests (20:22:00)
	* Bradley J Chambers <brad.chambers@gmail.com> only link PDAL in PDAL_ADD_DRIVER, link deps in the plugin CMakeLists file (12:01:48)
	* Bradley J Chambers <brad.chambers@gmail.com> fix some typos, add PDAL_LINKAGE within pdal_macros and the pcl CMakeLists (09:08:09)
	* Bradley J Chambers <brad.chambers@gmail.com> Port sqlite driver to plugin framework (07:32:31)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (22:50:15)
	* Howard Butler <howard@hobu.co> default my cmake config to Debug (22:50:12)
	* Howard Butler <howard@hobu.co> put back hackish code to set global_encoding/reserved from base64 Metadata/Option (22:50:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (17:40:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add test for NITF spatial reference option override. (17:40:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Simplify test names. (17:37:58)
	* Howard Butler <howard@hobu.co> Merge pull request #548 from PDAL/issues/548-oci-connection-filename (15:05:55)
	* Howard Butler <howard@hobu.co> support reading oracle connection string from a filename in addition to simply using the string #548 (14:40:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (11:05:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add type registration tests. (11:05:19)
	* Howard Butler <howard@hobu.co> drivers.oci.reader: override XYZ dimensions to <double> before reading them from XML schema (11:03:28)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (09:46:57)
	* Bradley J Chambers <brad.chambers@gmail.com> fix title/section delineation in ground tutorial (09:45:17)

2014-11-03
	* Howard Butler <howard@hobu.co> fix copy/paste bug in drivers.las.writer for CreationDOY/CreationYear (16:42:13)
	* Pete Gadomski <pete.gadomski@gmail.com> Update PDAL_ADD_PLUGIN target_link_libraries (15:13:20)
	* Pete Gadomski <pete.gadomski@gmail.com> Add PDAL_ADD_TEST cmake macro (15:12:44)
	* Howard Butler <howard@hobu.co> Merge pull request #566 from PDAL/windows-fixes (14:50:11)
	* Paul Ramsey <pramsey@cleverelephant.ca> Merge branch 'master' of github.com:pramsey/PDAL (12:52:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix setting header system ID. (10:41:02)
	* Howard Butler <howard@hobu.co> add filters.attribute to stage list (08:56:45)

2014-10-30
	* Bradley J Chambers <brad.chambers@gmail.com> Fix Windows linker errors (LNK2005, LNK2019) (11:58:14)
	* Howard Butler <howard@hobu.co> Merge pull request #564 from PDAL/forward (18:51:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into iter (17:12:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Handle forwarded metadata regardless of case. (16:45:39)

2014-10-31
	* Andrew <andrew@abell-vb2.(none)> Use fewer threads for g++ to conserve memory. (14:28:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix initialization order. (13:03:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #565 from PDAL/iter (11:50:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix bad merge. (11:18:35)

2014-10-22
	* Bradley J Chambers <brad.chambers@gmail.com> Add a more detailed ground filtering tutorial (13:36:53)
	* Bradley J Chambers <brad.chambers@gmail.com> use unique_ptr with createKernel (21:33:39)
	* Bradley J Chambers <brad.chambers@gmail.com> do the macro thing (21:14:31)
	* Bradley J Chambers <brad.chambers@gmail.com> update Sort from Application to Kernel (21:01:09)
	* Bradley J Chambers <brad.chambers@gmail.com> Query is OBE (20:58:23)
	* Bradley J Chambers <brad.chambers@gmail.com> port over visualization fix from master (20:48:57)
	* Howard Butler <howard@hobu.co> include tweak #532 (14:52:55)
	* Bradley J Chambers <brad.chambers@gmail.com> addressing abell's comments (14:07:19)
	* Bradley J Chambers <brad.chambers@gmail.com> oops, still need the guard for now (20:28:08)
	* Bradley J Chambers <brad.chambers@gmail.com> will not even try to visualize if PDAL_HAVE_PCL_VISUALIZATION not present (15:09:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use read instead of get for strings to avoid problems with embedded newlines. (22:26:04)
	* Howard Butler <howard@hobu.co> Support setting spatialite module name via options #539 (16:23:31)
	* Howard Butler <howard@hobu.co> Merge pull request #533 from PDAL/issues/533-attribute-filter (15:26:16)
	* Howard Butler <howard@hobu.co> Merge pull request #537 from PDAL/add-morton-order-sort (15:25:47)
	* Howard Butler <howard@hobu.co> LAS 1.4 Support. Refactoring of LAS/LAZ reader/writer #534 (15:19:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Formatting. (14:53:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into iter (14:50:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Working sort filter. (14:50:32)
	* Howard Butler <howard@hobu.co> Merge pull request #536 from PDAL/issues/535-write-fixed-point-count (14:29:14)
	* Howard Butler <howard@hobu.co> rearrange some includes #533 (14:26:17)
	* Bradley J Chambers <brad.chambers@gmail.com> change m_limit to point_count_t and remove template types, which are inferred (13:41:03)
	* Howard Butler <howard@hobu.co> handle GDAL <= 1.10 #533 (13:33:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into iter (13:11:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> More swap work. (12:55:39)
	* Howard Butler <howard@hobu.co> #include <ogr_api.h> for OGRRegisterAll() in GDALUtils.hpp #533 (12:55:36)
	* Howard Butler <howard@hobu.co> Implement filters.attribute -- setting of point dimension using Polygons and OGR #533 (12:13:37)
	* Bradley J Chambers <brad.chambers@gmail.com> fix some documentation typos (08:53:18)
	* Bradley J Chambers <brad.chambers@gmail.com> Add option to limit number of points written in Translate, using Decimation filter modification. Remove count from all other kernels (except Random, where it us used in the FauxReader). (08:35:35)

2014-10-15
	* Bradley J Chambers <brad.chambers@gmail.com> Isolate plugins and their dependencies, starting with PCL. Create Kernel class for kernel plugins. (11:12:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add empty for PointBuffer. (15:30:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead tests. (14:36:57)

2014-10-26
	* Howard Butler <howard@hobu.co> Merge pull request #538 from PDAL/remove-cannot-visualize-error (11:05:19)
	* Howard Butler <howard@hobu.co> Merge pull request #539 from PDAL/issues/539-spatialite-module-name (11:04:59)

2014-10-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #546 from gadomski/cmake-zlib (17:24:57)
	* Pete Gadomski <pete.gadomski@gmail.com> Clean up zlib's cmake logic (17:08:44)

2014-10-23
	* Bradley J Chambers <brad.chambers@gmail.com> check if visualization requested in Sort and Random as well (14:13:09)
	* chambbj <brad.chambers@gmail.com> Merge pull request #545 from PDAL/issues/542-numeric-limits-const (13:17:04)
	* chambbj <brad.chambers@gmail.com> Merge pull request #544 from PDAL/issues/541-static-const-init (13:16:16)
	* chambbj <brad.chambers@gmail.com> Merge pull request #543 from PDAL/issues/540-demangler-windows-test (13:14:53)
	* Bradley J Chambers <brad.chambers@gmail.com> another reference to MAX_DATA_SIZE (12:21:55)
	* Bradley J Chambers <brad.chambers@gmail.com> move MAX_DATA_SIZE to anonymous namespace too (12:08:44)
	* Bradley J Chambers <brad.chambers@gmail.com> move consts to anonymous namespace rather than static member vars (12:02:28)
	* Bradley J Chambers <brad.chambers@gmail.com> use cxxabi ifndef windows (12:00:24)

2014-10-21
	* Bradley J Chambers <brad.chambers@gmail.com> Add filter to sort points by Morton order, and kernel to expose this as an app (08:46:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> More Travis fixes. (11:27:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into iter (11:13:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Iterator test. (11:13:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fixes for builds without libgeotiff. Fix assertion bound. (10:51:17)

2014-10-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into las1.4 Fix NULL spatial reference for NITF clipping. Change PDAL_HAVE_SRS to PDAL_HAVE_LIBGEOTIFF (15:31:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> LAS auto-offset computation. Fix record signature for 1.0 LAS VLRs. (12:20:56)

2014-10-19
	* Howard Butler <howard@hobu.co> Implement IGEOLO support #531 (17:18:27)
	* Howard Butler <howard@hobu.co> Merge pull request #529 from PDAL/yosemite-lint (09:54:46)

2014-10-18
	* Howard Butler <howard@hobu.co> Merge pull request #528 from PDAL/PointBuffer-constness (22:03:28)
	* Howard Butler <howard@hobu.co> Work to regularize PDAL's dependencies and clarify what is really required vs. what is optional #523 (22:01:31)
	* Howard Butler <howard@hobu.co> Merge pull request #524 from PDAL/issues/524-aimidb-afctb-nitf-output (16:15:36)

2014-10-17
	* Michael P. Gerlek <mpg@flaxen.com> added common header to all unit test files (10:59:28)
	* Michael P. Gerlek <mpg@flaxen.com> added "-isystem /usr/local/include" (10:59:04)
	* Michael P. Gerlek <mpg@flaxen.com> Merge branch 'PointBuffer-constness' into yosemite-lint (09:44:27)

2014-10-16
	* Bradley J Chambers <brad.chambers@gmail.com> random kernel needs to set options on the faux reader now (20:19:53)
	* Howard Butler <howard@hobu.co> Add support for NITF ACFTB and AIMIDB TREs (15:13:24)
	* Michael P. Gerlek <mpg@flaxen.com> constify the PointBuffer::append() functions (15:03:04)
	* chambbj <brad.chambers@gmail.com> Merge pull request #526 from PDAL/greyhound (13:46:07)
	* Connor Manning <connor@hobu.co> Update FindJsoncpp cmake file and Greyhound driver. (12:22:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix error in assertion. (12:00:42)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code from LAS reader. (11:59:46)
	* Andrew Bell <andrew.bell.ia@gmail.com> Formatting. (11:50:34)

2014-10-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Add auto-fields to xform structure. (13:56:36)

2014-10-12
	* Howard Butler <howard@hobu.co> Merge pull request #522 from chambbj/fix-ground-pcl-kernels (21:51:34)

2014-10-10
	* Bradley J Chambers <brad.chambers@gmail.com> fix makeReader in Ground and PCL kernels (19:59:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into las1.4 (14:25:58)
	* Howard Butler <howard@hobu.co> doc tweak FAQ -- add note about PCL (14:16:49)
	* Howard Butler <howard@hobu.co> tweak front page (14:11:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (14:05:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't build with stubs. (14:03:11)
	* Howard Butler <howard@hobu.co> Merge pull request #521 from chambbj/set-options-for-view (13:35:07)
	* Howard Butler <howard@hobu.co> Merge pull request #520 from chambbj/namespace-fix-for-pcl (13:31:11)
	* Bradley J Chambers <brad.chambers@gmail.com> options changes ripple down to PCLVisualizer and View (13:29:31)
	* Bradley J Chambers <brad.chambers@gmail.com> PDALtoPCD now lives in the pclsupport namespace (13:13:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add default point sizes for 1.4 point types. Other small changes. (11:27:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Missed options fix. (10:25:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' into las1.4 (10:19:04)
	* Howard Butler <howard@hobu.co> Remove the passing of Options from the Stage constructor #482. Instead use Stage::setOptions() at a time of your choosing before Stage::prepare() is called to control when Options should be passed into a stage. (09:09:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into las1.4 (08:50:37)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (08:48:43)
	* Howard Butler <howard@hobu.co> Merge pull request #518 from PDAL/pbset-bounds (08:47:09)
	* Howard Butler <howard@hobu.co> update hobu's cmake invocation (08:27:45)
	* Michael P. Gerlek <mpg@flaxen.com> fixes and improvements to Bounds (08:01:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'las1.4' of https://github.com/PDAL/PDAL into las1.4 (07:49:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Move initialization of zipper/zip point inside ifdef. (07:47:46)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into las1.4 (07:47:31)

2014-10-09
	* Andrew <andrew@abell-vb2.(none)> Small build fixes. (21:08:26)
	* Michael P. Gerlek <mpg@flaxen.com> added helper: calculateBounds(PointBufferSet) (14:29:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make LAZ really work. (14:04:53)
	* Howard Butler <howard@hobu.co> Merge branch 'pcl-tests' #513 (10:15:14)

2014-10-08
	* Howard Butler <howard@hobu.co> Merge pull request #508 from chambbj/PCLVisualizer (16:32:00)
	* Bradley J Chambers <brad.chambers@gmail.com> fix memory issue (14:34:08)
	* Bradley J Chambers <brad.chambers@gmail.com> move the visualization code to the Application class (12:56:14)
	* Bradley J Chambers <brad.chambers@gmail.com> visualize both input and output (11:48:06)
	* Howard Butler <howard@hobu.co> put back docs for (09:40:30)
	* Howard Butler <howard@hobu.co> point to filters.ferry in stages doc (09:28:47)
	* Michael P. Gerlek <mpg@flaxen.com> PCL doc updates (09:04:34)
	* Michael P. Gerlek <mpg@flaxen.com> namespace fix (08:34:07)
	* Bradley J Chambers <brad.chambers@gmail.com> getVisualize should return false if PCLVisualize not available (08:03:20)
	* Bradley J Chambers <brad.chambers@gmail.com> add --visualize flag at the Application level that will cause Ground, PCL, Random, and Translate kernels to spawn a PCLVisualizer after writing the result to disk (07:48:54)

2014-10-06
	* Bradley J Chambers <brad.chambers@gmail.com> fix the PCL stubs for PCLVisualizer (09:40:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add support for BPF version 1 and 2. (19:46:02)
	* Michael P. Gerlek <mpg@flaxen.com> remove debugging (15:14:04)
	* Michael P. Gerlek <mpg@flaxen.com> tighten up the namespaces (14:53:09)
	* Michael P. Gerlek <mpg@flaxen.com> import PCL pipeline files from the PCL repo (14:52:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into las1.4 (13:33:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't allow waveform point formats. (13:33:21)
	* Michael P. Gerlek <mpg@flaxen.com> Merge branch 'clang-warnings' into pcl-tests (10:12:01)
	* Michael P. Gerlek <mpg@flaxen.com> Merge branch 'pdal-info-summary' into pcl-tests (10:10:48)
	* Michael P. Gerlek <mpg@flaxen.com> added --summary, for a less verbose output (09:52:10)
	* Michael P. Gerlek <mpg@flaxen.com> added ptree-to-reST dump support (09:50:18)

2014-10-03
	* Bradley J Chambers <brad.chambers@gmail.com> add PCLVisualizer writer and View kernel (14:58:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make ZIP stuff work again. (18:10:34)
	* Howard Butler <howard@hobu.co> convertAndSet doesn't work on int8_t/uint8_t (14:43:51)
	* Howard Butler <howard@hobu.co> put back PointSourceId setting option for drivers.oci.reader (13:53:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Bug fixes and warning cleanup. (12:57:43)
	* Michael P. Gerlek <mpg@flaxen.com> fix various clang warnings (09:44:42)
	* Michael P. Gerlek <mpg@flaxen.com> correct/clarify test runner doc (09:44:14)

2014-10-07
	* Howard Butler <howard@hobu.co> Merge pull request #506 from gadomski/pipeline-commandline-options (14:25:26)
	* Howard Butler <howard@hobu.co> Merge pull request #507 from PDAL/clang-warnings (14:25:13)
	* Howard Butler <howard@hobu.co> Merge pull request #509 from PDAL/pdal-info-summary (14:23:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into las1.4 (14:18:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Support point formats 6-10. (14:17:41)
	* Michael P. Gerlek <mpg@flaxen.com> all the PCL filter unit tests now working (13:58:19)
	* Michael P. Gerlek <mpg@flaxen.com> added debugging support (13:55:35)
	* Michael P. Gerlek <mpg@flaxen.com> lint (13:55:08)
	* Michael P. Gerlek <mpg@flaxen.com> PCL test cleanup (11:22:23)
	* Michael P. Gerlek <mpg@flaxen.com> cleaned up PCL docs (11:21:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use a different EPSG reference for UTM north zones. (08:22:17)
	* Michael P. Gerlek <mpg@flaxen.com> cleanups on PCL tutorial (07:42:43)

2014-10-02
	* Andrew Bell <andrew.bell.ia@gmail.com> More compilation fixes. (20:23:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Try to make the compiler happy. (19:16:07)
	* Howard Butler <howard@hobu.co> sanitize [ and ] in metadata names (16:43:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Eliminate compiler warnings. (12:52:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into las1.4 (12:42:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Reading and writing LAS seems to work. (11:27:53)

2014-10-01
	* Pete Gadomski <pete.gadomski@gmail.com> Remove spurious options dump (16:20:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Allow extra command line options for pdal pipeline (16:06:40)
	* Pete Gadomski <pete.gadomski@gmail.com> Delay filename requirement until processOptions (16:01:52)
	* Howard Butler <howard@hobu.co> Merge pull request #505 from gadomski/remove-jenkins (15:41:02)
	* Howard Butler <howard@hobu.co> Merge branch 'master' of github.com:PDAL/PDAL (15:37:57)
	* Howard Butler <howard@hobu.co> fix BOX3D::clear() to properly clear bounds and add a test to validate it (15:37:14)
	* Howard Butler <howard@hobu.co> Merge pull request #502 from gadomski/mention-tif-in-p2g-docs (13:05:22)
	* Howard Butler <howard@hobu.co> Merge pull request #503 from PDAL/issues/503-laszip-flush (13:05:14)
	* Howard Butler <howard@hobu.co> add LAZ-writing NITF example (12:06:51)
	* Howard Butler <howard@hobu.co> add ::flush() method to LAS writer so that LASzip stuff gets written in NITF writer #503 (12:06:04)
	* Pete Gadomski <pete.gadomski@gmail.com> Add "tif" to p2g docs (09:58:53)

2014-09-30
	* Connor Manning <connormanning@users.noreply.github.com> Merge pull request #501 from PDAL/genericRaster (11:03:31)
	* Connor Manning <connor@hobu.co> Merge branch 'master' into genericRaster (09:37:24)
	* Connor Manning <connor@hobu.co> Add a splatted query with custom bounds/resolution. (09:36:41)

2014-09-29
	* Howard Butler <howard@hobu.co> Merge pull request #500 from PDAL/issues/500-horiz-vert-srs-fetch (16:27:17)
	* Howard Butler <howard@hobu.co> Add SpatialReference::getVertical and SpatialReference::getHorizontal methods #500 (15:03:14)

2014-09-26
	* Pete Gadomski <pete.gadomski@gmail.com> Remove leftover Jenkins files (22:41:11)
	* Howard Butler <howard@hobu.co> Merge pull request #498 from PDAL/issues/496-bring-back-buffer-reader (13:37:21)
	* Howard Butler <howard@hobu.co> put PDAL_HAVE_GDAL guard around setSpatialReference call in BPF reader (13:16:26)
	* Howard Butler <howard@hobu.co> fix up BPF SRS support (13:05:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix signature of addBuffer (from add_buffer) (12:39:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Simplify BufferReader.  Add test. (11:22:14)
	* Howard Butler <howard@hobu.co> put back drivers.buffer.reader #496 (09:44:50)

2014-09-25
	* Howard Butler <howard@hobu.co> Merge pull request #496 from PDAL/issues/496-naked-write (16:51:21)
	* Howard Butler <howard@hobu.co> remove unused variable in filters.chipper (16:45:54)
	* Howard Butler <howard@hobu.co> Merge pull request #435 from PDAL/issues/435-ferry-filter (15:56:50)
	* Howard Butler <howard@hobu.co> Support naked PointBufferPtr writing #496, and update tutorial to reflect capability (15:54:08)
	* Howard Butler <howard@hobu.co> Merge pull request #495 from chambbj/MetadataNodeImpl (15:11:30)
	* Howard Butler <howard@hobu.co> Merge pull request #494 from PDAL/reprojection-driver-updates (14:24:39)
	* Howard Butler <howard@hobu.co> a little bit more clean up of dead code #435 (14:24:19)
	* Bradley J Chambers <brad.chambers@gmail.com> clean up unresolved externals in MetadataNodeImpl on MSVC (14:08:21)
	* Howard Butler <howard@hobu.co> reprojection doc updates #494 (14:06:28)
	* Howard Butler <howard@hobu.co> Some doc updates for filters.reprojection and others (14:01:04)
	* Howard Butler <howard@hobu.co> Merge remote-tracking branch 'origin/master' into issues/435-ferry-filter (13:42:32)
	* Howard Butler <howard@hobu.co> Merge pull request #493 from chambbj/issues/490-win-constant-expression (13:42:24)
	* Howard Butler <howard@hobu.co> Merge pull request #486 from PDAL/json (13:42:17)
	* Howard Butler <howard@hobu.co> turn off ferry reprojection test when there's no GDAL #435 (13:39:36)
	* Bradley J Chambers <brad.chambers@gmail.com> addressing multiple windows issues (12:55:46)
	* Howard Butler <howard@hobu.co> Finish implementation of ferry filter, with docs #435 (12:35:43)
	* Connor Manning <connor@hobu.co> Fix botched conflict fix. (11:57:07)
	* Connor Manning <connor@hobu.co> Fix conflict with master. (10:46:32)
	* Howard Butler <howard@hobu.co> Merge branch 'master' into issues/435-ferry-filter (10:20:01)
	* Howard Butler <howard@hobu.co> Merge pull request #484 from PDAL/issues/484-refactor-bounds (10:17:19)
	* Howard Butler <howard@hobu.co> basic test of #435 failure scenario (10:10:46)
	* Howard Butler <howard@hobu.co> Merge pull request #485 from PDAL/ghUpdate (10:08:57)
	* Howard Butler <howard@hobu.co> Merge pull request #492 from chambbj/issues/489-windows-round (10:07:08)
	* Bradley J Chambers <brad.chambers@gmail.com> use Utils::sround rather than std::round to fix #489 (08:59:37)

2014-09-23
	* Connor Manning <connor@hobu.co> Don't add empty fields to JSON output.  Make escapeJSON() not modify the input string. (17:22:27)
	* Connor Manning <connor@hobu.co> Don't add empty fields to JSON output.  Make escapeJSON() not modify the input string. (17:22:27)
	* Connor Manning <connor@hobu.co> Remove reader iterator from Greyhound driver. (14:32:02)

2014-09-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://www.github.com/PDAL/PDAL (20:03:59)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't use C++ that breaks VS. Add test for sanitize. (20:03:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #488 from PDAL/empty-chipper-buffer (19:53:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't run the chipper if we have no points. Test for this case. (19:08:45)
	* Howard Butler <howard@hobu.co> make tests pass (17:24:57)
	* Howard Butler <howard@hobu.co> ferry filter scaffolding #435 (16:55:27)
	* Howard Butler <howard@hobu.co> final removal of Range and Vector to complete refactor of Bounds->BOX3D #484 (15:36:26)
	* Howard Butler <howard@hobu.co> switch off Bounds (15:20:20)
	* Howard Butler <howard@hobu.co> refactor calculateBounds #484 (14:46:05)
	* Howard Butler <howard@hobu.co> start excising Bounds in favor of a BOX3D (11:16:08)

2014-09-22
	* Connor Manning <connor@hobu.co> Merge branch 'master' into indexing (13:51:18)
	* Connor Manning <connor@hobu.co> Tweak rastering index. (13:49:57)
	* Howard Butler <howard@hobu.co> Merge pull request #479 from chambbj/issues/478-bus-error (12:04:53)
	* Bradley J Chambers <brad.chambers@gmail.com> add fvisibility-inlines-hidden when compiling with PCL support (11:47:32)

2014-09-19
	* Howard Butler <howard@hobu.co> Merge pull request #477 from PDAL/nitro-reader3 (15:15:17)
	* Howard Butler <howard@hobu.co> NITF test now depends on WITH_NITRO, not WITH_GDAL #477 (14:28:26)
	* Howard Butler <howard@hobu.co> Merge pull request #475 from PDAL/issues/475-sanitize-metadata-names (13:53:35)
	* Connor Manning <connor@hobu.co> Merge branch 'master' of https://github.com/PDAL/PDAL into indexing (13:52:02)
	* Howard Butler <howard@hobu.co> Sanitize pdal::Metadata key names to remove some special characters #475 (13:27:19)
	* Howard Butler <howard@hobu.co> add bpf2nitf example pipeline (11:53:52)
	* Michael P. Gerlek <mpg@flaxen.com> missed a GDAL->NITRO ifdef (11:11:07)
	* Michael P. Gerlek <mpg@flaxen.com> replace GDAL-based NITF reader with a Nitro-based one (10:55:18)
	* Michael P. Gerlek <mpg@flaxen.com> replace GDAL-based NITF reader with a Nitro-based one (10:54:29)

2014-09-18
	* Howard Butler <howard@hobu.co> Merge pull request #472 from pramsey/pgdoc (16:57:39)
	* Paul Ramsey <pramsey@cleverelephant.ca> Add undoc'ed options for pgpointcloud writer (16:21:16)
	* Howard Butler <howard@hobu.co> Merge pull request #469 from chambbj/doc-updates (15:24:39)
	* Howard Butler <howard@hobu.co> Merge pull request #471 from pramsey/boost56 (15:24:32)
	* Paul Ramsey <pramsey@cleverelephant.ca> Allow build on Boost 1.56 (15:07:36)
	* Paul Ramsey <pramsey@cleverelephant.ca> Merge branch 'master' of github.com:PDAL/PDAL (13:00:10)
	* Howard Butler <howard@hobu.co> add additional classifcation field option to drivers.nitf.writer (12:14:51)
	* Howard Butler <howard@hobu.co> update example to point-context-schema (no filters.scaling anymore) (12:14:35)
	* Howard Butler <howard@hobu.co> clean up oci warning nit (10:58:47)

2014-09-17
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://www.github.com/PDAL/PDAL (13:27:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add LAS header test. Fix scale bug in LAS header copy ctor. (13:27:05)
	* Bradley J Chambers <brad.chambers@gmail.com> update a number of documents (PCL, deprecated filters, etc.) (13:17:23)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #468 from gadomski/travis-notify-slack (12:40:49)
	* Pete Gadomski <pete.gadomski@gmail.com> Add secure slack notifications to travis (10:19:22)
	* Pete Gadomski <pete.gadomski@gmail.com> Merge pull request #467 from gadomski/travis-stubs-only (10:36:40)
	* Pete Gadomski <pete.gadomski@gmail.com> Add stubs_only mode to Travis (10:07:56)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove rxp driver (09:57:11)
	* Howard Butler <howard@hobu.co> Merge pull request #466 from gadomski/run-tests-without-path (09:52:05)
	* Pete Gadomski <pete.gadomski@gmail.com> Default tests' data path to repo's data (09:39:15)
	* Howard Butler <howard@hobu.co> Merge pull request #465 from gadomski/test-without-stubs (09:18:17)
	* Pete Gadomski <pete.gadomski@gmail.com> Always test WITH_STUBS=OFF (09:12:02)
	* Pete Gadomski <pete.gadomski@gmail.com> Factor out rxp moving average to a free function (09:05:06)
	* Howard Butler <howard@hobu.co> Merge pull request #464 from gadomski/ground-depends-on-pcl (08:32:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Include ground kernel app only if we have PCL (07:54:05)

2014-09-16
	* Bradley J Chambers <brad.chambers@gmail.com> add PCL version to full version string (if present) (21:39:35)
	* Howard Butler <howard@hobu.co> Merge pull request #463 from chambbj/ground-kernel (15:32:07)
	* Bradley J Chambers <brad.chambers@gmail.com> fix PCL stub for setJSON in pipeline (14:56:38)
	* Pete Gadomski <pete.gadomski@gmail.com> Fix another rxp docs typo (11:14:25)
	* Pete Gadomski <pete.gadomski@gmail.com> Fix typo in rxp docs (10:19:29)

2014-03-27
	* Bradley J Chambers <brad.chambers@gmail.com> add a new kernel to directly invoke ground filtering algorithms from the command line (currently only PMF, which requires PCL) (17:00:17)
	* Bradley J Chambers <brad.chambers@gmail.com> apply astyle to recent PCLBlock and Splitter updates (17:44:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #267 from PDAL/no-stage-in-iter (17:27:05)
	* Bradley J Chambers <brad.chambers@gmail.com> in PCLBlock, setJSON still exists, but is now used to pass the GeoJSON object as a string; setFilename is used to pass the filename (17:23:19)
	* Bradley J Chambers <brad.chambers@gmail.com> vagrant will now checkout PCL "pipeline" branch (17:20:52)
	* Andrew Bell <andrew.bellia@gmail.com> Remove dependence on stage for some iterators. Remove access to stage in iterator. (14:53:41)
	* Andrew Bell <andrew.bellia@gmail.com> Add NullPointBuffer. Modify PointBuffer to behave correctly when used as a NullPointBuffer. (14:03:30)
	* Andrew Bell <acbell@blaze.hobu.biz> Don't use stage in iterator. (08:44:53)
	* chambbj <brad.chambers@gmail.com> Merge pull request #265 from PDAL/issues/261-guard-linking-libxml2 (09:35:03)
	* Bradley J Chambers <brad.chambers@gmail.com> fix #261, only link libxml2 if WITH_LIBXML2 is TRUE (09:34:02)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #263 from PDAL/i262 (09:20:18)
	* Andrew Bell <acbell@blaze.hobu.biz> Fix typo. (08:41:58)
	* Howard Butler <hobu.inc@gmail.com> Merge remote-tracking branch 'origin/use-options-command' (05:14:11)
	* Howard Butler <hobu.inc@gmail.com> use make generator by default (05:13:56)
	* Howard Butler <hobu.inc@gmail.com> small cleanups to filters.tiler (05:13:45)

2014-09-15
	* Howard Butler <howard@hobu.co> Merge pull request #462 from PDAL/ctxchunk (19:27:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove debug. (19:00:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Test to exercise large point buffers. Test random access to filled point buffer. (18:57:44)
	* Howard Butler <howard@hobu.co> Merge pull request #461 from chambbj/issues/445-scale-offset (16:25:05)
	* Howard Butler <howard@hobu.co> Merge pull request #458 from gadomski/guard-pcl-include (14:43:08)
	* Howard Butler <howard@hobu.co> Merge pull request #459 from gadomski/remove-unused-variable (14:24:04)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove m_useREST from kernel/Info (14:22:01)
	* Pete Gadomski <pete.gadomski@gmail.com> Catch bad_numeric_cast, rethrow better (13:32:03)
	* Pete Gadomski <pete.gadomski@gmail.com> Guard a PCLConversions include (13:25:52)
	* Howard Butler <howard@hobu.co> Merge pull request #457 from chambbj/pcl-kernel-bug (13:14:27)
	* Bradley J Chambers <brad.chambers@gmail.com> fix small bug with pcl kernel, move pcl stage out of makeReader (13:08:53)
	* Howard Butler <howard@hobu.co> Merge pull request #456 from gadomski/rxp-driver (10:44:43)
	* Howard Butler <howard@hobu.co> Merge pull request #454 from chambbj/voxel-grid-ctx (10:44:33)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove a duplicate include from PointBuffer.hpp (08:27:40)

2014-09-12
	* Bradley J Chambers <brad.chambers@gmail.com> scale/offset now in Application.cpp (14:06:07)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into ptctxref (23:07:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> PointContext -> PointContextRef (23:07:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> BPF spatial reference in metadata. (14:35:28)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove leftover embedded boost cruft (13:49:22)
	* Howard Butler <howard@hobu.co> Merge pull request #447 from gadomski/programmable-add-dimension (09:32:17)
	* Howard Butler <howard@hobu.co> Merge pull request #450 from chambbj/random-ctx (09:32:00)
	* Howard Butler <howard@hobu.co> Merge pull request #452 from PDAL/bpfmeta (09:31:44)

2014-09-09
	* Bradley J Chambers <brad.chambers@gmail.com> add PCL VoxelGrid as a decimation option (not the default) (20:23:28)
	* Connor Manning <connor@hobu.co> Update Greyhound driver. (21:31:15)
	* Pete Gadomski <pete.gadomski@gmail.com> Programmable filter can add dimensions to context (16:09:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove StageIterator. Remove iterator use from reader. (16:13:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into noiter (15:53:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from terrasolid driver. (15:48:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from SQLite driver. (12:28:20)
	* chambbj <brad.chambers@gmail.com> Merge pull request #446 from PDAL/scaleinit (11:26:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Don't set default values for scale/offset - already set in xform object ctor. (11:08:33)

2014-08-14
	* Pete Gadomski <pete.gadomski@gmail.com> Add the rxp reader (14:19:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix icebridge offset time & test. Use getFieldAs for icebridge tests. (13:01:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Differently modified colorization filter, as discussed. (12:32:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove un-useful schema test. (12:23:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (11:46:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix XMLSchema write test. (11:46:26)
	* Howard Butler <howard@hobu.co> Merge pull request #408 from cuitingting01/patch-1 (10:19:06)
	* Howard Butler <hobu.inc@gmail.com> get reprojection crop filter test passing again (10:16:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix sbet, stats, pointbuffer tests for new dimension scheme. (10:00:27)
	* Connor Manning <connor@hobu.co> Fix output from Schema::toPTree() to be valid JSON without duplicate keys. (09:37:31)
	* cuitingting01 <cuitingting01@baidu.com> Fix Fetchpcid bug (00:03:14)

2014-09-13
	* Howard Butler <howard@hobu.co> Merge pull request #453 from gadomski/remove-embedded-boost-cruft (10:50:43)
	* Howard Butler <howard@hobu.co> Merge pull request #455 from PDAL/ptctxref (10:50:33)

2014-09-11
	* Andrew Bell <andrew.bell.ia@gmail.com> Stick embedded BPF ULEM files into metadata. (21:38:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #451 from PDAL/bpfmeta (17:47:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix dumping of dimensions from point context. (17:44:41)
	* Connor Manning <connor@hobu.co> Add partial and not fully tested support for raster indexing from the QuadIndex. (15:23:58)
	* Connor Manning <connor@hobu.co> Update method used to get dimensions. (13:22:05)
	* Howard Butler <howard@hobu.co> output std::endl for each pt in --detail of 'pdal delta' (12:43:16)
	* Howard Butler <howard@hobu.co> Merge pull request #449 from gadomski/extract-chunk-size (10:50:14)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove chunk size (10:24:36)

2014-03-31
	* Bradley J Chambers <brad.chambers@gmail.com> add random kernel (09:15:45)

2014-09-10
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix RST. (15:44:43)
	* Howard Butler <howard@hobu.co> Reorganize test data #441 (15:08:12)
	* Connor Manning <connor@hobu.co> Add tree depth query to QuadIndex. (12:29:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL (12:18:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Update overview for readers. Add missing image. (12:18:12)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #448 from PDAL/noiter (11:43:06)

2014-09-08
	* Howard Butler <howard@hobu.co> Merge pull request #444 from PDAL/issues/442-las-scaling (20:49:54)
	* Howard Butler <howard@hobu.co> Merge pull request #443 from PDAL/issues/307-badinfo (20:49:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Set scale to .01 for las writer. (19:34:28)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add ptree nodes for all selected points. (19:22:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into noiter Remove iterator from PCD driver. (15:59:30)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from sbet driver. Fix sbet/qfit test. (15:30:07)
	* Bradley J Chambers <brad.chambers@gmail.com> group pcd driver files for msvc (14:07:21)
	* Howard Butler <howard@hobu.co> Merge pull request #440 from chambbj/issues/428-stubs-on-rebased (13:53:05)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from qfit driver. (13:20:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from pgpointcloud driver. (12:14:26)
	* Howard Butler <howard@hobu.co> remove lint (11:58:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from oci driver. (11:14:13)
	* Howard Butler <howard@hobu.co> Merge pull request #439 from chambbj/stubs-resolution (10:08:35)
	* Bradley J Chambers <brad.chambers@gmail.com> stubs default off in cmake, on in travis (10:04:45)
	* Howard Butler <howard@hobu.co> Merge pull request #438 from chambbj/pcl-docs (10:00:32)
	* Bradley J Chambers <brad.chambers@gmail.com> add PCL to the PDAL dependencies documentation, create documentation for the PCD drivers (09:24:46)
	* Howard Butler <howard@hobu.co> Merge pull request #437 from chambbj/remove-pcview (09:41:24)
	* Bradley J Chambers <brad.chambers@gmail.com> remove pcview from apps (09:34:10)
	* Bradley J Chambers <brad.chambers@gmail.com> back down the boost version requirement to 1.54 (09:25:44)
	* Howard Butler <howard@hobu.co> Merge pull request #436 from PDAL/issues/436-pcequal-pcpipeline-gone (08:43:19)
	* Howard Butler <howard@hobu.co> remove no longer valid pcequal/pcpipeline (now in 'pdal' utility) #436 (08:23:28)

2014-09-04
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix stubs for new PCD driver. (15:56:39)
	* Howard Butler <howard@hobu.co> doc work by Andrew (20:44:03)
	* Howard Butler <howard@hobu.co> Merge pull request #430 from PDAL/issues/430-txt-to-rst-rename (11:20:37)
	* Howard Butler <howard@hobu.co> rename .txt to .rst #430 (11:06:18)
	* Howard Butler <howard@hobu.co> Merge pull request #429 from gadomski/duplicate-before-install-line (10:17:41)
	* Howard Butler <howard@hobu.co> Merge pull request #427 from PDAL/issues/427-no-boost-embed (10:17:30)
	* Howard Butler <howard@hobu.co> more EMBED excision #427 (09:48:54)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove duplicate line from Travis before_install (09:39:48)
	* Howard Butler <howard@hobu.co> switch off EMBED boost usage in Travis #427 (09:25:46)
	* Howard Butler <howard@hobu.co> remove embedded boost #427 (09:22:40)

2014-09-07
	* Howard Butler <howard@hobu.co> fix up doc link (16:56:56)
	* Howard Butler <howard@hobu.co> fix compression enum mixup in pgpointcloud writer (15:27:04)
	* Howard Butler <howard@hobu.co> fix insertion bug (num_points was defined as int64_t vs. the supported int32_t (14:30:26)

2014-09-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix typo. Fix type of zip objects when we're not zipping. (21:30:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from las/nitf. (17:36:50)
	* Howard Butler <howard@hobu.co> Merge pull request #432 from gadomski/nuke-swig (11:28:57)
	* Howard Butler <howard@hobu.co> Merge pull request #434 from gadomski/require-boost (11:28:50)
	* Pete Gadomski <pete.gadomski@gmail.com> Require boost when finding package (11:17:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix new IStream ctor(). Fix decimation and stats tests for new faux reader interface. (11:07:48)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove all c# and python swig (07:07:58)

2014-09-03
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from icebridge. (16:39:17)
	* Howard Butler <howard@hobu.co> Vagrant: need libglew-dev for OpenGL for PCL now (16:34:03)
	* Howard Butler <howard@hobu.co> Merge pull request #424 from gadomski/fix-faux-reader-bug (15:58:51)
	* Howard Butler <howard@hobu.co> Merge pull request #423 from chambbj/pcd-driver (15:58:39)
	* Howard Butler <howard@hobu.co> Merge pull request #422 from PDAL/issues/422-toJSON-toPTree (15:58:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove iterator from faux reader. (15:35:19)
	* Pete Gadomski <pete.gadomski@gmail.com> Actually use numberOfReturns (15:17:17)
	* Howard Butler <howard@hobu.co> add missing include (14:45:41)
	* Howard Butler <howard@hobu.co> clean up typo #422 (14:19:50)
	* Howard Butler <howard@hobu.co> move most toPTree() methods of PDAL objects out to static functions in PDALUtils.hpp #422 (13:10:31)
	* Andrew Bell <andrew.bell.ia@gmail.com> First workings of reading without an iterator. BPF works. CARIS should work :) (11:43:08)

2014-04-04
	* Bradley J Chambers <brad.chambers@gmail.com> first cut at a dedicated pcd reader/writer (21:33:40)
	* Andrew Bell <andrew.bellia@gmail.com> Change return type of getField from reference to value. (17:54:02)
	* Howard Butler <howard@hobu.co> Merge pull request #281 from gadomski/pdal-info-s-flag (16:16:42)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove -s flag for --schema option in `pdal info` (13:58:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #280 from abellgithub/format (13:58:19)
	* Andrew Bell <andrew.bellia@gmail.com> Make things in the las Writer fit in 80 columns. Remove a few superfluous "return" statements. A couple of other small fixes to simplify code - no functional change. (13:17:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #279 from PDAL/fixup (10:31:03)
	* Andrew Bell <andrew.bellia@gmail.com> Fix point count in las iterators. (09:24:51)
	* Howard Butler <howard@hobu.co> Merge pull request #274 from gadomski/pipeline-mosaic-without-python (08:36:21)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge pull request #276 from PDAL/issues/272-rel-filenames (08:18:29)

2014-08-29
	* Howard Butler <howard@hobu.co> Merge branch 'point-context-schema' (12:11:07)
	* Connor Manning <connor@hobu.co> Constify a parameter reference. (10:47:40)

2014-08-28
	* Bradley J Chambers <brad.chambers@gmail.com> toJSON and toPTree are unresolved otherwise (20:04:34)
	* Bradley J Chambers <brad.chambers@gmail.com> using WIN32_LEAN_AND_MEAN to avoid redefinition of symbols in winsock.h (20:03:05)
	* Howard Butler <howard@hobu.co> more JSON output for pdal info (13:25:53)
	* Howard Butler <howard@hobu.co> quote object name in toJSON() method (13:25:31)
	* Howard Butler <hobu.inc@gmail.com> remove dead Dimension.cpp file (10:25:51)
	* Howard Butler <hobu.inc@gmail.com> implement JSON escaping for Metadata::toJSON() (10:03:14)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (09:19:40)
	* Howard Butler <hobu.inc@gmail.com> a little bit of doc work (09:19:36)
	* Bradley J Chambers <brad.chambers@gmail.com> also changing case in the logtest text files (08:26:17)
	* Bradley J Chambers <brad.chambers@gmail.com> changing case of the remainder of the LogLevels (08:06:26)

2014-08-27
	* Bradley J Chambers <brad.chambers@gmail.com> LogLevels are no longer all caps - ERROR and INFO were colliding with Windows defines (13:04:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Provide a ctor for BandInfo. (12:02:27)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (11:47:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Disallow direct access of PointContext from PointBuffer. (11:46:54)
	* Howard Butler <howard@hobu.co> Merge pull request #418 from PDAL/issues/417-emplace-back (11:33:52)
	* Bradley J Chambers <brad.chambers@gmail.com> use emplace_back and dump the initializer list (11:29:57)
	* Howard Butler <howard@hobu.co> Merge pull request #415 from chambbj/issues/414-pdal-macros (10:49:56)
	* Bradley J Chambers <brad.chambers@gmail.com> move pdal_macros include to pdal_internal (10:48:27)

2014-08-26
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (16:19:25)
	* Howard Butler <hobu.inc@gmail.com> support setting options via command line for 'pdal translate' (16:19:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use Metadata::addList for arrays. Make sure stage metadata parent has a name. (14:51:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (14:19:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Metadata lists. (14:17:29)
	* Howard Butler <hobu.inc@gmail.com> whoops, missed a file (13:33:17)
	* Howard Butler <hobu.inc@gmail.com> get rid of getPrevStages in favor of getInputs (13:15:54)
	* Howard Butler <hobu.inc@gmail.com> remove Stage::getPrevStage (11:43:35)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (10:01:24)
	* Howard Butler <howard@hobu.co> Merge pull request #413 from gadomski/las-skip-high-return-numbers (10:00:52)

2014-08-25
	* Pete Gadomski <pete.gadomski@gmail.com> Skip, don't fail, when writing high return num las (18:03:36)
	* Pete Gadomski <pete.gadomski@gmail.com> Add number_of_returns option to FauxReader (17:31:45)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (15:02:59)
	* Connor Manning <connor@hobu.co> Fix KD index typo. (14:51:24)
	* Howard Butler <hobu.inc@gmail.com> turn off debug (14:45:57)
	* Howard Butler <hobu.inc@gmail.com> auto'up the Iterator typedefs (11:51:09)
	* Howard Butler <hobu.inc@gmail.com> throw an exception if pipeline does not have a writer and it is called with 'pdal pipeline' (11:24:14)
	* Howard Butler <hobu.inc@gmail.com> move splitter/chipper into filters (11:08:22)
	* Howard Butler <hobu.inc@gmail.com> chipper example rearranges data and simply writes out las file (11:07:53)
	* Howard Butler <hobu.inc@gmail.com> remove dead cache filter (09:45:53)

2014-08-24
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (21:09:33)
	* Howard Butler <hobu.inc@gmail.com> drivers.oci.{reader|writer} fixups (21:09:27)
	* Connor Manning <connor@hobu.co> Expose Dimension type (baseType and size) and fix a warning. (18:55:35)

2014-08-22
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (11:55:50)
	* Howard Butler <hobu.inc@gmail.com> cleanup of oci test a little bit (still fails when manually run though) (11:55:48)
	* Howard Butler <hobu.inc@gmail.com> write orientation into XML (11:54:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Use toJSON in Info. Fix NULL top-level node in Metadata JSON output. (11:42:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code from PipelineWriter. Clean up PipelineWriter. (10:45:08)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove test output. (10:17:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (10:14:21)
	* Howard Butler <hobu.inc@gmail.com> support applyin scaling info to XYZ for dimension-major data (10:10:46)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (10:04:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add Metadata::toJSON. (10:04:18)
	* Howard Butler <hobu.inc@gmail.com> update manual oracle test pipelines (08:27:07)

2014-08-21
	* Connor Manning <connor@hobu.co> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (14:04:36)
	* Connor Manning <connor@hobu.co> Advertise Dimension info via JSON. (14:04:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix typo. (13:52:06)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (13:44:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Get rid of very old TODOs and such. (13:44:10)
	* Howard Butler <hobu.inc@gmail.com> Classification is Unsigned8, not 16 (12:55:08)
	* Howard Butler <hobu.inc@gmail.com> useREST still exists, just not switched back on yet (12:54:52)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (12:53:21)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context' into point-context-schema (10:59:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (10:56:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context-schema (10:55:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into point-context-schema (09:20:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix various todos. (09:03:05)
	* Howard Butler <hobu.inc@gmail.com> Classification should be a Unsigned16, not 8 (08:49:11)
	* Howard Butler <howard@hobu.co> Merge pull request #411 from gadomski/backport-travis-fix (08:30:38)
	* Howard Butler <hobu.inc@gmail.com> Intensity should be an Unsigned16, not an Unsigned8 (08:20:11)
	* Howard Butler <hobu.inc@gmail.com> getField now getFieldAs in sqlite driver test (08:14:28)

2014-08-20
	* Howard Butler <howard@hobu.co> Merge pull request #410 from gadomski/linux-rpath (16:21:35)
	* Pete Gadomski <pete.gadomski@gmail.com> Backport some Travis fixes from point-context (15:04:46)
	* Pete Gadomski <pete.gadomski@gmail.com> Revert RPATH to cmake's recommended setup (14:46:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove more FIXMEs. (13:29:44)
	* Howard Butler <hobu.inc@gmail.com> only create index in drivers.oci.writer when we've created a block table (13:27:09)
	* Howard Butler <hobu.inc@gmail.com> put back old Schema::toPTree() method (13:01:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix some FIXMEs. (12:21:18)
	* Howard Butler <hobu.inc@gmail.com> fix up --sdo_pc metadata for 'pdal info' (12:11:23)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (10:57:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow user-defined scaling for LAS output. (10:56:28)

2014-08-19
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (16:09:55)
	* Howard Butler <hobu.inc@gmail.com> more work on 'pdal info' stats, metadata, and json output (16:09:52)
	* Howard Butler <hobu.inc@gmail.com> add local spatial ref (16:09:29)
	* Howard Butler <hobu.inc@gmail.com> remove dead code (16:09:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> No bounds unless calculated. (15:48:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (15:14:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove getField<> in favor of getFieldAs<> (15:13:55)
	* Andrew <andrew@abell-vb2.(none)> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (14:08:19)
	* Andrew <andrew@abell-vb2.(none)> Fix spatial reference for pgpointcloud. (14:06:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix pgpointcloud spatial ref. (14:01:36)
	* Howard Butler <hobu.inc@gmail.com> Merge point-context down to point-context-schema (11:03:36)
	* Howard Butler <hobu.inc@gmail.com> only commit in done(), not ~ (10:37:06)
	* Howard Butler <hobu.inc@gmail.com> put back pipeline-serialization (10:24:59)

2014-08-18
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (16:44:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix non-static initialization. Clean-up. (16:43:07)
	* Bradley J Chambers <brad.chambers@gmail.com> fix lambda in PCLConversions.hpp (11:59:43)
	* Bradley J Chambers <brad.chambers@gmail.com> protect against rounding errors in PCL/PDAL conversions by computing and using bounds to offset data (10:57:55)
	* Bradley J Chambers <brad.chambers@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (10:18:59)
	* Howard Butler <hobu.inc@gmail.com> remove dead Writer.cpp file in sqlite driver (09:20:49)
	* Connor Manning <connor@hobu.co> Check for quadtree validity before querying. (09:03:38)
	* Connor Manning <connor@hobu.co> Add bbox query to quad tree index. (08:54:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (07:47:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code. Make Selector, InPlaceReprojection and Scaling NOOP filters. (07:47:19)

2014-08-17
	* Connor Manning <connor@hobu.co> SQLite capitalization. (09:33:17)
	* Howard Butler <hobu.inc@gmail.com> getFieldAs instaed of getField for fetching values (08:38:18)

2014-08-16
	* Howard Butler <hobu.inc@gmail.com> port SQLite driver over to point-context-schema (19:57:06)
	* Connor Manning <connor@hobu.co> Add quad tree index. (17:34:25)
	* Howard Butler <hobu.inc@gmail.com> fix up p2g writer (17:13:23)

2014-08-15
	* Andrew Bell <andrew.bell.ia@gmail.com> Update OCI to write schema. (21:03:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix delta. (20:40:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Diff cleanup. (20:35:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> PCL app cleanup. (20:27:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Cleanup. (19:52:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (16:41:50)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge filter and test. Modify PipelineReader to support merge filter. Remove old MultiFilter handling. Remove Schema, MultiFilter, MultiFilterIterator (16:34:42)
	* Bradley J Chambers <brad.chambers@gmail.com> bring p2g driver into the PointContext world and make it aware of the GTIFF output capability of points2grid (14:34:46)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context-schema' of github.com:PDAL/PDAL into point-context-schema (13:46:57)
	* Howard Butler <hobu.inc@gmail.com> start re-implementing 'pdal info' (13:46:52)
	* Howard Butler <hobu.inc@gmail.com> toPTree methods (13:46:37)
	* Howard Butler <hobu.inc@gmail.com> getMetadata method for PipelineManager (13:45:56)
	* Howard Butler <hobu.inc@gmail.com> remove dead variable (13:45:27)
	* Howard Butler <hobu.inc@gmail.com> add() for Metadata, toPTree methods (13:44:51)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context-schema (09:43:16)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix arg list in conditional compilation. (09:10:49)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix programmable tests. Comment out pdal info test. (07:36:46)

2014-08-13
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix bug(type) in splitter. getField to getFieldAs in PointBufferTest. (20:28:36)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix Dimension::base(). (16:50:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix types on BufferedInvocation. (16:15:13)

2014-08-12
	* Andrew Bell <andrew.bell.ia@gmail.com> Allow upgrade of dimension type on conflicts. Use consistent buffer for BPF byte-major. Use getFieldAs instead of getField. (14:59:52)

2014-08-11
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix bugs in PointBuffer, RawPtBf, PointContext. Use local buffer for BPF byte-major reads. (22:03:24)
	* Andrew Bell <andrew.bell.ia@gmail.com> Set offsets in dimensions. (17:48:52)
	* Andrew Bell <andrew.bell.ia@gmail.com> Tests to new dimension scheme. (16:46:53)
	* Connor Manning <connor@hobu.co> Constify and tweak for readability. (15:21:37)
	* Connor Manning <connor@hobu.co> Give KDIndex a const reference to its PointBuffer since it doesn't/shouldn't modify it. (09:48:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Tests to new dimension scheme. (07:08:02)

2014-08-09
	* Andrew Bell <andrew.bell.ia@gmail.com> Make main app link. (22:50:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context-schema' of https://github.com/PDAL/PDAL into point-context-schema (08:11:17)
	* Andrew Bell <andrew.bell.ia@gmail.com> More changes for new dimension scheme. (08:09:09)

2014-08-08
	* Howard Butler <hobu.inc@gmail.com> fix up filters.pcl to work with schema-less stuff (15:45:24)
	* Howard Butler <hobu.inc@gmail.com> finish porting over 'pdal delta' and 'pdal info' (14:33:01)
	* Howard Butler <hobu.inc@gmail.com> partially port over 'pdal diff' (14:18:06)
	* Howard Butler <hobu.inc@gmail.com> add autzen-thin-srs to add srs info (13:49:20)
	* Howard Butler <hobu.inc@gmail.com> plang compiles (13:48:11)
	* Bradley J Chambers <brad.chambers@gmail.com> cache filter no longer needed in PCL kernel (13:22:53)
	* Bradley J Chambers <brad.chambers@gmail.com> closes #407 (13:13:46)
	* Howard Butler <hobu.inc@gmail.com> plang work (11:37:42)
	* Howard Butler <hobu.inc@gmail.com> port filters.colorization to new dimension mechanism (09:38:38)
	* Howard Butler <hobu.inc@gmail.com> LogLevel rename (09:38:21)
	* Howard Butler <hobu.inc@gmail.com> LogLevel rename (09:38:05)
	* Howard Butler <hobu.inc@gmail.com> fetch X, Y for HexBin using new mechanism (09:37:25)

2014-08-07
	* Andrew Bell <andrew.bell.ia@gmail.com> Update filters to new dimension scheme. (17:19:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Icebridge to new dimension scheme. (14:52:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Sbet to new dimension scheme. (14:40:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead headers. (14:27:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> pgpointcloud to new dimension scheme. Move setField to PointBuffer in lieu of setRawField. (14:24:06)
	* Howard Butler <hobu.inc@gmail.com> more travis (14:03:01)
	* Howard Butler <hobu.inc@gmail.com> more travis (13:19:54)
	* Howard Butler <hobu.inc@gmail.com> more travis (12:00:15)
	* Howard Butler <hobu.inc@gmail.com> more travis (11:31:27)
	* Howard Butler <hobu.inc@gmail.com> more travis (11:05:07)
	* Howard Butler <hobu.inc@gmail.com> more travis (10:52:32)
	* Howard Butler <hobu.inc@gmail.com> more travis (09:48:29)
	* Howard Butler <hobu.inc@gmail.com> more travis (09:27:03)
	* Howard Butler <hobu.inc@gmail.com> more travis (08:59:06)
	* Howard Butler <hobu.inc@gmail.com> more travis (08:47:46)
	* Howard Butler <hobu.inc@gmail.com> more travis (08:32:56)

2014-08-06
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context-schema (17:42:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Qfit and Text changes. (16:50:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Text and qfit changes. (16:49:37)
	* Howard Butler <hobu.inc@gmail.com> another swing at travis-ci (15:44:49)
	* Howard Butler <hobu.inc@gmail.com> another swing at travis-ci (15:37:35)
	* Howard Butler <hobu.inc@gmail.com> another swing at travis-ci (15:24:05)
	* Howard Butler <hobu.inc@gmail.com> another swing at travis-ci (13:56:01)
	* Howard Butler <hobu.inc@gmail.com> another swing at travis-ci (13:43:01)
	* Howard Butler <hobu.inc@gmail.com> another swing at travis-ci (13:37:14)
	* Howard Butler <hobu.inc@gmail.com> try debiangis-unstable for Travis packages (13:32:18)
	* Howard Butler <hobu.inc@gmail.com> try debiangis-unstable for Travis packages (13:23:31)
	* Howard Butler <hobu.inc@gmail.com> another swing at getting travis going (12:52:49)
	* Howard Butler <hobu.inc@gmail.com> attempt to get Travis going again (11:39:31)
	* Howard Butler <hobu.inc@gmail.com> default to osgeo4w64 for library path on windows (11:33:21)
	* Howard Butler <hobu@hobu.co> better-defined PointId typedef and clean up of aftermath (11:19:39)
	* Andrew Bell <andrew.bell.ia@gmail.com> Temporary commit - new Dimension code. (10:27:48)
	* Howard Butler <hobu.inc@gmail.com> fix up readBufferImpl virtual to return point_count_t (09:40:44)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context' of github.com:PDAL/PDAL into point-context (09:16:16)

2014-08-05
	* Howard Butler <hobu@hobu.co> more MSVC warnings cleanups (21:22:41)
	* Howard Butler <hobu@hobu.co> some MSVC warnings cleanups (21:16:57)
	* Howard Butler <hobu@hobu.co> windows tweaks to my config file (21:16:37)
	* Howard Butler <hobu@hobu.co> a whole bunch of windows-related fixups. compiles with osgeo4w64 on msvc2013 (16:48:04)

2014-08-03
	* Howard Butler <hobu.inc@gmail.com> @rpath support for OSX (only) (16:51:43)

2014-07-29
	* Bradley J Chambers <brad.chambers@gmail.com> be a little more explicit about what PCL modules are built (14:14:21)
	* Bradley J Chambers <brad.chambers@gmail.com> remove VTK dependency (11:43:06)

2014-07-28
	* Andrew Bell <andrew.bell.ia@gmail.com> Changes for schema (08:07:09)

2014-07-27
	* Howard Butler <hobu.inc@gmail.com> turn off sqlite3_enable_load_extension which isn't quite working yet (12:21:06)
	* Howard Butler <hobu.inc@gmail.com> working drivers.sqlite.reader with tests (12:12:10)
	* Howard Butler <hobu.inc@gmail.com> more drivers.sqlite.reader -- still not quite working (09:52:12)
	* Howard Butler <hobu.inc@gmail.com> some cleanups, more logs (09:52:02)
	* Howard Butler <hobu.inc@gmail.com> ask ABELL about what happens when appendPoint is given bad input (09:51:13)

2014-07-25
	* Howard Butler <hobu.inc@gmail.com> put some more logging in, shutdown/initialize for sqlite3 (16:52:56)
	* Howard Butler <hobu.inc@gmail.com> almost working drivers.sqlite.reader (13:55:04)

2014-07-24
	* Howard Butler <hobu.inc@gmail.com> handle situation where a query doesn't return any rows. insert schema correctly into cloud table (12:29:58)
	* Howard Butler <hobu.inc@gmail.com> fix ups for drivers.sqlite.writer to actually work (12:02:51)
	* Howard Butler <hobu.inc@gmail.com> add sqlite to StageFactory (12:02:33)
	* Howard Butler <hobu.inc@gmail.com> rename drivers.sqlite to SQLiteWriter/SQLiteReader (10:54:39)
	* Howard Butler <hobu.inc@gmail.com> drivers.sqlite.writer based on sqlite3 C API. remove SOCI dependency (10:26:50)

2014-07-23
	* Howard Butler <hobu.inc@gmail.com> the actual buffer size of the xmlBuffer is b->use, not b->size. you're so obvious libxml2 (16:34:22)
	* Howard Butler <hobu.inc@gmail.com> update my config (10:18:56)
	* Howard Butler <hobu.inc@gmail.com> no need to explicitly find libtiff. libgeotiff is already linked against it (10:18:43)

2014-07-22
	* Andrew Bell <andrew.bell.ia@gmail.com> Changes to support new schema configuration. (21:21:30)
	* Howard Butler <hobu.inc@gmail.com> only do policy check for CMAKE > 2.x (11:24:29)
	* Howard Butler <hobu.inc@gmail.com> silence annoying cmake policies for now (11:07:20)

2014-07-18
	* Howard Butler <hobu.inc@gmail.com> rehabilitate 'pdal delta' command (11:59:22)

2014-07-17
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (12:11:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove color filter as discussed. (12:08:04)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context' of github.com:PDAL/PDAL into point-context (12:00:05)
	* Howard Butler <hobu.inc@gmail.com> remove Stage::m_bounds (12:00:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (10:46:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove ThreadEnvironment. Hide random number generator. Fix plang test. Fix stream factory test. (10:45:34)
	* Howard Butler <hobu.inc@gmail.com> new hex_to_binary method for drivers.pgpointcloud.reader (09:14:49)
	* Howard Butler <hobu.inc@gmail.com> remove bounds from filters.inplacereprojection (08:46:38)

2014-07-16
	* Howard Butler <hobu.inc@gmail.com> add missing pgpointcloud file (17:06:05)
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context' of github.com:PDAL/PDAL into point-context (16:34:15)
	* Howard Butler <hobu.inc@gmail.com> fix up drivers.pgpointcloud (16:34:10)

2014-07-15
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code from PointBuffer. (17:14:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Point buffer tests. (16:48:15)
	* Andrew Bell <andrew.bell.ia@gmail.com> Reenable pipeline manager test. (15:43:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (15:29:57)
	* Andrew Bell <andrew.bell.ia@gmail.com> Icebridge to point context. (15:24:47)
	* Howard Butler <hobu.inc@gmail.com> pdal::Write returns the PointBufferSet of data it has written (11:55:27)
	* Howard Butler <hobu.inc@gmail.com> re-enable drivers.pgpointcloud tests (11:42:26)
	* Howard Butler <hobu.inc@gmail.com> allow drivers.sqlite.reader to compile (not working yet) (10:57:04)
	* Howard Butler <hobu.inc@gmail.com> tweak sqlite reader to be able to compile (10:08:25)
	* Howard Butler <hobu.inc@gmail.com> use homebrew hexer for hobu's config (09:56:56)
	* Howard Butler <hobu.inc@gmail.com> fix up icebridge driver so it compiles (doesn't work) (09:56:32)

2014-07-14
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (21:39:31)
	* Connor Manning <connor@hobu.co> Fix build when Greyhound capabilities are off. (17:02:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (16:18:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Enable user callback test. (16:17:48)
	* Connor Manning <connor@hobu.co> Merge point-context updates into Greyhound branch. (16:01:16)
	* Connor Manning <connor@hobu.co> Change GH reader to use setField since the remote schema is not necessarily the same as the final local schema. (15:52:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix some tests. (14:31:27)
	* Connor Manning <connor@hobu.co> Fix boundary error when points are split between multiple websocket receptions. (14:04:24)

2014-07-11
	* Connor Manning <connor@hobu.co> Simplify Reader and make PointBuffer population (mostly) work.  Points at the end of the WebSocket MTU boundary that are split between response frames will not be added correctly or double added. (18:39:10)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove more dead code. (14:49:35)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (12:40:25)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove more dead code. (12:39:52)
	* Connor Manning <connor@hobu.co> Simplify exchange variables in Reader. (10:45:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove dead code. (10:36:42)
	* Connor Manning <connor@hobu.co> Make GH exchanges more robust to simplify the Reader. (09:48:44)
	* Howard Butler <hobu.inc@gmail.com> port drivers.sqlite.writer to point-context -- not really tested yet because OSX sucks (09:20:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix build with no hexer. (08:02:17)

2014-07-10
	* Connor Manning <connor@hobu.co> Some light cleanup. (21:49:29)
	* Connor Manning <connor@hobu.co> Get Greyhound driver commands set up.  PointBuffer is not yet properly populated on a read, but the communication flow with Greyhound occurs. (21:36:29)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add hexbin output file with consistent origin. (21:20:53)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into point-context (16:17:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (14:01:43)
	* Andrew Bell <andrew.bell.ia@gmail.com> Make a simple hexbin test. (14:01:19)

2014-07-09
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context' of github.com:PDAL/PDAL into point-context (16:56:20)
	* Howard Butler <hobu.inc@gmail.com> port drivers.pgpointcloud.writer to point-context (16:56:17)
	* Howard Butler <hobu.inc@gmail.com> tweak my cmake example (16:55:55)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix pipeline files as input to pdal info. Fix stats output for pdal info. Fix point listing output for pdal info. (14:08:51)

2014-07-08
	* chambbj <brad.chambers@gmail.com> Merge pull request #404 from chambbj/pcl-doc-update (19:57:44)
	* Bradley J Chambers <brad.chambers@gmail.com> update the pcl documentation to include ground filtering example and explanation of parameters (19:50:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Add configuration ifdef guard. (12:31:33)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (10:36:52)
	* Andrew Bell <andrew.bell.ia@gmail.com> HexBin to point context. (10:34:18)

2014-07-07
	* Connor Manning <connor@hobu.co> Add bare WebSocketClient class and plumb it it with CMakeLists. (17:28:09)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove schema from stage. (15:12:22)
	* Connor Manning <connor@hobu.co> Get Jsoncpp and Websocketpp hooked into CMake.  Stub out the Greyhound Reader a little more thoroughly. (14:13:41)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (12:40:44)
	* Andrew Bell <andrew.bell.ia@gmail.com> Purge old copying code from PointBuffer.  Remove depedent calls(). (12:24:18)
	* Connor Manning <connor@hobu.co> Initial file structure and compilation additions. (11:15:01)

2014-07-06
	* Andrew Bell <andrew.bell.ia@gmail.com> Changes to support translate app. (20:36:46)

2014-07-02
	* Howard Butler <hobu.inc@gmail.com> don't chop off classification bits #403 (09:03:00)

2014-06-30
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (13:14:56)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove buffer driver. Remove PointBufferCache filter. Remove remaining references to FauxWriter. Fix Nitf copy/assignment ctor/operator. (13:11:24)
	* Connor Manning <connor@hobu.co> Get gcc 4.8.2 building, fix a warning. (10:53:13)
	* Andrew Bell <andrew.bell.ia@gmail.com> Work around broken VS compiler. (09:18:02)

2014-06-27
	* Andrew Bell <andrew.bell.ia@gmail.com> Sbet writer to point context. (17:16:32)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into point-context (12:31:48)
	* Andrew Bell <andrew.bell.ia@gmail.com> Sbet reader to point context. (12:31:27)
	* chambbj <brad.chambers@gmail.com> Merge pull request #398 from chambbj/issues/397-msvc-version-handling (12:11:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove faux writer - use stats filter instead. Remove dead includes from PCL block tests. (07:52:21)

2014-05-01
	* Bradley J Chambers <brad.chambers@gmail.com> rework the MSVC version logic slightly, add possibility of VC2012/2013 to pdal_defines (21:58:19)
	* Howard Butler <howard@hobu.co> Merge pull request #341 from gadomski/feature/split-infer-writer-driver (16:48:38)
	* Pete Gadomski <pete.gadomski@gmail.com> Split inferWriterDriver into two (14:40:14)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove two-argument version of inferReaderDriver (11:54:39)
	* Howard Butler <howard@hobu.co> Merge pull request #338 from gadomski/issue/337-test-case-return (12:49:22)
	* Pete Gadomski <pete.gadomski@gmail.com> Remove returns from BOOST_AUTO_TEST_CASEs (12:30:15)
	* Pete Gadomski <pete.gadomski@gmail.com> Without reader type, infer from filename (11:00:08)
	* Pete Gadomski <pete.gadomski@gmail.com> Infer the reader driver, no options required (10:58:12)

2014-06-26
	* Andrew Bell <andrew.bell.ia@gmail.com> PCLBlock to point context. (14:57:14)
	* Andrew Bell <andrew.bell.ia@gmail.com> Predicate to point context. (08:56:08)

2014-06-25
	* Andrew Bell <andrew.bell.ia@gmail.com> Programmable to point context. (13:49:04)

2014-06-24
	* Andrew Bell <andrew.bell.ia@gmail.com> Make scaling filter do point context. (14:24:07)

2014-06-23
	* Andrew Bell <andrew.bell.ia@gmail.com> Splitter to point context. Finish deprecating ByteSwap and Cache filters. (13:02:18)
	* Andrew Bell <andrew.bell.ia@gmail.com> Deprecate ByteSwap and Cache filters. (13:01:26)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into point-context (09:38:04)
	* Andrew Bell <andrew.bell.ia@gmail.com> Decimation filter to point context. (09:37:23)

2014-06-22
	* Howard Butler <howard@hobu.co> Merge pull request #396 from connormanning/vagrantUpdate (09:19:47)

2014-06-20
	* Andrew Bell <andrew.bell.ia@gmail.com> Re-enable stats tests. (22:15:52)
	* Andrew Bell <andrew.bell.ia@gmail.com> Faux reader to point context. (14:27:47)
	* Connor Manning <connor@hobu.co> Merge upstream and fix conflict. (10:44:51)
	* Connor Manning <connor@hobu.co> Update vagrant config. (10:11:00)

2014-06-19
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix crop filter for point context. (15:13:47)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (11:55:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Colorization filter update. (11:54:39)

2014-06-16
	* Howard Butler <hobu.inc@gmail.com> put the interpretation name into the toPTree() output of pdal::Dimension (14:30:11)
	* Howard Butler <hobu.inc@gmail.com> put the dimensions under a 'schema' object so the xml that --schema outputs is valid (14:29:50)

2014-06-13
	* Andrew Bell <andrew.bell.ia@gmail.com> Uncomment code. (20:16:19)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix stats metadata. (20:15:44)

2014-06-12
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix nested las metadata in nitf file (20:27:40)
	* Andrew Bell <andrew.bell.ia@gmail.com> Namespace for istringstream. (16:25:45)
	* Andrew Bell <andrew.bell.ia@gmail.com> Remove PointContext argument from initialize() (15:52:01)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix findVlr.  Add vlr metadata test. (15:29:00)
	* Andrew Bell <andrew.bell.ia@gmail.com> New metadata implementation. (14:47:34)

2014-06-11
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (12:24:03)
	* Andrew Bell <andrew.bell.ia@gmail.com> Update to allow merge. (11:40:34)
	* Andrew Bell <andrew.bell.ia@gmail.com> Clean up SpatialReference. (11:16:11)
	* Andrew Bell <andrew.bell.ia@gmail.com> Reenable SpatialReference test. (10:41:28)

2014-06-10
	* Andrew Bell <andrew.bell.ia@gmail.com> Have NITF use PointContext. (19:32:38)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fixup nitf writer. (11:15:38)

2014-06-05
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'master' of https://github.com/PDAL/PDAL into point-context (13:06:22)
	* Andrew Bell <andrew.bell.ia@gmail.com> Merge branch 'point-context' of https://github.com/PDAL/PDAL into point-context (12:12:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix stats filter. (12:11:54)

2014-06-04
	* Howard Butler <hobu.inc@gmail.com> Merge branch 'point-context' of github.com:PDAL/PDAL into point-context (15:20:32)
	* Howard Butler <hobu.inc@gmail.com> cumulate bounds with new grow() method (15:20:06)
	* Howard Butler <hobu.inc@gmail.com> add grow() method that takes in a simple xyz double triplet (15:19:37)
	* Andrew Bell <andrew.bell.ia@gmail.com> Fix info --schema. (14:25:19)
